#!/bin/sh
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: © 2016 Antoine Le Gonidec <vv221@dotslashplay.it>
# SPDX-FileCopyrightText: © 2020 Mopi
set -o errexit

###
# Vampire: The Masquerade - Bloodlines
###

script_version=20230826.1

GAME_ID='vampire-the-masquerade-bloodlines'
GAME_NAME='Vampire: The Masquerade - Bloodlines'

ARCHIVE_BASE_DOTEMU_0='vampire_the_masquerade_bloodlines_v1.2.exe'
ARCHIVE_BASE_DOTEMU_0_MD5='8981da5fa644475583b2888a67fdd741'
ARCHIVE_BASE_DOTEMU_0_TYPE='rar'
ARCHIVE_BASE_DOTEMU_0_SIZE='3000000'
ARCHIVE_BASE_DOTEMU_0_VERSION='1.2-dotemu1'

ARCHIVE_BASE_GOG_EN_4='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_11.111.010.2)_hotfix_(55110).exe'
ARCHIVE_BASE_GOG_EN_4_MD5='9a1c0824945008a3d520103002479fbc'
ARCHIVE_BASE_GOG_EN_4_TYPE='innosetup'
ARCHIVE_BASE_GOG_EN_4_PART1='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_11.111.010.2)_hotfix_(55110)-1.bin'
ARCHIVE_BASE_GOG_EN_4_PART1_MD5='50cbbf0ad7063e089ba4663cb599b7ac'
ARCHIVE_BASE_GOG_EN_4_SIZE='4300000'
ARCHIVE_BASE_GOG_EN_4_VERSION='1.2-gog55110'
ARCHIVE_BASE_GOG_EN_4_URL='https://www.gog.com/game/vampire_the_masquerade_bloodlines'

ARCHIVE_BASE_GOG_FR_4='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_11.111.010.2)_hotfix_(french)_(55110).exe'
ARCHIVE_BASE_GOG_FR_4_MD5='2cf2aa09a1bfbd3151ded2457037f2ab'
ARCHIVE_BASE_GOG_FR_4_TYPE='innosetup'
ARCHIVE_BASE_GOG_FR_4_PART1='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_11.111.010.2)_hotfix_(french)_(55110)-1.bin'
ARCHIVE_BASE_GOG_FR_4_PART1_MD5='3925827a5aa7dfcd53609130ef128a18'
ARCHIVE_BASE_GOG_FR_4_SIZE='4300000'
ARCHIVE_BASE_GOG_FR_4_VERSION='1.2-gog55110'
ARCHIVE_BASE_GOG_FR_4_URL='https://www.gog.com/game/vampire_the_masquerade_bloodlines'

ARCHIVE_BASE_GOG_EN_3='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_11.111.010.2)_(54206).exe'
ARCHIVE_BASE_GOG_EN_3_MD5='97cc63738b2eab02140c38883d82fa8b'
ARCHIVE_BASE_GOG_EN_3_TYPE='innosetup'
ARCHIVE_BASE_GOG_EN_3_PART1='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_11.111.010.2)_(54206)-1.bin'
ARCHIVE_BASE_GOG_EN_3_PART1_MD5='5024eb1ddef8ec13c2ed433d399193cf'
ARCHIVE_BASE_GOG_EN_3_SIZE='4300000'
ARCHIVE_BASE_GOG_EN_3_VERSION='1.2-gog54206'

ARCHIVE_BASE_GOG_FR_3='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_11.111.010.2)_(french)_(54206).exe'
ARCHIVE_BASE_GOG_FR_3_MD5='80bb9fab0f97230989b5f15aa5118f51'
ARCHIVE_BASE_GOG_FR_3_TYPE='innosetup'
ARCHIVE_BASE_GOG_FR_3_PART1='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_11.111.010.2)_(french)_(54206)-1.bin'
ARCHIVE_BASE_GOG_FR_3_PART1_MD5='3624eb7399c9d260889ab245f9bd43b1'
ARCHIVE_BASE_GOG_FR_3_SIZE='4300000'
ARCHIVE_BASE_GOG_FR_3_VERSION='1.2-gog54206'

ARCHIVE_BASE_GOG_EN_2='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_10.2)_(28160).exe'
ARCHIVE_BASE_GOG_EN_2_MD5='8c1907871d2ded8afda77d5b570d5383'
ARCHIVE_BASE_GOG_EN_2_TYPE='innosetup'
ARCHIVE_BASE_GOG_EN_2_PART1='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_10.2)_(28160)-1.bin'
ARCHIVE_BASE_GOG_EN_2_PART1_MD5='a28edc25dc3c0f818673196852490628'
ARCHIVE_BASE_GOG_EN_2_SIZE='4100000'
ARCHIVE_BASE_GOG_EN_2_VERSION='1.2-gog28160'

ARCHIVE_BASE_GOG_FR_2='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_10.2)_(french)_(28160).exe'
ARCHIVE_BASE_GOG_FR_2_MD5='8877c5ab14363b249e72034fe5333921'
ARCHIVE_BASE_GOG_FR_2_TYPE='innosetup'
ARCHIVE_BASE_GOG_FR_2_PART1='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_10.2)_(french)_(28160)-1.bin'
ARCHIVE_BASE_GOG_FR_2_PART1_MD5='0dddbbcd2dee5474066b4863c56aa5f0'
ARCHIVE_BASE_GOG_FR_2_SIZE='4200000'
ARCHIVE_BASE_GOG_FR_2_VERSION='1.2-gog28160'

ARCHIVE_BASE_GOG_EN_1='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_10.0)_(22135).exe'
ARCHIVE_BASE_GOG_EN_1_MD5='095771daf8fd1b26d34a099f182c8d4a'
ARCHIVE_BASE_GOG_EN_1_TYPE='innosetup'
ARCHIVE_BASE_GOG_EN_1_PART1='setup_vampire_the_masquerade_-_bloodlines_1.2_(up_10.0)_(22135)-1.bin'
ARCHIVE_BASE_GOG_EN_1_PART1_MD5='ef8a3fe212da189d811fcf6bc70a1e40'
ARCHIVE_BASE_GOG_EN_1_SIZE='4100000'
ARCHIVE_BASE_GOG_EN_1_VERSION='1.2-gog22135'

ARCHIVE_BASE_GOG_EN_0='setup_vtmb_1.2_(up_9.7_basic)_(11362).exe'
ARCHIVE_BASE_GOG_EN_0_MD5='62b8db3b054595fb46bd8eaa5f8ae7bc'
ARCHIVE_BASE_GOG_EN_0_TYPE='innosetup'
ARCHIVE_BASE_GOG_EN_0_PART1='setup_vtmb_1.2_(up_9.7_basic)_(11362)-1.bin'
ARCHIVE_BASE_GOG_EN_0_PART1_MD5='4177042d5a6e03026d52428e900e6137'
ARCHIVE_BASE_GOG_EN_0_SIZE='4100000'
ARCHIVE_BASE_GOG_EN_0_VERSION='1.2-gog11362'

CONTENT_PATH_DEFAULT='.'
CONTENT_PATH_DEFAULT_GOG_EN_0='app'
CONTENT_GAME_BIN_FILES='
bin
*.asi
*.dll
*.exe
vampire/*dlls'
CONTENT_GAME_L10N_FILES='
vampire/cfg
vampire/pack101.vpk
vampire/pack103.vpk
vampire/stats.txt
vampire/vidcfg.bin'
CONTENT_GAME_L10N_DE_FILES="$CONTENT_GAME_L10N_FILES"
CONTENT_GAME_L10N_EN_FILES="$CONTENT_GAME_L10N_FILES"
CONTENT_GAME_L10N_FR_FILES="$CONTENT_GAME_L10N_FILES"
CONTENT_DOC_L10N_FILES='
docs
*.pdf'
CONTENT_DOC_L10N_DE_FILES="$CONTENT_DOC_L10N_FILES"
CONTENT_DOC_L10N_EN_FILES="$CONTENT_DOC_L10N_FILES"
CONTENT_DOC_L10N_FR_FILES="$CONTENT_DOC_L10N_FILES"
CONTENT_GAME_DATA_FILES='
*.mpg
*.tth
*.txt
*.dat
vampire'

WINE_DIRECT3D_RENDERER='dxvk'

APP_MAIN_EXE_GOG='vampire.exe'
APP_MAIN_EXE_DOTEMU='launcher.exe'
APP_MAIN_ICON='vampire.exe'

USER_PERSISTENT_DIRECTORIES='
vampire/cfg
vampire/maps/graphs
vampire/python
vampire/save'
USER_PERSISTENT_FILES='
vampire/vidcfg.bin'

PACKAGES_LIST_DOTEMU='PKG_BIN PKG_L10N_DE PKG_L10N_EN PKG_L10N_FR PKG_DATA'
PACKAGES_LIST_GOG_EN='PKG_BIN PKG_L10N_EN PKG_DATA'
PACKAGES_LIST_GOG_FR='PKG_BIN PKG_L10N_FR PKG_DATA'

PKG_DATA_ID="${GAME_ID}-data"
PKG_DATA_DESCRIPTION='data'

PKG_L10N_ID="${GAME_ID}-l10n"
PKG_L10N_DE_ID="${PKG_L10N_ID}-de"
PKG_L10N_EN_ID="${PKG_L10N_ID}-en"
PKG_L10N_FR_ID="${PKG_L10N_ID}-fr"
PKG_L10N_DE_PROVIDES="
$PKG_L10N_ID"
PKG_L10N_EN_PROVIDES="
$PKG_L10N_ID"
PKG_L10N_FR_PROVIDES="
$PKG_L10N_ID"
PKG_L10N_DE_DESCRIPTION='German localization'
PKG_L10N_EN_ENSCRIPTION='English localization'
PKG_L10N_FR_FRSCRIPTION='French localization'

PKG_BIN_ARCH='32'
PKG_BIN_DEPS="$PKG_L10N_ID $PKG_DATA_ID"

# DotEmu archive - unzip is required to extract the content of inner archives

SCRIPT_DEPS_DOTEMU="$SCRIPT_DEPS unzip"

# Switch French keyboard layout to us-azerty to provide direct access to digits.

APP_MAIN_PRERUN="$APP_MAIN_PRERUN"'
# Switch French keyboard layout to us-azerty to provide direct access to digits.
# This is required to not get stuck when asked to type digits in-game.
KEYBOARD_LAYOUT=$(LANG=C setxkbmap -query | awk "/layout:/ {print \$2}")
RESTORE_VARIANT=0
if [ $KEYBOARD_LAYOUT = "fr" ]; then
	KEYBOARD_VARIANT=$(LANG=C setxkbmap -query | awk "/variant:/ {print \$2}")
	if [ $KEYBOARD_VARIANT != "us-azerty" ]; then
		setxkbmap -variant us-azerty
		RESTORE_VARIANT=1
	fi
fi'
APP_MAIN_POSTRUN="$APP_MAIN_POSTRUN"'
# Restore the keyboard variant
if [ $RESTORE_VARIANT -eq 1 ]; then
	setxkbmap -variant "$KEYBOARD_VARIANT"
fi'

# Load common functions

target_version='2.25'

PLAYIT_LIB_PATHS="
$PWD
${XDG_DATA_HOME:="${HOME}/.local/share"}/play.it
/usr/local/share/games/play.it
/usr/local/share/play.it
/usr/share/games/play.it
/usr/share/play.it"

if [ -z "$PLAYIT_LIB2" ]; then
	for playit_lib_path in $PLAYIT_LIB_PATHS; do
		if [ -e "${playit_lib_path}/libplayit2.sh" ]; then
			PLAYIT_LIB2="${playit_lib_path}/libplayit2.sh"
			break
		fi
	done
fi
if [ -z "$PLAYIT_LIB2" ]; then
	printf '\n\033[1;31mError:\033[0m\n'
	printf 'libplayit2.sh not found.\n'
	exit 1
fi
. "$PLAYIT_LIB2"

# Check script dependencies based on source archive

SCRIPT_DEPS=$(context_value 'SCRIPT_DEPS')
check_deps

# Extract game data

archive_extraction 'SOURCE_ARCHIVE'

(
	content_path=$(content_path_default)
	cd "${PLAYIT_WORKDIR}/gamedata/${content_path}"

	case "$(context_archive)" in
		('ARCHIVE_BASE_DOTEMU_'*)
			ARCHIVE_DE='de.zip'
			archive_extraction 'ARCHIVE_DE'
			rm "$ARCHIVE_DE"
			tolower .
			content_inclusion_default_game_data 'PKG_L10N_DE'
			content_inclusion_default_game_data 'PKG_DATA'
			content_inclusion_default_documentation 'PKG_L10N_DE'
			content_inclusion_default_documentation 'PKG_DATA'
	
			ARCHIVE_EN='en.zip'
			archive_extraction 'ARCHIVE_EN'
			rm "$ARCHIVE_EN"
			tolower .
			content_inclusion_default_game_data 'PKG_L10N_EN'
			content_inclusion_default_game_data 'PKG_DATA'
			content_inclusion_default_documentation 'PKG_L10N_EN'
			content_inclusion_default_documentation 'PKG_DATA'
	
			ARCHIVE_FR='fr.zip'
			archive_extraction 'ARCHIVE_FR'
			rm "$ARCHIVE_FR"
			tolower .
			content_inclusion_default_game_data 'PKG_L10N_FR'
			content_inclusion_default_game_data 'PKG_DATA'
			content_inclusion_default_documentation 'PKG_L10N_FR'
			content_inclusion_default_documentation 'PKG_DATA'
	
			ARCHIVE_COMMON1='common1.zip'
			archive_extraction 'ARCHIVE_COMMON1'
			rm "$ARCHIVE_COMMON1"
			ARCHIVE_COMMON2='common2.zip'
			archive_extraction 'ARCHIVE_COMMON2'
			rm "$ARCHIVE_COMMON2"
			tolower .
		;;
	esac
)

# Include game icons

PKG='PKG_DATA'
icons_inclusion

# Include game data

content_inclusion_default

# Delete temporary files

rm --recursive "${PLAYIT_WORKDIR}/gamedata"

# Write launchers

PKG='PKG_BIN'
launchers_write

# Build packages

packages_generation

# Print instructions

case "$(context_archive)" in
	('ARCHIVE_BASE_DOTEMU_'*)
		case "${LANG%_*}" in
			('fr')
				lang_string='version %s :'
				lang_de='allemande'
				lang_en='anglaise'
				lang_fr='française'
			;;
			('en'|*)
				lang_string='%s version:'
				lang_de='German'
				lang_en='English'
				lang_fr='French'
			;;
		esac
		printf '\n'
		printf "$lang_string" "$lang_de"
		print_instructions 'PKG_L10N_DE' 'PKG_DATA' 'PKG_BIN'
		printf "$lang_string" "$lang_en"
		print_instructions 'PKG_L10N_EN' 'PKG_DATA' 'PKG_BIN'
		printf "$lang_string" "$lang_fr"
		print_instructions 'PKG_L10N_FR' 'PKG_DATA' 'PKG_BIN'
	;;
	(*)
		print_instructions
	;;
esac

# Clean up

rm --recursive "$PLAYIT_WORKDIR"

exit 0
