#!/bin/sh
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: © 2022 Antoine Le Gonidec <vv221@dotslashplay.it>
set -o errexit

###
# Stellaris expansions:
# - Arachnoid Portrait Pack
# - Plantoids Species Pack
# - Leviathans Story Pack
# - Horizon Signal
# - Utopia
# - Anniversary Portraits
# - Synthetic Dawn Story Pack
# - Apocalypse
# - Humanoids Species Pack
# - Distant Stars Story Pack
# - MegaCorp
# - Ancient Relics Story Pack
# - Lithoids Species Pack
# - Federations
# - Necroids Species Pack
# - Nemesis
# - Aquatics Species Pack
# - Overlord
# - Toxoids Species Pack
# - First Contact Story Pack
# - Galactic Paragons
###

script_version=20230928.1

PLAYIT_COMPATIBILITY_LEVEL='2.26'

GAME_ID='stellaris'
GAME_NAME='Stellaris'

EXPANSION_ID_ARACHNOID='arachnoid'
EXPANSION_NAME_ARACHNOID='Arachnoid Portrait Pack'

EXPANSION_ID_PLANTOID='plantoid'
EXPANSION_NAME_PLANTOID='Plantoids Species Pack'

EXPANSION_ID_LEVIATHANS='leviathans'
EXPANSION_NAME_LEVIATHANS='Leviathans Story Pack'

EXPANSION_ID_HORIZONSIGNAL='horizon-signal'
EXPANSION_NAME_HORIZONSIGNAL='Horizon Signal'

EXPANSION_ID_UTOPIA='utopia'
EXPANSION_NAME_UTOPIA='Utopia'

EXPANSION_ID_ANNIVERSARY='anniversary'
EXPANSION_NAME_ANNIVERSARY='Anniversary Portraits'

EXPANSION_ID_SYNTHETICDAWN='synthetic-dawn'
EXPANSION_NAME_SYNTHETICDAWN='Synthetic Dawn Story Pack'

EXPANSION_ID_APOCALYPSE='apocalypse'
EXPANSION_NAME_APOCALYPSE='Apocalypse'

EXPANSION_ID_HUMANOIDS='humanoids'
EXPANSION_NAME_HUMANOIDS='Humanoids Species Pack'

EXPANSION_ID_DISTANTSTARS='distant-stars'
EXPANSION_NAME_DISTANTSTARS='Distant Stars Story Pack'

EXPANSION_ID_MEGACORP='megacorp'
EXPANSION_NAME_MEGACORP='MegaCorp'

EXPANSION_ID_ANCIENTRELICS='ancient-relics'
EXPANSION_NAME_ANCIENTRELICS='Ancient Relics Story Pack'

EXPANSION_ID_LITHOIDS='lithoids'
EXPANSION_NAME_LITHOIDS='Lithoids Species Pack'

EXPANSION_ID_FEDERATIONS='federations'
EXPANSION_NAME_FEDERATIONS='Federations'

EXPANSION_ID_NECROIDS='necroids'
EXPANSION_NAME_NECROIDS='Necroids Species Pack'

EXPANSION_ID_NEMESIS='nemesis'
EXPANSION_NAME_NEMESIS='Nemesis'

EXPANSION_ID_AQUATICS='aquatics'
EXPANSION_NAME_AQUATICS='Aquatics Species Pack'

EXPANSION_ID_OVERLORD='overlord'
EXPANSION_NAME_OVERLORD='Overlord'

EXPANSION_ID_TOXOIDS='toxoids'
EXPANSION_NAME_TOXOIDS='Toxoids Species Pack'

EXPANSION_ID_FIRSTCONTACT='first-contact'
EXPANSION_NAME_FIRSTCONTACT='First Contact Story Pack'

EXPANSION_ID_PARAGONS='galactic-paragons'
EXPANSION_NAME_PARAGONS='Galactic Paragons'

# Archives

## Arachnoid Portrait Pack

ARCHIVE_BASE_ARACHNOID_45_NAME='stellaris_arachnoid_portrait_pack_3_9_2_67811.sh'
ARCHIVE_BASE_ARACHNOID_45_MD5='155214db7c04ca94194d8e698381712a'
ARCHIVE_BASE_ARACHNOID_45_SIZE='1136'
ARCHIVE_BASE_ARACHNOID_45_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_ARACHNOID_45_URL='https://www.gog.com/game/stellaris_galaxy_edition_upgrade_pack'

ARCHIVE_BASE_ARACHNOID_44_NAME='stellaris_arachnoid_portrait_pack_3_9_1_67473.sh'
ARCHIVE_BASE_ARACHNOID_44_MD5='a94701754e87a07587510c05e5d8180a'
ARCHIVE_BASE_ARACHNOID_44_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_44_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_ARACHNOID_43_NAME='stellaris_arachnoid_portrait_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_ARACHNOID_43_MD5='3c4a57c69955b4b7fc63e46ea06684a5'
ARCHIVE_BASE_ARACHNOID_43_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_43_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_ARACHNOID_42_NAME='stellaris_arachnoid_portrait_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_ARACHNOID_42_MD5='20299f5286009d6250740b87990fcf8a'
ARCHIVE_BASE_ARACHNOID_42_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_42_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_ARACHNOID_41_NAME='stellaris_arachnoid_portrait_pack_3_8_2_64497.sh'
ARCHIVE_BASE_ARACHNOID_41_MD5='c89e5e2b0705910dcb40ef07bec64098'
ARCHIVE_BASE_ARACHNOID_41_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_41_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_ARACHNOID_40_NAME='stellaris_arachnoid_portrait_pack_3_8_1_64351.sh'
ARCHIVE_BASE_ARACHNOID_40_MD5='bbe4221d1c0f8649f5b9f843608c3d46'
ARCHIVE_BASE_ARACHNOID_40_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_40_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_ARACHNOID_39_NAME='stellaris_arachnoid_portrait_pack_3_7_4_63489.sh'
ARCHIVE_BASE_ARACHNOID_39_MD5='e4d76799d90bf18a2666460bae14db93'
ARCHIVE_BASE_ARACHNOID_39_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_39_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_ARACHNOID_38_NAME='stellaris_arachnoid_portrait_pack_3_7_3_63274.sh'
ARCHIVE_BASE_ARACHNOID_38_MD5='28a31b77be16b501af53163b57fde9dd'
ARCHIVE_BASE_ARACHNOID_38_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_38_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_ARACHNOID_37_NAME='stellaris_arachnoid_portrait_pack_3_7_2_63014.sh'
ARCHIVE_BASE_ARACHNOID_37_MD5='3beb5454fc987aec387f288961424c70'
ARCHIVE_BASE_ARACHNOID_37_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_37_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_ARACHNOID_36_NAME='stellaris_arachnoid_portrait_pack_3_6_1_60754.sh'
ARCHIVE_BASE_ARACHNOID_36_MD5='41240ed75d7100557b57914ee66c1f49'
ARCHIVE_BASE_ARACHNOID_36_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_36_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_ARACHNOID_35_NAME='stellaris_arachnoid_portrait_pack_3_6_0_1_60618.sh'
ARCHIVE_BASE_ARACHNOID_35_MD5='fdbfc02c301d49a657c8dc44932b5918'
ARCHIVE_BASE_ARACHNOID_35_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_35_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_ARACHNOID_34_NAME='stellaris_arachnoid_portrait_pack_3_5_3_59410.sh'
ARCHIVE_BASE_ARACHNOID_34_MD5='6aff6463161944a265b502f434577fc9'
ARCHIVE_BASE_ARACHNOID_34_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_34_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_ARACHNOID_33_NAME='stellaris_arachnoid_portrait_pack_3_5_1_58766.sh'
ARCHIVE_BASE_ARACHNOID_33_MD5='75132a48638fcb662921b5fd8721734a'
ARCHIVE_BASE_ARACHNOID_33_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_33_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_ARACHNOID_32_NAME='stellaris_arachnoid_portrait_pack_3_4_5_56913.sh'
ARCHIVE_BASE_ARACHNOID_32_MD5='ace768013cc7aaa46182586349432ddf'
ARCHIVE_BASE_ARACHNOID_32_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_32_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_ARACHNOID_31_NAME='stellaris_arachnoid_portrait_pack_3_4_4_2_56721.sh'
ARCHIVE_BASE_ARACHNOID_31_MD5='ac03b667052347c15bfb9b37690e9e24'
ARCHIVE_BASE_ARACHNOID_31_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_31_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_ARACHNOID_30_NAME='stellaris_arachnoid_portrait_pack_3_4_3_55929.sh'
ARCHIVE_BASE_ARACHNOID_30_MD5='b1edcb0f8f67f23f434b35c95c878e6d'
ARCHIVE_BASE_ARACHNOID_30_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_30_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_ARACHNOID_29_NAME='stellaris_arachnoid_portrait_pack_3_4_2_55720.sh'
ARCHIVE_BASE_ARACHNOID_29_MD5='d94954a461e606f7e933c7672eb562c3'
ARCHIVE_BASE_ARACHNOID_29_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_29_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_ARACHNOID_28_NAME='stellaris_arachnoid_portrait_pack_3_3_4_54421.sh'
ARCHIVE_BASE_ARACHNOID_28_MD5='2d7bd0d2246fcec48ca8bbf8cdb456e8'
ARCHIVE_BASE_ARACHNOID_28_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_28_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_ARACHNOID_27_NAME='stellaris_arachnoid_portrait_pack_3_3_3_2_54375.sh'
ARCHIVE_BASE_ARACHNOID_27_MD5='5ae4312bafea9a84141d98913dcf9d64'
ARCHIVE_BASE_ARACHNOID_27_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_27_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_ARACHNOID_26_NAME='stellaris_arachnoid_portrait_pack_3_3_2_53915.sh'
ARCHIVE_BASE_ARACHNOID_26_MD5='78873025e3173b0017d947e9bc2ab98a'
ARCHIVE_BASE_ARACHNOID_26_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_26_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_ARACHNOID_25_NAME='stellaris_arachnoid_portrait_pack_3_3_1_53890.sh'
ARCHIVE_BASE_ARACHNOID_25_MD5='fd3768e96bf5701b0ed955ebb65fd6e1'
ARCHIVE_BASE_ARACHNOID_25_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_25_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_ARACHNOID_24_NAME='stellaris_arachnoid_portrait_pack_3_2_1_1_51520.sh'
ARCHIVE_BASE_ARACHNOID_24_MD5='fab840f6c4a70dcb7c19c913d711af20'
ARCHIVE_BASE_ARACHNOID_24_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_24_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_ARACHNOID_23_NAME='stellaris_arachnoid_portrait_pack_3_1_1_50008.sh'
ARCHIVE_BASE_ARACHNOID_23_MD5='0ccdf6386dc2b9c062e9d272550392a1'
ARCHIVE_BASE_ARACHNOID_23_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_23_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_ARACHNOID_22_NAME='stellaris_arachnoid_portrait_pack_3_0_3_47193.sh'
ARCHIVE_BASE_ARACHNOID_22_MD5='d9619c256ed79a50cce26398b9ac8c11'
ARCHIVE_BASE_ARACHNOID_22_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_22_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_ARACHNOID_21_NAME='stellaris_arachnoid_portrait_pack_3_0_2_46477.sh'
ARCHIVE_BASE_ARACHNOID_21_MD5='320cf1bc719f1c714d7043d0dc120c51'
ARCHIVE_BASE_ARACHNOID_21_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_21_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_ARACHNOID_20_NAME='stellaris_arachnoid_portrait_pack_3_0_1_2_46213.sh'
ARCHIVE_BASE_ARACHNOID_20_MD5='c12157521f4ffa067c96ea38f42e63b4'
ARCHIVE_BASE_ARACHNOID_20_SIZE='1200'
ARCHIVE_BASE_ARACHNOID_20_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_ARACHNOID_19_NAME='stellaris_arachnoid_portrait_pack_2_8_1_2_42827.sh'
ARCHIVE_BASE_ARACHNOID_19_MD5='6232966782f11eac72d8106dbde538c9'
ARCHIVE_BASE_ARACHNOID_19_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_19_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_ARACHNOID_18_NAME='stellaris_arachnoid_portrait_pack_2_8_0_5_42441.sh'
ARCHIVE_BASE_ARACHNOID_18_MD5='3b50c1fa61e475e83a1a882ed5815e61'
ARCHIVE_BASE_ARACHNOID_18_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_18_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_ARACHNOID_17_NAME='stellaris_arachnoid_portrait_pack_2_8_0_3_42321.sh'
ARCHIVE_BASE_ARACHNOID_17_MD5='bc3e4830f3c0a8b01c29e43b468fd04c'
ARCHIVE_BASE_ARACHNOID_17_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_17_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_ARACHNOID_16_NAME='stellaris_arachnoid_portrait_pack_2_7_2_38578.sh'
ARCHIVE_BASE_ARACHNOID_16_MD5='d22f4806ef98492c7f10540393e7b0c7'
ARCHIVE_BASE_ARACHNOID_16_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_16_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_ARACHNOID_15_NAME='stellaris_arachnoid_portrait_pack_2_7_1_38218.sh'
ARCHIVE_BASE_ARACHNOID_15_MD5='60d6611b99098184a367e774c3abf04e'
ARCHIVE_BASE_ARACHNOID_15_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_15_VERSION='2.7.1-gog38218'

ARCHIVE_BASE_ARACHNOID_14_NAME='stellaris_arachnoid_portrait_pack_2_6_3_2_37617.sh'
ARCHIVE_BASE_ARACHNOID_14_MD5='d0bf105f5f56f7bdad0a593976076e50'
ARCHIVE_BASE_ARACHNOID_14_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_14_VERSION='2.6.3.2-gog37617'

ARCHIVE_BASE_ARACHNOID_13_NAME='stellaris_arachnoid_portrait_pack_2_6_2_37285.sh'
ARCHIVE_BASE_ARACHNOID_13_MD5='aa0e489a2924893e84b7ce2f8b822ee9'
ARCHIVE_BASE_ARACHNOID_13_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_13_VERSION='2.6.2-gog37285'

ARCHIVE_BASE_ARACHNOID_12_NAME='stellaris_arachnoid_portrait_pack_2_6_1_1_36932.sh'
ARCHIVE_BASE_ARACHNOID_12_MD5='ed0ca8faef3a405bb59f94b602aedcf4'
ARCHIVE_BASE_ARACHNOID_12_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_12_VERSION='2.6.1.1-gog36932'

ARCHIVE_BASE_ARACHNOID_11_NAME='stellaris_arachnoid_portrait_pack_2_6_0_4_36778.sh'
ARCHIVE_BASE_ARACHNOID_11_MD5='448d8207995105b6a767af3af8a15c1d'
ARCHIVE_BASE_ARACHNOID_11_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_11_VERSION='2.6.0.4-gog36778'

ARCHIVE_BASE_ARACHNOID_10_NAME='stellaris_arachnoid_portrait_pack_2_5_1_33517.sh'
ARCHIVE_BASE_ARACHNOID_10_MD5='5dd94f6b41f91ddde9106b406ee6d65b'
ARCHIVE_BASE_ARACHNOID_10_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_10_VERSION='2.5.1-gog33517'

ARCHIVE_BASE_ARACHNOID_9_NAME='stellaris_arachnoid_portrait_pack_2_5_0_5_33395.sh'
ARCHIVE_BASE_ARACHNOID_9_MD5='41bebae230c0ff7bce679676332db1ef'
ARCHIVE_BASE_ARACHNOID_9_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_9_VERSION='2.5.0.5-gog33395'

ARCHIVE_BASE_ARACHNOID_8_NAME='stellaris_arachnoid_portrait_pack_2_4_1_1_33112.sh'
ARCHIVE_BASE_ARACHNOID_8_MD5='f9e8b40b26976241efda3fc483c076bf'
ARCHIVE_BASE_ARACHNOID_8_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_8_VERSION='2.4.1.1-gog33112'

ARCHIVE_BASE_ARACHNOID_7_NAME='stellaris_arachnoid_portrait_pack_2_4_1_33088.sh'
ARCHIVE_BASE_ARACHNOID_7_MD5='cf2ee052c99dd391dc1e5271abe1b4bd'
ARCHIVE_BASE_ARACHNOID_7_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_7_VERSION='2.4.1-gog33088'

ARCHIVE_BASE_ARACHNOID_6_NAME='stellaris_arachnoid_portrait_pack_2_4_0_7_33057.sh'
ARCHIVE_BASE_ARACHNOID_6_MD5='38c2b997d0545b7a7f2e3ddc3db33585'
ARCHIVE_BASE_ARACHNOID_6_SIZE='1400'
ARCHIVE_BASE_ARACHNOID_6_VERSION='2.4.0.7-gog33057'

ARCHIVE_BASE_ARACHNOID_5_NAME='stellaris_arachnoid_portrait_pack_2_3_3_1_30901.sh'
ARCHIVE_BASE_ARACHNOID_5_MD5='6b4eb96220030a77ef2b77753bee241a'
ARCHIVE_BASE_ARACHNOID_5_SIZE='1300'
ARCHIVE_BASE_ARACHNOID_5_VERSION='2.3.3.1-gog30901'

ARCHIVE_BASE_ARACHNOID_4_NAME='stellaris_arachnoid_portrait_pack_2_3_3_30733.sh'
ARCHIVE_BASE_ARACHNOID_4_MD5='5c057dbae5991e41771bff2e8a8761eb'
ARCHIVE_BASE_ARACHNOID_4_SIZE='1300'
ARCHIVE_BASE_ARACHNOID_4_VERSION='2.3.3-gog30733'

## Plantoids Species Pack

ARCHIVE_BASE_PLANTOID_42_NAME='stellaris_plantoids_species_pack_3_9_2_67811.sh'
ARCHIVE_BASE_PLANTOID_42_MD5='0a43c4151e63ad4b3d9f756635f7475d'
ARCHIVE_BASE_PLANTOID_42_SIZE='1156'
ARCHIVE_BASE_PLANTOID_42_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_PLANTOID_42_URL='https://www.gog.com/game/stellaris_plantoids_species_pack'

ARCHIVE_BASE_PLANTOID_41_NAME='stellaris_plantoids_species_pack_3_9_1_67473.sh'
ARCHIVE_BASE_PLANTOID_41_MD5='6e8c5bf1c9819c34a26a6aa39372b97e'
ARCHIVE_BASE_PLANTOID_41_SIZE='1200'
ARCHIVE_BASE_PLANTOID_41_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_PLANTOID_40_NAME='stellaris_plantoids_species_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_PLANTOID_40_MD5='c64fed3a260b17bdb07e439dc20304c7'
ARCHIVE_BASE_PLANTOID_40_SIZE='1200'
ARCHIVE_BASE_PLANTOID_40_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_PLANTOID_39_NAME='stellaris_plantoids_species_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_PLANTOID_39_MD5='7b0cec949d962b027bc7bd108d79eeaf'
ARCHIVE_BASE_PLANTOID_39_SIZE='1200'
ARCHIVE_BASE_PLANTOID_39_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_PLANTOID_38_NAME='stellaris_plantoids_species_pack_3_8_2_64497.sh'
ARCHIVE_BASE_PLANTOID_38_MD5='8ed63d0b1195cdcd93c141982d85530c'
ARCHIVE_BASE_PLANTOID_38_SIZE='1200'
ARCHIVE_BASE_PLANTOID_38_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_PLANTOID_37_NAME='stellaris_plantoids_species_pack_3_8_1_64351.sh'
ARCHIVE_BASE_PLANTOID_37_MD5='66f9a3eace82c58b1be841335c689e5f'
ARCHIVE_BASE_PLANTOID_37_SIZE='1200'
ARCHIVE_BASE_PLANTOID_37_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_PLANTOID_36_NAME='stellaris_plantoids_species_pack_3_7_4_63489.sh'
ARCHIVE_BASE_PLANTOID_36_MD5='5a2a9101e09cddc83e29c802b33639ed'
ARCHIVE_BASE_PLANTOID_36_SIZE='1200'
ARCHIVE_BASE_PLANTOID_36_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_PLANTOID_35_NAME='stellaris_plantoids_species_pack_3_7_3_63274.sh'
ARCHIVE_BASE_PLANTOID_35_MD5='1578840c16c20ee8fb4c80478c5128bc'
ARCHIVE_BASE_PLANTOID_35_SIZE='1200'
ARCHIVE_BASE_PLANTOID_35_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_PLANTOID_34_NAME='stellaris_plantoids_species_pack_3_7_2_63014.sh'
ARCHIVE_BASE_PLANTOID_34_MD5='3914eb8fb8d8456be30bb23390d96ee7'
ARCHIVE_BASE_PLANTOID_34_SIZE='1200'
ARCHIVE_BASE_PLANTOID_34_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_PLANTOID_33_NAME='stellaris_plantoids_species_pack_3_6_1_60754.sh'
ARCHIVE_BASE_PLANTOID_33_MD5='298bdd7c0f717f90c2045d0c9a68c1c9'
ARCHIVE_BASE_PLANTOID_33_SIZE='1200'
ARCHIVE_BASE_PLANTOID_33_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_PLANTOID_32_NAME='stellaris_plantoids_species_pack_3_6_0_1_60618.sh'
ARCHIVE_BASE_PLANTOID_32_MD5='2e08fefff3af40345c292ac08b48590b'
ARCHIVE_BASE_PLANTOID_32_SIZE='1200'
ARCHIVE_BASE_PLANTOID_32_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_PLANTOID_31_NAME='stellaris_plantoids_species_pack_3_5_3_59410.sh'
ARCHIVE_BASE_PLANTOID_31_MD5='fabc6b9d5580dac6a456da962a765709'
ARCHIVE_BASE_PLANTOID_31_SIZE='1200'
ARCHIVE_BASE_PLANTOID_31_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_PLANTOID_30_NAME='stellaris_plantoids_species_pack_3_5_1_58766.sh'
ARCHIVE_BASE_PLANTOID_30_MD5='dd578d2655c0ffd5ff420678542e87cc'
ARCHIVE_BASE_PLANTOID_30_SIZE='1200'
ARCHIVE_BASE_PLANTOID_30_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_PLANTOID_29_NAME='stellaris_plantoids_species_pack_3_4_5_56913.sh'
ARCHIVE_BASE_PLANTOID_29_MD5='b2b5023834509b4a5c2a12bb345380a1'
ARCHIVE_BASE_PLANTOID_29_SIZE='1200'
ARCHIVE_BASE_PLANTOID_29_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_PLANTOID_28_NAME='stellaris_plantoids_species_pack_3_4_4_2_56721.sh'
ARCHIVE_BASE_PLANTOID_28_MD5='a63008bb060e2456f606ad6fae006838'
ARCHIVE_BASE_PLANTOID_28_SIZE='1200'
ARCHIVE_BASE_PLANTOID_28_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_PLANTOID_27_NAME='stellaris_plantoids_species_pack_3_4_3_55929.sh'
ARCHIVE_BASE_PLANTOID_27_MD5='5b546b8a2ea90332e6d01b237cb30419'
ARCHIVE_BASE_PLANTOID_27_SIZE='1200'
ARCHIVE_BASE_PLANTOID_27_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_PLANTOID_26_NAME='stellaris_plantoids_species_pack_3_4_2_55720.sh'
ARCHIVE_BASE_PLANTOID_26_MD5='c660733b9e736683e2306b0657b1005a'
ARCHIVE_BASE_PLANTOID_26_SIZE='1200'
ARCHIVE_BASE_PLANTOID_26_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_PLANTOID_25_NAME='stellaris_plantoids_species_pack_3_3_4_54421.sh'
ARCHIVE_BASE_PLANTOID_25_MD5='b8ea82b781639c7031ea53d4e155c5d1'
ARCHIVE_BASE_PLANTOID_25_SIZE='1200'
ARCHIVE_BASE_PLANTOID_25_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_PLANTOID_24_NAME='stellaris_plantoids_species_pack_3_3_3_2_54375.sh'
ARCHIVE_BASE_PLANTOID_24_MD5='5dd9d406ebfbbc8fc26a28048f935199'
ARCHIVE_BASE_PLANTOID_24_SIZE='1200'
ARCHIVE_BASE_PLANTOID_24_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_PLANTOID_23_NAME='stellaris_plantoids_species_pack_3_3_2_53915.sh'
ARCHIVE_BASE_PLANTOID_23_MD5='f0f7ad4b4b640a1466d7f4701d8d74b5'
ARCHIVE_BASE_PLANTOID_23_SIZE='1200'
ARCHIVE_BASE_PLANTOID_23_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_PLANTOID_22_NAME='stellaris_plantoids_species_pack_3_3_1_53890.sh'
ARCHIVE_BASE_PLANTOID_22_MD5='fa166c407697ffb6d617123a5a238195'
ARCHIVE_BASE_PLANTOID_22_SIZE='1200'
ARCHIVE_BASE_PLANTOID_22_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_PLANTOID_21_NAME='stellaris_plantoids_species_pack_3_2_1_1_51520.sh'
ARCHIVE_BASE_PLANTOID_21_MD5='260d8bc704b93f307d31807efbb5568f'
ARCHIVE_BASE_PLANTOID_21_SIZE='1200'
ARCHIVE_BASE_PLANTOID_21_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_PLANTOID_20_NAME='stellaris_plantoids_species_pack_3_1_1_50008.sh'
ARCHIVE_BASE_PLANTOID_20_MD5='fb947af6a98e45645b482a484bd6d42e'
ARCHIVE_BASE_PLANTOID_20_SIZE='1200'
ARCHIVE_BASE_PLANTOID_20_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_PLANTOID_19_NAME='stellaris_plantoids_species_pack_3_0_3_47193.sh'
ARCHIVE_BASE_PLANTOID_19_MD5='d1dc616e45d6d035ed3414687228f95a'
ARCHIVE_BASE_PLANTOID_19_SIZE='1200'
ARCHIVE_BASE_PLANTOID_19_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_PLANTOID_18_NAME='stellaris_plantoids_species_pack_3_0_2_46477.sh'
ARCHIVE_BASE_PLANTOID_18_MD5='12aed06ba1b1d87e14f5b59798c3d56b'
ARCHIVE_BASE_PLANTOID_18_SIZE='1200'
ARCHIVE_BASE_PLANTOID_18_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_PLANTOID_17_NAME='stellaris_plantoids_species_pack_3_0_1_2_46213.sh'
ARCHIVE_BASE_PLANTOID_17_MD5='6d44560eb6785d33afaa0d32ba6d8728'
ARCHIVE_BASE_PLANTOID_17_SIZE='1200'
ARCHIVE_BASE_PLANTOID_17_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_PLANTOID_16_NAME='stellaris_plantoids_species_pack_2_8_1_2_42827.sh'
ARCHIVE_BASE_PLANTOID_16_MD5='6512a887b13a3a781a6556f58be1928f'
ARCHIVE_BASE_PLANTOID_16_SIZE='1400'
ARCHIVE_BASE_PLANTOID_16_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_PLANTOID_15_NAME='stellaris_plantoids_species_pack_2_8_0_5_42441.sh'
ARCHIVE_BASE_PLANTOID_15_MD5='667be01a11d6c6f05303a499feeea4b4'
ARCHIVE_BASE_PLANTOID_15_SIZE='1400'
ARCHIVE_BASE_PLANTOID_15_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_PLANTOID_14_NAME='stellaris_plantoids_species_pack_2_8_0_3_42321.sh'
ARCHIVE_BASE_PLANTOID_14_MD5='d6e3bebb0fa00fdbedbb5131a3e3a427'
ARCHIVE_BASE_PLANTOID_14_SIZE='1400'
ARCHIVE_BASE_PLANTOID_14_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_PLANTOID_13_NAME='stellaris_plantoids_species_pack_2_7_2_38578.sh'
ARCHIVE_BASE_PLANTOID_13_MD5='ea0f9914703e707567202f269921041e'
ARCHIVE_BASE_PLANTOID_13_SIZE='1400'
ARCHIVE_BASE_PLANTOID_13_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_PLANTOID_12_NAME='stellaris_plantoids_species_pack_2_7_1_38218.sh'
ARCHIVE_BASE_PLANTOID_12_MD5='a2668c433a5ed54aa1b4696abb45d37c'
ARCHIVE_BASE_PLANTOID_12_SIZE='1400'
ARCHIVE_BASE_PLANTOID_12_VERSION='2.7.1-gog38218'

ARCHIVE_BASE_PLANTOID_11_NAME='stellaris_plantoids_species_pack_2_6_3_2_37617.sh'
ARCHIVE_BASE_PLANTOID_11_MD5='3d59dfca210276978d2444b0c17e51ac'
ARCHIVE_BASE_PLANTOID_11_SIZE='1400'
ARCHIVE_BASE_PLANTOID_11_VERSION='2.6.3.2-gog37617'

ARCHIVE_BASE_PLANTOID_10_NAME='stellaris_plantoids_species_pack_2_6_2_37285.sh'
ARCHIVE_BASE_PLANTOID_10_MD5='536278f1362432c45cc02e7bd7daf94f'
ARCHIVE_BASE_PLANTOID_10_SIZE='1400'
ARCHIVE_BASE_PLANTOID_10_VERSION='2.6.2-gog37285'

ARCHIVE_BASE_PLANTOID_9_NAME='stellaris_plantoids_species_pack_2_6_1_1_36932.sh'
ARCHIVE_BASE_PLANTOID_9_MD5='cc65ed49c5403a40fa969a175f9103fe'
ARCHIVE_BASE_PLANTOID_9_SIZE='1400'
ARCHIVE_BASE_PLANTOID_9_VERSION='2.6.1.1-gog36932'

ARCHIVE_BASE_PLANTOID_8_NAME='stellaris_plantoids_species_pack_2_6_0_4_36778.sh'
ARCHIVE_BASE_PLANTOID_8_MD5='964cd3bc5c24ee45eeeaf76a1f929276'
ARCHIVE_BASE_PLANTOID_8_SIZE='1400'
ARCHIVE_BASE_PLANTOID_8_VERSION='2.6.0.4-gog36778'

ARCHIVE_BASE_PLANTOID_7_NAME='stellaris_plantoids_species_pack_2_5_1_33517.sh'
ARCHIVE_BASE_PLANTOID_7_MD5='4253557911f830776d6765fa3d0ea7c7'
ARCHIVE_BASE_PLANTOID_7_SIZE='1400'
ARCHIVE_BASE_PLANTOID_7_VERSION='2.5.1-gog33517'

ARCHIVE_BASE_PLANTOID_6_NAME='stellaris_plantoids_species_pack_2_5_0_5_33395.sh'
ARCHIVE_BASE_PLANTOID_6_MD5='e0a472efa9de93df6daaef409546d37f'
ARCHIVE_BASE_PLANTOID_6_SIZE='1400'
ARCHIVE_BASE_PLANTOID_6_VERSION='2.5.0.5-gog33395'

ARCHIVE_BASE_PLANTOID_5_NAME='stellaris_plantoids_species_pack_2_4_1_1_33112.sh'
ARCHIVE_BASE_PLANTOID_5_MD5='77a7baf5e6c053df54a94cbad695880b'
ARCHIVE_BASE_PLANTOID_5_SIZE='1400'
ARCHIVE_BASE_PLANTOID_5_VERSION='2.4.1.1-gog33112'

ARCHIVE_BASE_PLANTOID_4_NAME='stellaris_plantoids_species_pack_2_4_1_33088.sh'
ARCHIVE_BASE_PLANTOID_4_MD5='7398caec78dce20509bd855f12142be7'
ARCHIVE_BASE_PLANTOID_4_SIZE='1400'
ARCHIVE_BASE_PLANTOID_4_VERSION='2.4.1-gog33088'

ARCHIVE_BASE_PLANTOID_3_NAME='stellaris_plantoids_species_pack_2_4_0_7_33057.sh'
ARCHIVE_BASE_PLANTOID_3_MD5='b28ef109f37874b8b3328797f8eafbad'
ARCHIVE_BASE_PLANTOID_3_SIZE='1400'
ARCHIVE_BASE_PLANTOID_3_VERSION='2.4.0.7-gog33057'

ARCHIVE_BASE_PLANTOID_2_NAME='stellaris_plantoids_species_pack_2_3_3_1_30901.sh'
ARCHIVE_BASE_PLANTOID_2_MD5='8312d804898d8508dc221c7e513b9798'
ARCHIVE_BASE_PLANTOID_2_SIZE='1300'
ARCHIVE_BASE_PLANTOID_2_VERSION='2.3.3.1-gog30901'

ARCHIVE_BASE_PLANTOID_1_NAME='stellaris_plantoids_species_pack_2_3_3_30733.sh'
ARCHIVE_BASE_PLANTOID_1_MD5='9ee0a135b8daaaf8c8133a17265fc70f'
ARCHIVE_BASE_PLANTOID_1_SIZE='1300'
ARCHIVE_BASE_PLANTOID_1_VERSION='2.3.3-gog30733'

## Leviathans Story Pack

ARCHIVE_BASE_LEVIATHANS_42_NAME='stellaris_leviathans_story_pack_3_9_2_67811.sh'
ARCHIVE_BASE_LEVIATHANS_42_MD5='5cd67f0ff376eb97ac0f63aad22a8372'
ARCHIVE_BASE_LEVIATHANS_42_SIZE='58748'
ARCHIVE_BASE_LEVIATHANS_42_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_LEVIATHANS_42_URL='https://www.gog.com/game/stellaris_leviathans_story_pack'

ARCHIVE_BASE_LEVIATHANS_41_NAME='stellaris_leviathans_story_pack_3_9_1_67473.sh'
ARCHIVE_BASE_LEVIATHANS_41_MD5='6ceed7ed5410e01a331161b21202eeba'
ARCHIVE_BASE_LEVIATHANS_41_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_41_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_LEVIATHANS_40_NAME='stellaris_leviathans_story_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_LEVIATHANS_40_MD5='575490fe9da72c0211e65e42e2667544'
ARCHIVE_BASE_LEVIATHANS_40_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_40_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_LEVIATHANS_39_NAME='stellaris_leviathans_story_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_LEVIATHANS_39_MD5='648ca7845ed562d5353e9aac52bb9cfb'
ARCHIVE_BASE_LEVIATHANS_39_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_39_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_LEVIATHANS_38_NAME='stellaris_leviathans_story_pack_3_8_2_64497.sh'
ARCHIVE_BASE_LEVIATHANS_38_MD5='0a95713a4932ac908712bf6c26a01d97'
ARCHIVE_BASE_LEVIATHANS_38_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_38_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_LEVIATHANS_37_NAME='stellaris_leviathans_story_pack_3_8_1_64351.sh'
ARCHIVE_BASE_LEVIATHANS_37_MD5='230af0e7ce062868711061b4bf426cef'
ARCHIVE_BASE_LEVIATHANS_37_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_37_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_LEVIATHANS_36_NAME='stellaris_leviathans_story_pack_3_7_4_63489.sh'
ARCHIVE_BASE_LEVIATHANS_36_MD5='e9bc3c4a49159663d905892a0f7f5a75'
ARCHIVE_BASE_LEVIATHANS_36_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_36_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_LEVIATHANS_35_NAME='stellaris_leviathans_story_pack_3_7_3_63274.sh'
ARCHIVE_BASE_LEVIATHANS_35_MD5='b435051a6404826c0b5deebc850cccf8'
ARCHIVE_BASE_LEVIATHANS_35_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_35_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_LEVIATHANS_34_NAME='stellaris_leviathans_story_pack_3_7_2_63014.sh'
ARCHIVE_BASE_LEVIATHANS_34_MD5='827ec35ba3e2e17d92fc438578a11a47'
ARCHIVE_BASE_LEVIATHANS_34_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_34_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_LEVIATHANS_33_NAME='stellaris_leviathans_story_pack_3_6_1_60754.sh'
ARCHIVE_BASE_LEVIATHANS_33_MD5='9ef91ba3bb1633cf4cb907f5de892817'
ARCHIVE_BASE_LEVIATHANS_33_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_33_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_LEVIATHANS_32_NAME='stellaris_leviathans_story_pack_3_6_0_1_60618.sh'
ARCHIVE_BASE_LEVIATHANS_32_MD5='493a36008fb94dc0b96330499d9f77ac'
ARCHIVE_BASE_LEVIATHANS_32_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_32_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_LEVIATHANS_31_NAME='stellaris_leviathans_story_pack_3_5_3_59410.sh'
ARCHIVE_BASE_LEVIATHANS_31_MD5='46f80e45435155c5c94aa1f3bbabf797'
ARCHIVE_BASE_LEVIATHANS_31_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_31_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_LEVIATHANS_30_NAME='stellaris_leviathans_story_pack_3_5_1_58766.sh'
ARCHIVE_BASE_LEVIATHANS_30_MD5='56f679e57f0f908d2ca6bda5f0bffa8d'
ARCHIVE_BASE_LEVIATHANS_30_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_30_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_LEVIATHANS_29_NAME='stellaris_leviathans_story_pack_3_4_5_56913.sh'
ARCHIVE_BASE_LEVIATHANS_29_MD5='514ca47c97e6edf951697ba361df53bd'
ARCHIVE_BASE_LEVIATHANS_29_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_29_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_LEVIATHANS_28_NAME='stellaris_leviathans_story_pack_3_4_4_2_56721.sh'
ARCHIVE_BASE_LEVIATHANS_28_MD5='2e77587baa35ca468ba3cf53eeeff126'
ARCHIVE_BASE_LEVIATHANS_28_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_28_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_LEVIATHANS_27_NAME='stellaris_leviathans_story_pack_3_4_3_55929.sh'
ARCHIVE_BASE_LEVIATHANS_27_MD5='911619c86d8c8fd1d5530989252a505b'
ARCHIVE_BASE_LEVIATHANS_27_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_27_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_LEVIATHANS_26_NAME='stellaris_leviathans_story_pack_3_4_2_55720.sh'
ARCHIVE_BASE_LEVIATHANS_26_MD5='931b625035582685a72ec3398188c4df'
ARCHIVE_BASE_LEVIATHANS_26_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_26_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_LEVIATHANS_25_NAME='stellaris_leviathans_story_pack_3_3_4_54421.sh'
ARCHIVE_BASE_LEVIATHANS_25_MD5='367a1abfe37c32461302cf84c9bdd551'
ARCHIVE_BASE_LEVIATHANS_25_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_25_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_LEVIATHANS_24_NAME='stellaris_leviathans_story_pack_3_3_3_2_54375.sh'
ARCHIVE_BASE_LEVIATHANS_24_MD5='034d92b4343e56ed3ace58a52f36c346'
ARCHIVE_BASE_LEVIATHANS_24_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_24_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_LEVIATHANS_23_NAME='stellaris_leviathans_story_pack_3_3_2_53915.sh'
ARCHIVE_BASE_LEVIATHANS_23_MD5='0d5fb8b6d7178ceb17fda24a7fa59fd9'
ARCHIVE_BASE_LEVIATHANS_23_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_23_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_LEVIATHANS_22_NAME='stellaris_leviathans_story_pack_3_3_1_53890.sh'
ARCHIVE_BASE_LEVIATHANS_22_MD5='75835ffd40bcc214b7e6336782ae123c'
ARCHIVE_BASE_LEVIATHANS_22_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_22_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_LEVIATHANS_21_NAME='stellaris_leviathans_story_pack_3_2_1_1_51520.sh'
ARCHIVE_BASE_LEVIATHANS_21_MD5='33a7db46efae680eb6718ccd6c386e53'
ARCHIVE_BASE_LEVIATHANS_21_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_21_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_LEVIATHANS_20_NAME='stellaris_leviathans_story_pack_3_1_1_50008.sh'
ARCHIVE_BASE_LEVIATHANS_20_MD5='162521d883f491fcb4e397b9a60c46fd'
ARCHIVE_BASE_LEVIATHANS_20_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_20_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_LEVIATHANS_19_NAME='stellaris_leviathans_story_pack_3_0_3_47193.sh'
ARCHIVE_BASE_LEVIATHANS_19_MD5='70f70d4656a3b3069bec4b138b1c27d5'
ARCHIVE_BASE_LEVIATHANS_19_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_19_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_LEVIATHANS_18_NAME='stellaris_leviathans_story_pack_3_0_2_46477.sh'
ARCHIVE_BASE_LEVIATHANS_18_MD5='50b98d7051ff1054f7d4ab4a35b3fff9'
ARCHIVE_BASE_LEVIATHANS_18_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_18_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_LEVIATHANS_17_NAME='stellaris_leviathans_story_pack_3_0_1_2_46213.sh'
ARCHIVE_BASE_LEVIATHANS_17_MD5='6dfb3042f1313378536ed5ebd5dde140'
ARCHIVE_BASE_LEVIATHANS_17_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_17_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_LEVIATHANS_16_NAME='stellaris_leviathans_story_pack_2_8_1_2_42827.sh'
ARCHIVE_BASE_LEVIATHANS_16_MD5='05b6cc30fe6d39acf09087e7e02e2235'
ARCHIVE_BASE_LEVIATHANS_16_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_16_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_LEVIATHANS_15_NAME='stellaris_leviathans_story_pack_2_8_0_5_42441.sh'
ARCHIVE_BASE_LEVIATHANS_15_MD5='14385e70bea697881f933cb6516abc2b'
ARCHIVE_BASE_LEVIATHANS_15_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_15_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_LEVIATHANS_14_NAME='stellaris_leviathans_story_pack_2_8_0_3_42321.sh'
ARCHIVE_BASE_LEVIATHANS_14_MD5='2878c1c4efa4bff45aca6616d8d027a4'
ARCHIVE_BASE_LEVIATHANS_14_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_14_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_LEVIATHANS_13_NAME='stellaris_leviathans_story_pack_2_7_2_38578.sh'
ARCHIVE_BASE_LEVIATHANS_13_MD5='85f603d256e15b9967db5329eab5d2f0'
ARCHIVE_BASE_LEVIATHANS_13_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_13_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_LEVIATHANS_12_NAME='stellaris_leviathans_story_pack_2_7_1_38218.sh'
ARCHIVE_BASE_LEVIATHANS_12_MD5='bdbadd36dd8ef36926dad3ad0fa9ae39'
ARCHIVE_BASE_LEVIATHANS_12_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_12_VERSION='2.7.1-gog38218'

ARCHIVE_BASE_LEVIATHANS_11_NAME='stellaris_leviathans_story_pack_2_6_3_2_37617.sh'
ARCHIVE_BASE_LEVIATHANS_11_MD5='f6365711a2892f36f58ec4be248f031f'
ARCHIVE_BASE_LEVIATHANS_11_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_11_VERSION='2.6.3.2-gog37617'

ARCHIVE_BASE_LEVIATHANS_10_NAME='stellaris_leviathans_story_pack_2_6_2_37285.sh'
ARCHIVE_BASE_LEVIATHANS_10_MD5='9db0a4969f74f581b563c78509190fdb'
ARCHIVE_BASE_LEVIATHANS_10_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_10_VERSION='2.6.2-gog37285'

ARCHIVE_BASE_LEVIATHANS_9_NAME='stellaris_leviathans_story_pack_2_6_1_1_36932.sh'
ARCHIVE_BASE_LEVIATHANS_9_MD5='2d24644f2e24cf711ec14c38f02cfe18'
ARCHIVE_BASE_LEVIATHANS_9_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_9_VERSION='2.6.1.1-gog36932'

ARCHIVE_BASE_LEVIATHANS_8_NAME='stellaris_leviathans_story_pack_2_6_0_4_36778.sh'
ARCHIVE_BASE_LEVIATHANS_8_MD5='07f28a2b8d630d7ffd9c3238ff8a1ee5'
ARCHIVE_BASE_LEVIATHANS_8_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_8_VERSION='2.6.0.4-gog36778'

ARCHIVE_BASE_LEVIATHANS_7_NAME='stellaris_leviathans_story_pack_2_5_1_33517.sh'
ARCHIVE_BASE_LEVIATHANS_7_MD5='5d44187db3807e5b3e4ca49fb6a18bdb'
ARCHIVE_BASE_LEVIATHANS_7_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_7_VERSION='2.5.1-gog33517'

ARCHIVE_BASE_LEVIATHANS_6_NAME='stellaris_leviathans_story_pack_2_5_0_5_33395.sh'
ARCHIVE_BASE_LEVIATHANS_6_MD5='222245675ab243eb2dd990b74b6697be'
ARCHIVE_BASE_LEVIATHANS_6_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_6_VERSION='2.5.0.5-gog33395'

ARCHIVE_BASE_LEVIATHANS_5_NAME='stellaris_leviathans_story_pack_2_4_1_1_33112.sh'
ARCHIVE_BASE_LEVIATHANS_5_MD5='73a7523954232438a950c2712f1b6214'
ARCHIVE_BASE_LEVIATHANS_5_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_5_VERSION='2.4.1.1-gog33112'

ARCHIVE_BASE_LEVIATHANS_4_NAME='stellaris_leviathans_story_pack_2_4_1_33088.sh'
ARCHIVE_BASE_LEVIATHANS_4_MD5='38333bfe2ef506ead33c688607459b06'
ARCHIVE_BASE_LEVIATHANS_4_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_4_VERSION='2.4.1-gog33088'

ARCHIVE_BASE_LEVIATHANS_3_NAME='stellaris_leviathans_story_pack_2_4_0_7_33057.sh'
ARCHIVE_BASE_LEVIATHANS_3_MD5='5292133923fc6f50cc5ce0b2be2b1b3e'
ARCHIVE_BASE_LEVIATHANS_3_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_3_VERSION='2.4.0.7-gog33057'

ARCHIVE_BASE_LEVIATHANS_2_NAME='stellaris_leviathans_story_pack_2_3_3_1_30901.sh'
ARCHIVE_BASE_LEVIATHANS_2_MD5='5194d864d3d704eec6ff921f023df108'
ARCHIVE_BASE_LEVIATHANS_2_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_2_VERSION='2.3.3.1-gog30901'

ARCHIVE_BASE_LEVIATHANS_1_NAME='stellaris_leviathans_story_pack_2_3_3_30733.sh'
ARCHIVE_BASE_LEVIATHANS_1_MD5='53a3ad3858a49667a2a69265e26e1fda'
ARCHIVE_BASE_LEVIATHANS_1_SIZE='59000'
ARCHIVE_BASE_LEVIATHANS_1_VERSION='2.3.3-gog30733'

## Horizon Signal

ARCHIVE_BASE_HORIZONSIGNAL_45_NAME='stellaris_horizon_signal_3_9_2_67811.sh'
ARCHIVE_BASE_HORIZONSIGNAL_45_MD5='ce4f3b89368effb2933d5497beb74356'
ARCHIVE_BASE_HORIZONSIGNAL_45_SIZE='1136'
ARCHIVE_BASE_HORIZONSIGNAL_45_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_HORIZONSIGNAL_45_URL='https://www.gog.com/game/stellaris_horizon_signal'

ARCHIVE_BASE_HORIZONSIGNAL_44_NAME='stellaris_horizon_signal_3_9_1_67473.sh'
ARCHIVE_BASE_HORIZONSIGNAL_44_MD5='67cbba932fba3463d77a8f5f5c8724ef'
ARCHIVE_BASE_HORIZONSIGNAL_44_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_44_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_HORIZONSIGNAL_43_NAME='stellaris_horizon_signal_3_8_4_1_65337.sh'
ARCHIVE_BASE_HORIZONSIGNAL_43_MD5='97befa175f3b19a1bb0457ef9342b477'
ARCHIVE_BASE_HORIZONSIGNAL_43_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_43_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_HORIZONSIGNAL_42_NAME='stellaris_horizon_signal_3_8_3_1_64953.sh'
ARCHIVE_BASE_HORIZONSIGNAL_42_MD5='376f09cd2c04e937803737722357e1f5'
ARCHIVE_BASE_HORIZONSIGNAL_42_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_42_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_HORIZONSIGNAL_41_NAME='stellaris_horizon_signal_3_8_2_64497.sh'
ARCHIVE_BASE_HORIZONSIGNAL_41_MD5='35d05b50f37368ce2a286974e4508064'
ARCHIVE_BASE_HORIZONSIGNAL_41_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_41_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_HORIZONSIGNAL_40_NAME='stellaris_horizon_signal_3_8_1_64351.sh'
ARCHIVE_BASE_HORIZONSIGNAL_40_MD5='6a609df531c454b13baf3eca44f28fad'
ARCHIVE_BASE_HORIZONSIGNAL_40_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_40_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_HORIZONSIGNAL_39_NAME='stellaris_horizon_signal_3_7_4_63489.sh'
ARCHIVE_BASE_HORIZONSIGNAL_39_MD5='2c110df9fde65ba833611299f9089f11'
ARCHIVE_BASE_HORIZONSIGNAL_39_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_39_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_HORIZONSIGNAL_38_NAME='stellaris_horizon_signal_3_7_3_63274.sh'
ARCHIVE_BASE_HORIZONSIGNAL_38_MD5='6a65b299a70e35181d8e9e8f2878658c'
ARCHIVE_BASE_HORIZONSIGNAL_38_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_38_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_HORIZONSIGNAL_37_NAME='stellaris_horizon_signal_3_7_2_63014.sh'
ARCHIVE_BASE_HORIZONSIGNAL_37_MD5='aa002e7a3f1b40316474719071db9b0a'
ARCHIVE_BASE_HORIZONSIGNAL_37_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_37_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_HORIZONSIGNAL_36_NAME='stellaris_horizon_signal_3_6_1_60754.sh'
ARCHIVE_BASE_HORIZONSIGNAL_36_MD5='2aa466583664f7849a8887288cc11c64'
ARCHIVE_BASE_HORIZONSIGNAL_36_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_36_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_HORIZONSIGNAL_35_NAME='stellaris_horizon_signal_3_6_0_1_60618.sh'
ARCHIVE_BASE_HORIZONSIGNAL_35_MD5='28fc8e68a3ca2945ae36eeac5300460c'
ARCHIVE_BASE_HORIZONSIGNAL_35_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_35_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_HORIZONSIGNAL_34_NAME='stellaris_horizon_signal_3_5_3_59410.sh'
ARCHIVE_BASE_HORIZONSIGNAL_34_MD5='d8ed88b305b2b59eff219050dfefaaeb'
ARCHIVE_BASE_HORIZONSIGNAL_34_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_34_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_HORIZONSIGNAL_33_NAME='stellaris_horizon_signal_3_5_1_58766.sh'
ARCHIVE_BASE_HORIZONSIGNAL_33_MD5='b6c99cfa73928703725030b249384785'
ARCHIVE_BASE_HORIZONSIGNAL_33_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_33_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_HORIZONSIGNAL_32_NAME='stellaris_horizon_signal_3_4_5_56913.sh'
ARCHIVE_BASE_HORIZONSIGNAL_32_MD5='6799f7b49323c768c3db7a2744e07e09'
ARCHIVE_BASE_HORIZONSIGNAL_32_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_32_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_HORIZONSIGNAL_31_NAME='stellaris_horizon_signal_3_4_4_2_56721.sh'
ARCHIVE_BASE_HORIZONSIGNAL_31_MD5='0a4c0db9287d8a2a3b34066a8d152290'
ARCHIVE_BASE_HORIZONSIGNAL_31_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_31_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_HORIZONSIGNAL_30_NAME='stellaris_horizon_signal_3_4_3_55929.sh'
ARCHIVE_BASE_HORIZONSIGNAL_30_MD5='4a88713945141936f2a217b10c3a9f71'
ARCHIVE_BASE_HORIZONSIGNAL_30_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_30_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_HORIZONSIGNAL_29_NAME='stellaris_horizon_signal_3_4_2_55720.sh'
ARCHIVE_BASE_HORIZONSIGNAL_29_MD5='c83aff82aa4f0b4a513cd36eb1816433'
ARCHIVE_BASE_HORIZONSIGNAL_29_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_29_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_HORIZONSIGNAL_28_NAME='stellaris_horizon_signal_3_3_4_54421.sh'
ARCHIVE_BASE_HORIZONSIGNAL_28_MD5='80c81dc86845976789437875b8fd3b2e'
ARCHIVE_BASE_HORIZONSIGNAL_28_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_28_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_HORIZONSIGNAL_27_NAME='stellaris_horizon_signal_3_3_3_2_54375.sh'
ARCHIVE_BASE_HORIZONSIGNAL_27_MD5='625890e60603214bdf1d2ee03a980ede'
ARCHIVE_BASE_HORIZONSIGNAL_27_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_27_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_HORIZONSIGNAL_26_NAME='stellaris_horizon_signal_3_3_2_53915.sh'
ARCHIVE_BASE_HORIZONSIGNAL_26_MD5='f5bf5c74964b8db3e942e5672ac6c43e'
ARCHIVE_BASE_HORIZONSIGNAL_26_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_26_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_HORIZONSIGNAL_25_NAME='stellaris_horizon_signal_3_3_1_53890.sh'
ARCHIVE_BASE_HORIZONSIGNAL_25_MD5='d79f9c59d69a737408f3f9c849fe9ec6'
ARCHIVE_BASE_HORIZONSIGNAL_25_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_25_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_HORIZONSIGNAL_24_NAME='stellaris_horizon_signal_3_2_1_1_51520.sh'
ARCHIVE_BASE_HORIZONSIGNAL_24_MD5='d9153fc1cf20a225e55cb001aa6b8c51'
ARCHIVE_BASE_HORIZONSIGNAL_24_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_24_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_HORIZONSIGNAL_23_NAME='stellaris_horizon_signal_3_1_1_50008.sh'
ARCHIVE_BASE_HORIZONSIGNAL_23_MD5='5c64e490ee6ac5e72816be2530e90f2b'
ARCHIVE_BASE_HORIZONSIGNAL_23_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_23_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_HORIZONSIGNAL_22_NAME='stellaris_horizon_signal_3_0_3_47193.sh'
ARCHIVE_BASE_HORIZONSIGNAL_22_MD5='40ddcd078680c3ab2bb5e98d7658bfa9'
ARCHIVE_BASE_HORIZONSIGNAL_22_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_22_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_HORIZONSIGNAL_21_NAME='stellaris_horizon_signal_3_0_2_46477.sh'
ARCHIVE_BASE_HORIZONSIGNAL_21_MD5='2564fe58a6af8f53e08e66ee587c916d'
ARCHIVE_BASE_HORIZONSIGNAL_21_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_21_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_HORIZONSIGNAL_20_NAME='stellaris_horizon_signal_3_0_1_2_46213.sh'
ARCHIVE_BASE_HORIZONSIGNAL_20_MD5='c40c644c8de6b6835f75e4508a5603bb'
ARCHIVE_BASE_HORIZONSIGNAL_20_SIZE='1200'
ARCHIVE_BASE_HORIZONSIGNAL_20_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_HORIZONSIGNAL_19_NAME='stellaris_horizon_signal_2_8_1_2_42827.sh'
ARCHIVE_BASE_HORIZONSIGNAL_19_MD5='0e9f53918e8b489add020cf91b4492e8'
ARCHIVE_BASE_HORIZONSIGNAL_19_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_19_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_HORIZONSIGNAL_18_NAME='stellaris_horizon_signal_2_8_0_5_42441.sh'
ARCHIVE_BASE_HORIZONSIGNAL_18_MD5='ebd447e121363dbd9ef28b2e060ba9ff'
ARCHIVE_BASE_HORIZONSIGNAL_18_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_18_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_HORIZONSIGNAL_17_NAME='stellaris_horizon_signal_2_8_0_3_42321.sh'
ARCHIVE_BASE_HORIZONSIGNAL_17_MD5='96a89b87808b32097f9f9446819cafc9'
ARCHIVE_BASE_HORIZONSIGNAL_17_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_17_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_HORIZONSIGNAL_16_NAME='stellaris_horizon_signal_2_7_2_38578.sh'
ARCHIVE_BASE_HORIZONSIGNAL_16_MD5='8afefafaddba2dc3e83e4b9a8321a6d3'
ARCHIVE_BASE_HORIZONSIGNAL_16_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_16_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_HORIZONSIGNAL_15_NAME='stellaris_horizon_signal_2_7_1_38218.sh'
ARCHIVE_BASE_HORIZONSIGNAL_15_MD5='248a8f7346b5f56143b61d519917065c'
ARCHIVE_BASE_HORIZONSIGNAL_15_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_15_VERSION='2.7.1-gog38218'

ARCHIVE_BASE_HORIZONSIGNAL_14_NAME='stellaris_horizon_signal_2_6_3_2_37617.sh'
ARCHIVE_BASE_HORIZONSIGNAL_14_MD5='26b1e116e2090da52b6b86b73bcd21ea'
ARCHIVE_BASE_HORIZONSIGNAL_14_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_14_VERSION='2.6.3.2-gog37617'

ARCHIVE_BASE_HORIZONSIGNAL_13_NAME='stellaris_horizon_signal_2_6_2_37285.sh'
ARCHIVE_BASE_HORIZONSIGNAL_13_MD5='2fd1629168d844efb449af0e8606ad0e'
ARCHIVE_BASE_HORIZONSIGNAL_13_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_13_VERSION='2.6.2-gog37285'

ARCHIVE_BASE_HORIZONSIGNAL_12_NAME='stellaris_horizon_signal_2_6_1_1_36932.sh'
ARCHIVE_BASE_HORIZONSIGNAL_12_MD5='787decd211c93b92a0467112a0bdd6b3'
ARCHIVE_BASE_HORIZONSIGNAL_12_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_12_VERSION='2.6.1.1-gog36932'

ARCHIVE_BASE_HORIZONSIGNAL_11_NAME='stellaris_horizon_signal_2_6_0_4_36778.sh'
ARCHIVE_BASE_HORIZONSIGNAL_11_MD5='ca8705bc38567b2d6cd923f36a4c73a2'
ARCHIVE_BASE_HORIZONSIGNAL_11_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_11_VERSION='2.6.0.4-gog36778'

ARCHIVE_BASE_HORIZONSIGNAL_10_NAME='stellaris_horizon_signal_2_5_1_33517.sh'
ARCHIVE_BASE_HORIZONSIGNAL_10_MD5='a36b3473ad1669cc39f86c287e66e6ad'
ARCHIVE_BASE_HORIZONSIGNAL_10_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_10_VERSION='2.5.1-gog33517'

ARCHIVE_BASE_HORIZONSIGNAL_9_NAME='stellaris_horizon_signal_2_5_0_5_33395.sh'
ARCHIVE_BASE_HORIZONSIGNAL_9_MD5='61746bd87a0cbd22d4d98281f585bfc2'
ARCHIVE_BASE_HORIZONSIGNAL_9_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_9_VERSION='2.5.0.5-gog33395'

ARCHIVE_BASE_HORIZONSIGNAL_8_NAME='stellaris_horizon_signal_2_4_1_1_33112.sh'
ARCHIVE_BASE_HORIZONSIGNAL_8_MD5='0a519147bfb6af4aa509fbd6def7eda6'
ARCHIVE_BASE_HORIZONSIGNAL_8_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_8_VERSION='2.4.1.1-gog33112'

ARCHIVE_BASE_HORIZONSIGNAL_7_NAME='stellaris_horizon_signal_2_4_1_33088.sh'
ARCHIVE_BASE_HORIZONSIGNAL_7_MD5='23d9ceedee2b919596f12a59cf1f47d1'
ARCHIVE_BASE_HORIZONSIGNAL_7_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_7_VERSION='2.4.1-gog33088'

ARCHIVE_BASE_HORIZONSIGNAL_6_NAME='stellaris_horizon_signal_2_4_0_7_33057.sh'
ARCHIVE_BASE_HORIZONSIGNAL_6_MD5='6fdb17badf8a0e39ab3f8c2597552c12'
ARCHIVE_BASE_HORIZONSIGNAL_6_SIZE='1400'
ARCHIVE_BASE_HORIZONSIGNAL_6_VERSION='2.4.0.7-gog33057'

ARCHIVE_BASE_HORIZONSIGNAL_5_NAME='stellaris_horizon_signal_2_3_3_1_30901.sh'
ARCHIVE_BASE_HORIZONSIGNAL_5_MD5='c7273e17a0f412ab17cf7e21a6e5fb16'
ARCHIVE_BASE_HORIZONSIGNAL_5_SIZE='1300'
ARCHIVE_BASE_HORIZONSIGNAL_5_VERSION='2.3.3.1-gog30901'

ARCHIVE_BASE_HORIZONSIGNAL_4_NAME='stellaris_horizon_signal_2_3_3_30733.sh'
ARCHIVE_BASE_HORIZONSIGNAL_4_MD5='cae26d668625d828f04132781767b36c'
ARCHIVE_BASE_HORIZONSIGNAL_4_SIZE='1300'
ARCHIVE_BASE_HORIZONSIGNAL_4_VERSION='2.3.3-gog30733'

## Utopia

ARCHIVE_BASE_UTOPIA_40_NAME='stellaris_utopia_3_9_2_67811.sh'
ARCHIVE_BASE_UTOPIA_40_MD5='005b730ad47ab0782129f51290619950'
ARCHIVE_BASE_UTOPIA_40_SIZE='75328'
ARCHIVE_BASE_UTOPIA_40_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_UTOPIA_40_URL='https://www.gog.com/game/stellaris_utopia'

ARCHIVE_BASE_UTOPIA_39_NAME='stellaris_utopia_3_9_1_67473.sh'
ARCHIVE_BASE_UTOPIA_39_MD5='f118b8ffce8e9d68a8505fb4a0543efc'
ARCHIVE_BASE_UTOPIA_39_SIZE='76000'
ARCHIVE_BASE_UTOPIA_39_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_UTOPIA_38_NAME='stellaris_utopia_3_8_4_1_65337.sh'
ARCHIVE_BASE_UTOPIA_38_MD5='f37db816affaea32fa037afcf05e6f5c'
ARCHIVE_BASE_UTOPIA_38_SIZE='76000'
ARCHIVE_BASE_UTOPIA_38_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_UTOPIA_37_NAME='stellaris_utopia_3_8_3_1_64953.sh'
ARCHIVE_BASE_UTOPIA_37_MD5='d655fa82eb8810a387991c9702b57e9c'
ARCHIVE_BASE_UTOPIA_37_SIZE='76000'
ARCHIVE_BASE_UTOPIA_37_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_UTOPIA_36_NAME='stellaris_utopia_3_8_2_64497.sh'
ARCHIVE_BASE_UTOPIA_36_MD5='3303b1ebf882f352757cf3c305f41d32'
ARCHIVE_BASE_UTOPIA_36_SIZE='76000'
ARCHIVE_BASE_UTOPIA_36_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_UTOPIA_35_NAME='stellaris_utopia_3_8_1_64351.sh'
ARCHIVE_BASE_UTOPIA_35_MD5='86f7350d67677869f2a7ee4fd06efb3e'
ARCHIVE_BASE_UTOPIA_35_SIZE='76000'
ARCHIVE_BASE_UTOPIA_35_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_UTOPIA_34_NAME='stellaris_utopia_3_7_4_63489.sh'
ARCHIVE_BASE_UTOPIA_34_MD5='757c0a5000d03c0c977ea3feb4ac4bec'
ARCHIVE_BASE_UTOPIA_34_SIZE='76000'
ARCHIVE_BASE_UTOPIA_34_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_UTOPIA_33_NAME='stellaris_utopia_3_7_3_63274.sh'
ARCHIVE_BASE_UTOPIA_33_MD5='e1d8c747dd2399c7a0cbab98489adb2a'
ARCHIVE_BASE_UTOPIA_33_SIZE='76000'
ARCHIVE_BASE_UTOPIA_33_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_UTOPIA_32_NAME='stellaris_utopia_3_7_2_63014.sh'
ARCHIVE_BASE_UTOPIA_32_MD5='6b0435092ecffb0b963d4039521dec26'
ARCHIVE_BASE_UTOPIA_32_SIZE='76000'
ARCHIVE_BASE_UTOPIA_32_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_UTOPIA_31_NAME='stellaris_utopia_3_6_1_60754.sh'
ARCHIVE_BASE_UTOPIA_31_MD5='6942f80fac13261e2de34e350d96e6b8'
ARCHIVE_BASE_UTOPIA_31_SIZE='76000'
ARCHIVE_BASE_UTOPIA_31_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_UTOPIA_30_NAME='stellaris_utopia_3_6_0_1_60618.sh'
ARCHIVE_BASE_UTOPIA_30_MD5='128d6658d41364e1077749193eaf83ff'
ARCHIVE_BASE_UTOPIA_30_SIZE='76000'
ARCHIVE_BASE_UTOPIA_30_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_UTOPIA_29_NAME='stellaris_utopia_3_5_3_59410.sh'
ARCHIVE_BASE_UTOPIA_29_MD5='b71a7c123fa029a65fdeee0f46112560'
ARCHIVE_BASE_UTOPIA_29_SIZE='76000'
ARCHIVE_BASE_UTOPIA_29_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_UTOPIA_28_NAME='stellaris_utopia_3_5_1_58766.sh'
ARCHIVE_BASE_UTOPIA_28_MD5='2f8b91a4cab5bd5594aaf2f2b73b9898'
ARCHIVE_BASE_UTOPIA_28_SIZE='76000'
ARCHIVE_BASE_UTOPIA_28_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_UTOPIA_27_NAME='stellaris_utopia_3_4_5_56913.sh'
ARCHIVE_BASE_UTOPIA_27_MD5='c78bbd8859e22b93534f8aeec16ef08f'
ARCHIVE_BASE_UTOPIA_27_SIZE='76000'
ARCHIVE_BASE_UTOPIA_27_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_UTOPIA_26_NAME='stellaris_utopia_3_4_4_2_56721.sh'
ARCHIVE_BASE_UTOPIA_26_MD5='cc34bd157039cd0aa169393d4b330d0c'
ARCHIVE_BASE_UTOPIA_26_SIZE='76000'
ARCHIVE_BASE_UTOPIA_26_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_UTOPIA_25_NAME='stellaris_utopia_3_4_3_55929.sh'
ARCHIVE_BASE_UTOPIA_25_MD5='c1576227c263f56cf3f4f40c90f7cb6e'
ARCHIVE_BASE_UTOPIA_25_SIZE='76000'
ARCHIVE_BASE_UTOPIA_25_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_UTOPIA_24_NAME='stellaris_utopia_3_4_2_55720.sh'
ARCHIVE_BASE_UTOPIA_24_MD5='de9d15f11be913719b0324f87fd48af4'
ARCHIVE_BASE_UTOPIA_24_SIZE='76000'
ARCHIVE_BASE_UTOPIA_24_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_UTOPIA_23_NAME='stellaris_utopia_3_3_4_54421.sh'
ARCHIVE_BASE_UTOPIA_23_MD5='9b4715a94ffdca001ff56e6e6d9a807d'
ARCHIVE_BASE_UTOPIA_23_SIZE='76000'
ARCHIVE_BASE_UTOPIA_23_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_UTOPIA_22_NAME='stellaris_utopia_3_3_3_2_54375.sh'
ARCHIVE_BASE_UTOPIA_22_MD5='4467b124baed5b7e3680ace01dc12550'
ARCHIVE_BASE_UTOPIA_22_SIZE='76000'
ARCHIVE_BASE_UTOPIA_22_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_UTOPIA_21_NAME='stellaris_utopia_3_3_2_53915.sh'
ARCHIVE_BASE_UTOPIA_21_MD5='23e9626e62be4947a5f0724f9b2f035f'
ARCHIVE_BASE_UTOPIA_21_SIZE='76000'
ARCHIVE_BASE_UTOPIA_21_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_UTOPIA_20_NAME='stellaris_utopia_3_3_1_53890.sh'
ARCHIVE_BASE_UTOPIA_20_MD5='9af6ad9ef6dff006a35eac80a9af65a0'
ARCHIVE_BASE_UTOPIA_20_SIZE='76000'
ARCHIVE_BASE_UTOPIA_20_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_UTOPIA_19_NAME='stellaris_utopia_3_2_1_1_51520.sh'
ARCHIVE_BASE_UTOPIA_19_MD5='bb6b18eabd4e45d846468e1c38d2e7ea'
ARCHIVE_BASE_UTOPIA_19_SIZE='76000'
ARCHIVE_BASE_UTOPIA_19_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_UTOPIA_18_NAME='stellaris_utopia_3_1_1_50008.sh'
ARCHIVE_BASE_UTOPIA_18_MD5='129501ad6bf862bc04aa775f6538e7fe'
ARCHIVE_BASE_UTOPIA_18_SIZE='76000'
ARCHIVE_BASE_UTOPIA_18_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_UTOPIA_17_NAME='stellaris_utopia_3_0_3_47193.sh'
ARCHIVE_BASE_UTOPIA_17_MD5='0987db58e4cb8629714bbe9b2d01906e'
ARCHIVE_BASE_UTOPIA_17_SIZE='76000'
ARCHIVE_BASE_UTOPIA_17_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_UTOPIA_16_NAME='stellaris_utopia_3_0_2_46477.sh'
ARCHIVE_BASE_UTOPIA_16_MD5='c4de4c7e63a214400ac7543256b7ba6a'
ARCHIVE_BASE_UTOPIA_16_SIZE='76000'
ARCHIVE_BASE_UTOPIA_16_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_UTOPIA_15_NAME='stellaris_utopia_3_0_1_2_46213.sh'
ARCHIVE_BASE_UTOPIA_15_MD5='3a7cd4bcce80a87a3383e8ca031dbc5d'
ARCHIVE_BASE_UTOPIA_15_SIZE='76000'
ARCHIVE_BASE_UTOPIA_15_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_UTOPIA_14_NAME='stellaris_utopia_2_8_1_2_42827.sh'
ARCHIVE_BASE_UTOPIA_14_MD5='02057c1076c581e2ad87ac0aa1aee10f'
ARCHIVE_BASE_UTOPIA_14_SIZE='76000'
ARCHIVE_BASE_UTOPIA_14_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_UTOPIA_13_NAME='stellaris_utopia_2_8_0_5_42441.sh'
ARCHIVE_BASE_UTOPIA_13_MD5='5e8d82c046608d39fc9fc551d924bba1'
ARCHIVE_BASE_UTOPIA_13_SIZE='76000'
ARCHIVE_BASE_UTOPIA_13_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_UTOPIA_12_NAME='stellaris_utopia_2_8_0_3_42321.sh'
ARCHIVE_BASE_UTOPIA_12_MD5='e7a15f31ad4a0f7346a7767cb6b830f6'
ARCHIVE_BASE_UTOPIA_12_SIZE='76000'
ARCHIVE_BASE_UTOPIA_12_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_UTOPIA_11_NAME='stellaris_utopia_2_7_2_38578.sh'
ARCHIVE_BASE_UTOPIA_11_MD5='799002017db9916021323649f75cfc30'
ARCHIVE_BASE_UTOPIA_11_SIZE='76000'
ARCHIVE_BASE_UTOPIA_11_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_UTOPIA_10_NAME='stellaris_utopia_2_7_1_38218.sh'
ARCHIVE_BASE_UTOPIA_10_MD5='90ee30365b6d15d7644d85f717e35162'
ARCHIVE_BASE_UTOPIA_10_SIZE='76000'
ARCHIVE_BASE_UTOPIA_10_VERSION='2.7.1-gog38218'

ARCHIVE_BASE_UTOPIA_9_NAME='stellaris_utopia_2_6_3_2_37617.sh'
ARCHIVE_BASE_UTOPIA_9_MD5='988d9f3f2c920cd1f1e6f2a6447d4a1a'
ARCHIVE_BASE_UTOPIA_9_SIZE='76000'
ARCHIVE_BASE_UTOPIA_9_VERSION='2.6.3.2-gog37617'

ARCHIVE_BASE_UTOPIA_8_NAME='stellaris_utopia_2_6_2_37285.sh'
ARCHIVE_BASE_UTOPIA_8_MD5='2550f77f0a84f9075b942393bf763ec0'
ARCHIVE_BASE_UTOPIA_8_SIZE='76000'
ARCHIVE_BASE_UTOPIA_8_VERSION='2.6.2-gog37285'

ARCHIVE_BASE_UTOPIA_7_NAME='stellaris_utopia_2_6_1_1_36932.sh'
ARCHIVE_BASE_UTOPIA_7_MD5='94a502ddae3bcd0127a288aaebfb2bd0'
ARCHIVE_BASE_UTOPIA_7_SIZE='76000'
ARCHIVE_BASE_UTOPIA_7_VERSION='2.6.1.1-gog36932'

ARCHIVE_BASE_UTOPIA_6_NAME='stellaris_utopia_2_6_0_4_36778.sh'
ARCHIVE_BASE_UTOPIA_6_MD5='62d4e68bb8ccc9bf7fce7f6b26434119'
ARCHIVE_BASE_UTOPIA_6_SIZE='76000'
ARCHIVE_BASE_UTOPIA_6_VERSION='2.6.0.4-gog36778'

ARCHIVE_BASE_UTOPIA_5_NAME='stellaris_utopia_2_5_1_33517.sh'
ARCHIVE_BASE_UTOPIA_5_MD5='1abe439fe5742f30aa5ef81e5e6713a3'
ARCHIVE_BASE_UTOPIA_5_SIZE='76000'
ARCHIVE_BASE_UTOPIA_5_VERSION='2.5.1-gog33517'

ARCHIVE_BASE_UTOPIA_4_NAME='stellaris_utopia_2_5_0_5_33395.sh'
ARCHIVE_BASE_UTOPIA_4_MD5='151695f24d4c4c3312fb33b36816adfa'
ARCHIVE_BASE_UTOPIA_4_SIZE='76000'
ARCHIVE_BASE_UTOPIA_4_VERSION='2.5.0.5-gog33395'

ARCHIVE_BASE_UTOPIA_3_NAME='stellaris_utopia_2_4_1_1_33112.sh'
ARCHIVE_BASE_UTOPIA_3_MD5='1ed23e905b2113316fd486a2b4187d96'
ARCHIVE_BASE_UTOPIA_3_SIZE='76000'
ARCHIVE_BASE_UTOPIA_3_VERSION='2.4.1.1-gog33112'

ARCHIVE_BASE_UTOPIA_2_NAME='stellaris_utopia_2_4_1_33088.sh'
ARCHIVE_BASE_UTOPIA_2_MD5='58ff7592156c0a034a3768a7f30d7bd7'
ARCHIVE_BASE_UTOPIA_2_SIZE='76000'
ARCHIVE_BASE_UTOPIA_2_VERSION='2.4.1-gog33088'

ARCHIVE_BASE_UTOPIA_1_NAME='stellaris_utopia_2_4_0_7_33057.sh'
ARCHIVE_BASE_UTOPIA_1_MD5='ecb0896b7c482c22f9f8eabe6429d10a'
ARCHIVE_BASE_UTOPIA_1_SIZE='76000'
ARCHIVE_BASE_UTOPIA_1_VERSION='2.4.0.7-gog33057'

ARCHIVE_BASE_UTOPIA_0_NAME='stellaris_utopia_2_3_3_1_30901.sh'
ARCHIVE_BASE_UTOPIA_0_MD5='dcef997fda77ef77b9aeae6064218f5e'
ARCHIVE_BASE_UTOPIA_0_SIZE='76000'
ARCHIVE_BASE_UTOPIA_0_VERSION='2.3.3.1-gog30901'

## Anniversary Portraits

### Starting with game release 3.7.2,
### this expansion is included in the base game.

ARCHIVE_BASE_ANNIVERSARY_35_NAME='stellaris_anniversary_portraits_3_6_1_60754.sh'
ARCHIVE_BASE_ANNIVERSARY_35_MD5='13d5ed75ed18ae47fd8377a3c0f58eec'
ARCHIVE_BASE_ANNIVERSARY_35_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_35_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_ANNIVERSARY_34_NAME='stellaris_anniversary_portraits_3_6_0_1_60618.sh'
ARCHIVE_BASE_ANNIVERSARY_34_MD5='98a465fe4e969fe7cde7fb36548d7de7'
ARCHIVE_BASE_ANNIVERSARY_34_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_34_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_ANNIVERSARY_33_NAME='stellaris_anniversary_portraits_3_5_3_59410.sh'
ARCHIVE_BASE_ANNIVERSARY_33_MD5='7fb42ed038df8658a160a1a575e92ca4'
ARCHIVE_BASE_ANNIVERSARY_33_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_33_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_ANNIVERSARY_32_NAME='stellaris_anniversary_portraits_3_5_1_58766.sh'
ARCHIVE_BASE_ANNIVERSARY_32_MD5='a6db44725c6bfc325814a02382d28755'
ARCHIVE_BASE_ANNIVERSARY_32_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_32_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_ANNIVERSARY_31_NAME='stellaris_anniversary_portraits_3_4_5_56913.sh'
ARCHIVE_BASE_ANNIVERSARY_31_MD5='3e31e34d9abb5118a704b904275a14c5'
ARCHIVE_BASE_ANNIVERSARY_31_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_31_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_ANNIVERSARY_30_NAME='stellaris_anniversary_portraits_3_4_4_2_56721.sh'
ARCHIVE_BASE_ANNIVERSARY_30_MD5='285c84f9a7f03100ac7fb3a62f755cda'
ARCHIVE_BASE_ANNIVERSARY_30_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_30_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_ANNIVERSARY_29_NAME='stellaris_anniversary_portraits_3_4_3_55929.sh'
ARCHIVE_BASE_ANNIVERSARY_29_MD5='b0bd8f72f482587e3c80a646fee47b27'
ARCHIVE_BASE_ANNIVERSARY_29_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_29_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_ANNIVERSARY_28_NAME='stellaris_anniversary_portraits_3_4_2_55720.sh'
ARCHIVE_BASE_ANNIVERSARY_28_MD5='1f90f9e07347198d7a34227273cd57fa'
ARCHIVE_BASE_ANNIVERSARY_28_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_28_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_ANNIVERSARY_27_NAME='stellaris_anniversary_portraits_3_3_4_54421.sh'
ARCHIVE_BASE_ANNIVERSARY_27_MD5='d61fc4a3daaebdfa73b002e1865d65f8'
ARCHIVE_BASE_ANNIVERSARY_27_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_27_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_ANNIVERSARY_26_NAME='stellaris_anniversary_portraits_3_3_3_2_54375.sh'
ARCHIVE_BASE_ANNIVERSARY_26_MD5='2213bce86e8e7952c0ae120eef3594bc'
ARCHIVE_BASE_ANNIVERSARY_26_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_26_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_ANNIVERSARY_25_NAME='stellaris_anniversary_portraits_3_3_2_53915.sh'
ARCHIVE_BASE_ANNIVERSARY_25_MD5='a86c33512b134cbc25b91d4e3569412d'
ARCHIVE_BASE_ANNIVERSARY_25_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_25_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_ANNIVERSARY_24_NAME='stellaris_anniversary_portraits_3_3_1_53890.sh'
ARCHIVE_BASE_ANNIVERSARY_24_MD5='e09890c96a23659567246fd7fcb4c2df'
ARCHIVE_BASE_ANNIVERSARY_24_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_24_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_ANNIVERSARY_23_NAME='stellaris_anniversary_portraits_3_2_1_1_51520.sh'
ARCHIVE_BASE_ANNIVERSARY_23_MD5='8ef72fb6a3a0f648d5c484bad729194c'
ARCHIVE_BASE_ANNIVERSARY_23_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_23_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_ANNIVERSARY_22_NAME='stellaris_anniversary_portraits_3_1_1_50008.sh'
ARCHIVE_BASE_ANNIVERSARY_22_MD5='d6a97a96a73effc93e41f247b86db8e3'
ARCHIVE_BASE_ANNIVERSARY_22_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_22_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_ANNIVERSARY_21_NAME='stellaris_anniversary_portraits_3_0_3_47193.sh'
ARCHIVE_BASE_ANNIVERSARY_21_MD5='53b0dd554774acd8aa821b5be741b4d8'
ARCHIVE_BASE_ANNIVERSARY_21_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_21_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_ANNIVERSARY_20_NAME='stellaris_anniversary_portraits_3_0_2_46477.sh'
ARCHIVE_BASE_ANNIVERSARY_20_MD5='f30aae53e87a87c11aa7aaf3d158ea8b'
ARCHIVE_BASE_ANNIVERSARY_20_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_20_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_ANNIVERSARY_19_NAME='stellaris_anniversary_portraits_3_0_1_2_46213.sh'
ARCHIVE_BASE_ANNIVERSARY_19_MD5='fac29a0816d863d68eb0522cd2f1e7f1'
ARCHIVE_BASE_ANNIVERSARY_19_SIZE='1200'
ARCHIVE_BASE_ANNIVERSARY_19_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_ANNIVERSARY_18_NAME='stellaris_anniversary_portraits_2_8_1_2_42827.sh'
ARCHIVE_BASE_ANNIVERSARY_18_MD5='d4304d0cb6559d0147739148fc123285'
ARCHIVE_BASE_ANNIVERSARY_18_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_18_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_ANNIVERSARY_17_NAME='stellaris_anniversary_portraits_2_8_0_5_42441.sh'
ARCHIVE_BASE_ANNIVERSARY_17_MD5='e3068f7d91814711a327f66a47e48bce'
ARCHIVE_BASE_ANNIVERSARY_17_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_17_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_ANNIVERSARY_16_NAME='stellaris_anniversary_portraits_2_8_0_3_42321.sh'
ARCHIVE_BASE_ANNIVERSARY_16_MD5='ca3ddc40e9d8dd064366eea179452c4f'
ARCHIVE_BASE_ANNIVERSARY_16_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_16_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_ANNIVERSARY_15_NAME='stellaris_anniversary_portraits_2_7_2_38578.sh'
ARCHIVE_BASE_ANNIVERSARY_15_MD5='90c744f460570fbab96176a39cb4b857'
ARCHIVE_BASE_ANNIVERSARY_15_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_15_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_ANNIVERSARY_14_NAME='stellaris_anniversary_portraits_2_7_1_38218.sh'
ARCHIVE_BASE_ANNIVERSARY_14_MD5='cbbf4772108cd00710c7a4bcac22a1f2'
ARCHIVE_BASE_ANNIVERSARY_14_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_14_VERSION='2.7.1-gog38218'

ARCHIVE_BASE_ANNIVERSARY_13_NAME='stellaris_anniversary_portraits_2_6_3_2_37617.sh'
ARCHIVE_BASE_ANNIVERSARY_13_MD5='a757a0b1c5470ed2ed9cb06cd00458e5'
ARCHIVE_BASE_ANNIVERSARY_13_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_13_VERSION='2.6.3.2-gog37617'

ARCHIVE_BASE_ANNIVERSARY_12_NAME='stellaris_anniversary_portraits_2_6_2_37285.sh'
ARCHIVE_BASE_ANNIVERSARY_12_MD5='09d681173e2785c8e590c687d3f5a240'
ARCHIVE_BASE_ANNIVERSARY_12_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_12_VERSION='2.6.2-gog37285'

ARCHIVE_BASE_ANNIVERSARY_11_NAME='stellaris_anniversary_portraits_2_6_1_1_36932.sh'
ARCHIVE_BASE_ANNIVERSARY_11_MD5='d7a4485713673794030a65924fa45d79'
ARCHIVE_BASE_ANNIVERSARY_11_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_11_VERSION='2.6.1.1-gog36932'

ARCHIVE_BASE_ANNIVERSARY_10_NAME='stellaris_anniversary_portraits_2_6_0_4_36778.sh'
ARCHIVE_BASE_ANNIVERSARY_10_MD5='98758b31ee405cd615d2036b79d7cc0f'
ARCHIVE_BASE_ANNIVERSARY_10_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_10_VERSION='2.6.0.4-gog36778'

ARCHIVE_BASE_ANNIVERSARY_9_NAME='stellaris_anniversary_portraits_2_5_1_33517.sh'
ARCHIVE_BASE_ANNIVERSARY_9_MD5='3231b08ff883239e98bea2a9adb841e2'
ARCHIVE_BASE_ANNIVERSARY_9_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_9_VERSION='2.5.1-gog33517'

ARCHIVE_BASE_ANNIVERSARY_8_NAME='stellaris_anniversary_portraits_2_5_0_5_33395.sh'
ARCHIVE_BASE_ANNIVERSARY_8_MD5='813ca5d320ba55c5300b9cb10454a4e5'
ARCHIVE_BASE_ANNIVERSARY_8_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_8_VERSION='2.5.0.5-gog33395'

ARCHIVE_BASE_ANNIVERSARY_7_NAME='stellaris_anniversary_portraits_2_4_1_1_33112.sh'
ARCHIVE_BASE_ANNIVERSARY_7_MD5='d91b95860510e7ce2fad6a8a5b562172'
ARCHIVE_BASE_ANNIVERSARY_7_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_7_VERSION='2.4.1.1-gog33112'

ARCHIVE_BASE_ANNIVERSARY_6_NAME='stellaris_anniversary_portraits_2_4_1_33088.sh'
ARCHIVE_BASE_ANNIVERSARY_6_MD5='dda16c2268882cbe3c779728f36c7929'
ARCHIVE_BASE_ANNIVERSARY_6_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_6_VERSION='2.4.1-gog33088'

ARCHIVE_BASE_ANNIVERSARY_5_NAME='stellaris_anniversary_portraits_2_4_0_7_33057.sh'
ARCHIVE_BASE_ANNIVERSARY_5_MD5='72ff42a55738d005681f8ca06a9562e9'
ARCHIVE_BASE_ANNIVERSARY_5_SIZE='1400'
ARCHIVE_BASE_ANNIVERSARY_5_VERSION='2.4.0.7-gog33057'

ARCHIVE_BASE_ANNIVERSARY_4_NAME='stellaris_anniversary_portraits_2_3_3_1_30901.sh'
ARCHIVE_BASE_ANNIVERSARY_4_MD5='24b4bfe3a5f2e70858cf14d0af2e268a'
ARCHIVE_BASE_ANNIVERSARY_4_SIZE='1300'
ARCHIVE_BASE_ANNIVERSARY_4_VERSION='2.3.3.1-gog30901'

ARCHIVE_BASE_ANNIVERSARY_3_NAME='stellaris_anniversary_portraits_2_3_3_30733.sh'
ARCHIVE_BASE_ANNIVERSARY_3_MD5='93baefe99fd0c9fde17a90bbc11fb6a9'
ARCHIVE_BASE_ANNIVERSARY_3_SIZE='1300'
ARCHIVE_BASE_ANNIVERSARY_3_VERSION='2.3.3-gog30733'

## Synthetic Dawn Story Pack

ARCHIVE_BASE_SYNTHETICDAWN_41_NAME='stellaris_synthetic_dawn_story_pack_3_9_2_67811.sh'
ARCHIVE_BASE_SYNTHETICDAWN_41_MD5='891f840adecd4f2e30cbc62fce363bfc'
ARCHIVE_BASE_SYNTHETICDAWN_41_SIZE='48564'
ARCHIVE_BASE_SYNTHETICDAWN_41_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_SYNTHETICDAWN_41_URL='https://www.gog.com/game/stellaris_synthetic_dawn_story_pack'

ARCHIVE_BASE_SYNTHETICDAWN_40_NAME='stellaris_synthetic_dawn_story_pack_3_9_1_67473.sh'
ARCHIVE_BASE_SYNTHETICDAWN_40_MD5='d4423da0966e20ada6f00bd5632d13aa'
ARCHIVE_BASE_SYNTHETICDAWN_40_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_40_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_SYNTHETICDAWN_39_NAME='stellaris_synthetic_dawn_story_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_SYNTHETICDAWN_39_MD5='8752ebda6f3ff2a6f1f3ae38ee50e3e8'
ARCHIVE_BASE_SYNTHETICDAWN_39_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_39_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_SYNTHETICDAWN_38_NAME='stellaris_synthetic_dawn_story_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_SYNTHETICDAWN_38_MD5='468e5ae232579d17c83c0daceb28e012'
ARCHIVE_BASE_SYNTHETICDAWN_38_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_38_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_SYNTHETICDAWN_37_NAME='stellaris_synthetic_dawn_story_pack_3_8_2_64497.sh'
ARCHIVE_BASE_SYNTHETICDAWN_37_MD5='365a60318070373d0b558a8cc64df93c'
ARCHIVE_BASE_SYNTHETICDAWN_37_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_37_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_SYNTHETICDAWN_36_NAME='stellaris_synthetic_dawn_story_pack_3_8_1_64351.sh'
ARCHIVE_BASE_SYNTHETICDAWN_36_MD5='2b7d1bbb0be94e227b8c4c6e045a8ccd'
ARCHIVE_BASE_SYNTHETICDAWN_36_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_36_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_SYNTHETICDAWN_35_NAME='stellaris_synthetic_dawn_story_pack_3_7_4_63489.sh'
ARCHIVE_BASE_SYNTHETICDAWN_35_MD5='09458636f871c76f7e22cc468a7a9f41'
ARCHIVE_BASE_SYNTHETICDAWN_35_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_35_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_SYNTHETICDAWN_34_NAME='stellaris_synthetic_dawn_story_pack_3_7_3_63274.sh'
ARCHIVE_BASE_SYNTHETICDAWN_34_MD5='2ecbd4b0b499e8cd285a39b7726d7897'
ARCHIVE_BASE_SYNTHETICDAWN_34_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_34_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_SYNTHETICDAWN_33_NAME='stellaris_synthetic_dawn_story_pack_3_7_2_63014.sh'
ARCHIVE_BASE_SYNTHETICDAWN_33_MD5='6efda115729197e7324b1c2ccb786e13'
ARCHIVE_BASE_SYNTHETICDAWN_33_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_33_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_SYNTHETICDAWN_32_NAME='stellaris_synthetic_dawn_story_pack_3_6_1_60754.sh'
ARCHIVE_BASE_SYNTHETICDAWN_32_MD5='1e203e5c19fe5c63400cf566fea62164'
ARCHIVE_BASE_SYNTHETICDAWN_32_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_32_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_SYNTHETICDAWN_31_NAME='stellaris_synthetic_dawn_story_pack_3_6_0_1_60618.sh'
ARCHIVE_BASE_SYNTHETICDAWN_31_MD5='83ae9424bd9d698cbc5f405e0b3175e0'
ARCHIVE_BASE_SYNTHETICDAWN_31_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_31_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_SYNTHETICDAWN_30_NAME='stellaris_synthetic_dawn_story_pack_3_5_3_59410.sh'
ARCHIVE_BASE_SYNTHETICDAWN_30_MD5='8f6b7a85ca65572e15f61d724ea99317'
ARCHIVE_BASE_SYNTHETICDAWN_30_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_30_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_SYNTHETICDAWN_29_NAME='stellaris_synthetic_dawn_story_pack_3_5_1_58766.sh'
ARCHIVE_BASE_SYNTHETICDAWN_29_MD5='6fa45973540d24db3d902d284b7cbb92'
ARCHIVE_BASE_SYNTHETICDAWN_29_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_29_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_SYNTHETICDAWN_28_NAME='stellaris_synthetic_dawn_story_pack_3_4_5_56913.sh'
ARCHIVE_BASE_SYNTHETICDAWN_28_MD5='cbcd2a2c6d1b088b634842b9d4abb941'
ARCHIVE_BASE_SYNTHETICDAWN_28_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_28_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_SYNTHETICDAWN_27_NAME='stellaris_synthetic_dawn_story_pack_3_4_4_2_56721.sh'
ARCHIVE_BASE_SYNTHETICDAWN_27_MD5='d2cea59f5d9ad434d5cf21e4b879d357'
ARCHIVE_BASE_SYNTHETICDAWN_27_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_27_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_SYNTHETICDAWN_26_NAME='stellaris_synthetic_dawn_story_pack_3_4_3_55929.sh'
ARCHIVE_BASE_SYNTHETICDAWN_26_MD5='e0cba3481b5555e7d6d8abffff659b74'
ARCHIVE_BASE_SYNTHETICDAWN_26_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_26_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_SYNTHETICDAWN_25_NAME='stellaris_synthetic_dawn_story_pack_3_4_2_55720.sh'
ARCHIVE_BASE_SYNTHETICDAWN_25_MD5='691a31a70ce953e73f2dd2b14fd1668d'
ARCHIVE_BASE_SYNTHETICDAWN_25_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_25_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_SYNTHETICDAWN_24_NAME='stellaris_synthetic_dawn_story_pack_3_3_4_54421.sh'
ARCHIVE_BASE_SYNTHETICDAWN_24_MD5='b89665cf745898060051099d606a889d'
ARCHIVE_BASE_SYNTHETICDAWN_24_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_24_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_SYNTHETICDAWN_23_NAME='stellaris_synthetic_dawn_story_pack_3_3_3_2_54375.sh'
ARCHIVE_BASE_SYNTHETICDAWN_23_MD5='770e96413459c7af7fa00a269a370542'
ARCHIVE_BASE_SYNTHETICDAWN_23_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_23_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_SYNTHETICDAWN_22_NAME='stellaris_synthetic_dawn_story_pack_3_3_2_53915.sh'
ARCHIVE_BASE_SYNTHETICDAWN_22_MD5='63764ce19dfde0ea44f7cc5bff3f613f'
ARCHIVE_BASE_SYNTHETICDAWN_22_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_22_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_SYNTHETICDAWN_21_NAME='stellaris_synthetic_dawn_story_pack_3_3_1_53890.sh'
ARCHIVE_BASE_SYNTHETICDAWN_21_MD5='279acd0d5f3ea67329c9f2b0cbd7ef45'
ARCHIVE_BASE_SYNTHETICDAWN_21_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_21_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_SYNTHETICDAWN_20_NAME='stellaris_synthetic_dawn_story_pack_3_2_1_1_51520.sh'
ARCHIVE_BASE_SYNTHETICDAWN_20_MD5='9b00445bf6b381832f6de06e2f5b7827'
ARCHIVE_BASE_SYNTHETICDAWN_20_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_20_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_SYNTHETICDAWN_19_NAME='stellaris_synthetic_dawn_story_pack_3_1_1_50008.sh'
ARCHIVE_BASE_SYNTHETICDAWN_19_MD5='69ba65596bc537841adc7c70ff0778a9'
ARCHIVE_BASE_SYNTHETICDAWN_19_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_19_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_SYNTHETICDAWN_18_NAME='stellaris_synthetic_dawn_story_pack_3_0_3_47193.sh'
ARCHIVE_BASE_SYNTHETICDAWN_18_MD5='b4231ca3b95b4bdb9e9a2e33c747d8c5'
ARCHIVE_BASE_SYNTHETICDAWN_18_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_18_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_SYNTHETICDAWN_17_NAME='stellaris_synthetic_dawn_story_pack_3_0_2_46477.sh'
ARCHIVE_BASE_SYNTHETICDAWN_17_MD5='3d39c393c9610610cf8976400e5f680d'
ARCHIVE_BASE_SYNTHETICDAWN_17_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_17_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_SYNTHETICDAWN_16_NAME='stellaris_synthetic_dawn_story_pack_3_0_1_2_46213.sh'
ARCHIVE_BASE_SYNTHETICDAWN_16_MD5='0023dc1aa8e9a9108d363f2a65f82850'
ARCHIVE_BASE_SYNTHETICDAWN_16_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_16_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_SYNTHETICDAWN_15_NAME='stellaris_synthetic_dawn_story_pack_2_8_1_2_42827.sh'
ARCHIVE_BASE_SYNTHETICDAWN_15_MD5='2bcad8721700e5a8203fd7fe90c6f03c'
ARCHIVE_BASE_SYNTHETICDAWN_15_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_15_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_SYNTHETICDAWN_14_NAME='stellaris_synthetic_dawn_story_pack_2_8_0_5_42441.sh'
ARCHIVE_BASE_SYNTHETICDAWN_14_MD5='df7e6af404d8eb979a314a232430fbb3'
ARCHIVE_BASE_SYNTHETICDAWN_14_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_14_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_SYNTHETICDAWN_13_NAME='stellaris_synthetic_dawn_story_pack_2_8_0_3_42321.sh'
ARCHIVE_BASE_SYNTHETICDAWN_13_MD5='f199f4751b106516822e19249ab13014'
ARCHIVE_BASE_SYNTHETICDAWN_13_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_13_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_SYNTHETICDAWN_12_NAME='stellaris_synthetic_dawn_story_pack_2_7_2_38578.sh'
ARCHIVE_BASE_SYNTHETICDAWN_12_MD5='a58f3ab05f5b7b7c69e3b4d6c55dd2d7'
ARCHIVE_BASE_SYNTHETICDAWN_12_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_12_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_SYNTHETICDAWN_11_NAME='stellaris_synthetic_dawn_story_pack_2_7_1_38218.sh'
ARCHIVE_BASE_SYNTHETICDAWN_11_MD5='8a7261157927d868c0a9f807ac5310ae'
ARCHIVE_BASE_SYNTHETICDAWN_11_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_11_VERSION='2.7.1-gog38218'

ARCHIVE_BASE_SYNTHETICDAWN_10_NAME='stellaris_synthetic_dawn_story_pack_2_6_3_2_37617.sh'
ARCHIVE_BASE_SYNTHETICDAWN_10_MD5='348d3e5a1a106fb2fbcd9c533dd413dc'
ARCHIVE_BASE_SYNTHETICDAWN_10_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_10_VERSION='2.6.3.2-gog37617'

ARCHIVE_BASE_SYNTHETICDAWN_9_NAME='stellaris_synthetic_dawn_story_pack_2_6_2_37285.sh'
ARCHIVE_BASE_SYNTHETICDAWN_9_MD5='6663a393984f3c2ce4197a9b4e947d4e'
ARCHIVE_BASE_SYNTHETICDAWN_9_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_9_VERSION='2.6.2-gog37285'

ARCHIVE_BASE_SYNTHETICDAWN_8_NAME='stellaris_synthetic_dawn_story_pack_2_6_1_1_36932.sh'
ARCHIVE_BASE_SYNTHETICDAWN_8_MD5='ac0fdc68b651da04b26c69072e931217'
ARCHIVE_BASE_SYNTHETICDAWN_8_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_8_VERSION='2.6.1.1-gog36932'

ARCHIVE_BASE_SYNTHETICDAWN_7_NAME='stellaris_synthetic_dawn_story_pack_2_6_0_4_36778.sh'
ARCHIVE_BASE_SYNTHETICDAWN_7_MD5='d3520644ec752147a4d9eb9b8c6b7595'
ARCHIVE_BASE_SYNTHETICDAWN_7_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_7_VERSION='2.6.0.4-gog36778'

ARCHIVE_BASE_SYNTHETICDAWN_6_NAME='stellaris_synthetic_dawn_story_pack_2_5_1_33517.sh'
ARCHIVE_BASE_SYNTHETICDAWN_6_MD5='651b7fdba97f8b12a57118bd5af75315'
ARCHIVE_BASE_SYNTHETICDAWN_6_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_6_VERSION='2.5.1-gog33517'

ARCHIVE_BASE_SYNTHETICDAWN_5_NAME='stellaris_synthetic_dawn_story_pack_2_5_0_5_33395.sh'
ARCHIVE_BASE_SYNTHETICDAWN_5_MD5='bef6e627ff8e4e1d0890bfacff979261'
ARCHIVE_BASE_SYNTHETICDAWN_5_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_5_VERSION='2.5.0.5-gog33395'

ARCHIVE_BASE_SYNTHETICDAWN_4_NAME='stellaris_synthetic_dawn_story_pack_2_4_1_1_33112.sh'
ARCHIVE_BASE_SYNTHETICDAWN_4_MD5='39b5ff1e84024fa579054a4b69043f8f'
ARCHIVE_BASE_SYNTHETICDAWN_4_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_4_VERSION='2.4.4.1-gog33112'

ARCHIVE_BASE_SYNTHETICDAWN_3_NAME='stellaris_synthetic_dawn_story_pack_2_4_1_33088.sh'
ARCHIVE_BASE_SYNTHETICDAWN_3_MD5='85bdd887883651fbf43d5526d23d2231'
ARCHIVE_BASE_SYNTHETICDAWN_3_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_3_VERSION='2.4.1-gog33088'

ARCHIVE_BASE_SYNTHETICDAWN_2_NAME='stellaris_synthetic_dawn_story_pack_2_4_0_7_33057.sh'
ARCHIVE_BASE_SYNTHETICDAWN_2_MD5='917989c55c41acecfa6ecb4d0f1f607b'
ARCHIVE_BASE_SYNTHETICDAWN_2_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_2_VERSION='2.4.0.7-gog33057'

ARCHIVE_BASE_SYNTHETICDAWN_1_NAME='stellaris_synthetic_dawn_story_pack_2_3_3_1_30901.sh'
ARCHIVE_BASE_SYNTHETICDAWN_1_MD5='0bd54303550244ca68695f80d515d73c'
ARCHIVE_BASE_SYNTHETICDAWN_1_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_1_VERSION='2.3.3.1-gog30901'

ARCHIVE_BASE_SYNTHETICDAWN_0_NAME='stellaris_synthetic_dawn_story_pack_2_3_3_30733.sh'
ARCHIVE_BASE_SYNTHETICDAWN_0_MD5='9f591acef78c04290fab2ec11cb92189'
ARCHIVE_BASE_SYNTHETICDAWN_0_SIZE='49000'
ARCHIVE_BASE_SYNTHETICDAWN_0_VERSION='2.3.3-gog30733'

## Apocalypse

ARCHIVE_BASE_APOCALYPSE_30_NAME='stellaris_apocalypse_3_9_2_67811.sh'
ARCHIVE_BASE_APOCALYPSE_30_MD5='af21ac31a24dc56fc25dfdf2876d29e7'
ARCHIVE_BASE_APOCALYPSE_30_SIZE='38200'
ARCHIVE_BASE_APOCALYPSE_30_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_APOCALYPSE_30_URL='https://www.gog.com/game/stellaris_apocalypse'

ARCHIVE_BASE_APOCALYPSE_29_NAME='stellaris_apocalypse_3_9_1_67473.sh'
ARCHIVE_BASE_APOCALYPSE_29_MD5='494a1ef52db8940671c0c1f8e0030d00'
ARCHIVE_BASE_APOCALYPSE_29_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_29_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_APOCALYPSE_28_NAME='stellaris_apocalypse_3_8_4_1_65337.sh'
ARCHIVE_BASE_APOCALYPSE_28_MD5='a01fd114beedaae30f8036532aeaa3a5'
ARCHIVE_BASE_APOCALYPSE_28_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_28_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_APOCALYPSE_27_NAME='stellaris_apocalypse_3_8_3_1_64953.sh'
ARCHIVE_BASE_APOCALYPSE_27_MD5='1e706a0ecb0b501923633c98994fc7ff'
ARCHIVE_BASE_APOCALYPSE_27_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_27_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_APOCALYPSE_26_NAME='stellaris_apocalypse_3_8_2_64497.sh'
ARCHIVE_BASE_APOCALYPSE_26_MD5='d64263e62f5f7e422980d8d849d841fe'
ARCHIVE_BASE_APOCALYPSE_26_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_26_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_APOCALYPSE_25_NAME='stellaris_apocalypse_3_8_1_64351.sh'
ARCHIVE_BASE_APOCALYPSE_25_MD5='7001206b60a24e86790cfbea9add8a64'
ARCHIVE_BASE_APOCALYPSE_25_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_25_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_APOCALYPSE_24_NAME='stellaris_apocalypse_3_7_4_63489.sh'
ARCHIVE_BASE_APOCALYPSE_24_MD5='635fad17d0a6dbcb51bc4bc134f7a2fc'
ARCHIVE_BASE_APOCALYPSE_24_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_24_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_APOCALYPSE_23_NAME='stellaris_apocalypse_3_7_3_63274.sh'
ARCHIVE_BASE_APOCALYPSE_23_MD5='81fe1af7692306f35ad8193d0a3fcf25'
ARCHIVE_BASE_APOCALYPSE_23_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_23_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_APOCALYPSE_22_NAME='stellaris_apocalypse_3_7_2_63014.sh'
ARCHIVE_BASE_APOCALYPSE_22_MD5='a3346fc7eb0e8ff035f3fcbdb10ff29d'
ARCHIVE_BASE_APOCALYPSE_22_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_22_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_APOCALYPSE_21_NAME='stellaris_apocalypse_3_6_1_60754.sh'
ARCHIVE_BASE_APOCALYPSE_21_MD5='ba7aa69bc21ddc041767975d6891c394'
ARCHIVE_BASE_APOCALYPSE_21_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_21_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_APOCALYPSE_20_NAME='stellaris_apocalypse_3_6_0_1_60618.sh'
ARCHIVE_BASE_APOCALYPSE_20_MD5='8159c9eea35dece04cab231e61cc9ad7'
ARCHIVE_BASE_APOCALYPSE_20_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_20_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_APOCALYPSE_19_NAME='stellaris_apocalypse_3_5_3_59410.sh'
ARCHIVE_BASE_APOCALYPSE_19_MD5='40e997269f2806e26c3cef5b604009e2'
ARCHIVE_BASE_APOCALYPSE_19_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_19_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_APOCALYPSE_18_NAME='stellaris_apocalypse_3_5_1_58766.sh'
ARCHIVE_BASE_APOCALYPSE_18_MD5='7861be3d9d17edf786f6322fe6d048b0'
ARCHIVE_BASE_APOCALYPSE_18_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_18_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_APOCALYPSE_17_NAME='stellaris_apocalypse_3_4_5_56913.sh'
ARCHIVE_BASE_APOCALYPSE_17_MD5='2294a815d331a90c2a226ea679d1b9c2'
ARCHIVE_BASE_APOCALYPSE_17_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_17_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_APOCALYPSE_16_NAME='stellaris_apocalypse_3_4_4_2_56721.sh'
ARCHIVE_BASE_APOCALYPSE_16_MD5='306154acc4ed358297e1cbf1ea35c3c3'
ARCHIVE_BASE_APOCALYPSE_16_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_16_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_APOCALYPSE_15_NAME='stellaris_apocalypse_3_4_3_55929.sh'
ARCHIVE_BASE_APOCALYPSE_15_MD5='8e2fe2b5f1d9b9f805d50883b44f0c4f'
ARCHIVE_BASE_APOCALYPSE_15_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_15_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_APOCALYPSE_14_NAME='stellaris_apocalypse_3_4_2_55720.sh'
ARCHIVE_BASE_APOCALYPSE_14_MD5='d357955af9b207a297b57d00c689ef3f'
ARCHIVE_BASE_APOCALYPSE_14_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_14_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_APOCALYPSE_13_NAME='stellaris_apocalypse_3_3_4_54421.sh'
ARCHIVE_BASE_APOCALYPSE_13_MD5='df86d7aa67f4be37822523fef72d15ee'
ARCHIVE_BASE_APOCALYPSE_13_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_13_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_APOCALYPSE_12_NAME='stellaris_apocalypse_3_3_3_2_54375.sh'
ARCHIVE_BASE_APOCALYPSE_12_MD5='43ac71f3422bc8a3a1ea77dda9f3f8df'
ARCHIVE_BASE_APOCALYPSE_12_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_12_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_APOCALYPSE_11_NAME='stellaris_apocalypse_3_3_2_53915.sh'
ARCHIVE_BASE_APOCALYPSE_11_MD5='36274bda4465e9c62dd4ce00fe312738'
ARCHIVE_BASE_APOCALYPSE_11_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_11_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_APOCALYPSE_10_NAME='stellaris_apocalypse_3_3_1_53890.sh'
ARCHIVE_BASE_APOCALYPSE_10_MD5='ecbf2b98cdfb520ef8b679dfc34e37f2'
ARCHIVE_BASE_APOCALYPSE_10_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_10_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_APOCALYPSE_9_NAME='stellaris_apocalypse_3_2_1_1_51520.sh'
ARCHIVE_BASE_APOCALYPSE_9_MD5='0db5f6b23432efa4941f7e4e89ff9488'
ARCHIVE_BASE_APOCALYPSE_9_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_9_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_APOCALYPSE_8_NAME='stellaris_apocalypse_3_1_1_50008.sh'
ARCHIVE_BASE_APOCALYPSE_8_MD5='a4d25b308d2daf3c81fef2aef33727da'
ARCHIVE_BASE_APOCALYPSE_8_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_8_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_APOCALYPSE_7_NAME='stellaris_apocalypse_3_0_3_47193.sh'
ARCHIVE_BASE_APOCALYPSE_7_MD5='3cdf97dedf2514fbb1e9fd123cb253b7'
ARCHIVE_BASE_APOCALYPSE_7_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_7_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_APOCALYPSE_6_NAME='stellaris_apocalypse_3_0_2_46477.sh'
ARCHIVE_BASE_APOCALYPSE_6_MD5='3d12130342539853d4a129e5d7c5f41d'
ARCHIVE_BASE_APOCALYPSE_6_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_6_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_APOCALYPSE_5_NAME='stellaris_apocalypse_3_0_1_2_46213.sh'
ARCHIVE_BASE_APOCALYPSE_5_MD5='29de98c3d9ce822f88601d30bf512ed5'
ARCHIVE_BASE_APOCALYPSE_5_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_5_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_APOCALYPSE_4_NAME='stellaris_apocalypse_2_8_1_2_42827.sh'
ARCHIVE_BASE_APOCALYPSE_4_MD5='3b4bfaaaa89b80694173fcc8b7fe09dd'
ARCHIVE_BASE_APOCALYPSE_4_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_4_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_APOCALYPSE_3_NAME='stellaris_apocalypse_2_8_0_5_42441.sh'
ARCHIVE_BASE_APOCALYPSE_3_MD5='57cdc15d3a426291609164aed447e70a'
ARCHIVE_BASE_APOCALYPSE_3_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_3_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_APOCALYPSE_2_NAME='stellaris_apocalypse_2_8_0_3_42321.sh'
ARCHIVE_BASE_APOCALYPSE_2_MD5='6ab9d43f5cf3d48e84907703b5d3a72f'
ARCHIVE_BASE_APOCALYPSE_2_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_2_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_APOCALYPSE_1_NAME='stellaris_apocalypse_2_7_2_38578.sh'
ARCHIVE_BASE_APOCALYPSE_1_MD5='0a86936e22a9f6be045e9e28de6745c3'
ARCHIVE_BASE_APOCALYPSE_1_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_1_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_APOCALYPSE_0_NAME='stellaris_apocalypse_2_7_1_38218.sh'
ARCHIVE_BASE_APOCALYPSE_0_MD5='93e2c7d56779348f2c842f91004d35c4'
ARCHIVE_BASE_APOCALYPSE_0_SIZE='39000'
ARCHIVE_BASE_APOCALYPSE_0_VERSION='2.7.1-gog38218'

## Humanoids Species Pack

ARCHIVE_BASE_HUMANOIDS_42_NAME='stellaris_humanoids_species_pack_3_9_2_67811.sh'
ARCHIVE_BASE_HUMANOIDS_42_MD5='a37d52fb5a3cfd853b42e9fe2f381c85'
ARCHIVE_BASE_HUMANOIDS_42_SIZE='116636'
ARCHIVE_BASE_HUMANOIDS_42_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_HUMANOIDS_42_URL='https://www.gog.com/game/stellaris_humanoids_species_pack'

ARCHIVE_BASE_HUMANOIDS_41_NAME='stellaris_humanoids_species_pack_3_9_1_67473.sh'
ARCHIVE_BASE_HUMANOIDS_41_MD5='3e2ee947bcb6448d82f5d259fae6b0a5'
ARCHIVE_BASE_HUMANOIDS_41_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_41_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_HUMANOIDS_40_NAME='stellaris_humanoids_species_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_HUMANOIDS_40_MD5='435cdbbe3a8affded29b3b6f9d36125a'
ARCHIVE_BASE_HUMANOIDS_40_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_40_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_HUMANOIDS_39_NAME='stellaris_humanoids_species_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_HUMANOIDS_39_MD5='dbd6c2bdb8e11d0e85f28f948dcbfa09'
ARCHIVE_BASE_HUMANOIDS_39_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_39_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_HUMANOIDS_38_NAME='stellaris_humanoids_species_pack_3_8_2_64497.sh'
ARCHIVE_BASE_HUMANOIDS_38_MD5='3dad627b123949ff27e16c063a4f0c6d'
ARCHIVE_BASE_HUMANOIDS_38_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_38_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_HUMANOIDS_37_NAME='stellaris_humanoids_species_pack_3_8_1_64351.sh'
ARCHIVE_BASE_HUMANOIDS_37_MD5='2d20cf98541903f3d9a007fa9669caa9'
ARCHIVE_BASE_HUMANOIDS_37_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_37_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_HUMANOIDS_36_NAME='stellaris_humanoids_species_pack_3_7_4_63489.sh'
ARCHIVE_BASE_HUMANOIDS_36_MD5='de7661496eba8a9d125b44f3075a71b7'
ARCHIVE_BASE_HUMANOIDS_36_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_36_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_HUMANOIDS_35_NAME='stellaris_humanoids_species_pack_3_7_3_63274.sh'
ARCHIVE_BASE_HUMANOIDS_35_MD5='3b1fdea6c428dcf564ec8bfd90a23f02'
ARCHIVE_BASE_HUMANOIDS_35_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_35_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_HUMANOIDS_34_NAME='stellaris_humanoids_species_pack_3_7_2_63014.sh'
ARCHIVE_BASE_HUMANOIDS_34_MD5='38e7f2a9e23216f1f06d024b4538b3b9'
ARCHIVE_BASE_HUMANOIDS_34_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_34_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_HUMANOIDS_33_NAME='stellaris_humanoids_species_pack_3_6_1_60754.sh'
ARCHIVE_BASE_HUMANOIDS_33_MD5='5124b47dce3c7a7282087e521920fee9'
ARCHIVE_BASE_HUMANOIDS_33_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_33_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_HUMANOIDS_32_NAME='stellaris_humanoids_species_pack_3_6_0_1_60618.sh'
ARCHIVE_BASE_HUMANOIDS_32_MD5='73249a7fa5c7cbb2bb372396c5174789'
ARCHIVE_BASE_HUMANOIDS_32_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_32_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_HUMANOIDS_31_NAME='stellaris_humanoids_species_pack_3_5_3_59410.sh'
ARCHIVE_BASE_HUMANOIDS_31_MD5='9f92e8b6853b26bc31da38b5a0991a37'
ARCHIVE_BASE_HUMANOIDS_31_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_31_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_HUMANOIDS_30_NAME='stellaris_humanoids_species_pack_3_5_1_58766.sh'
ARCHIVE_BASE_HUMANOIDS_30_MD5='86c9037fbc00b93a5aedd39975052ae3'
ARCHIVE_BASE_HUMANOIDS_30_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_30_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_HUMANOIDS_29_NAME='stellaris_humanoids_species_pack_3_4_5_56913.sh'
ARCHIVE_BASE_HUMANOIDS_29_MD5='5fcd93a54b01f93bae743d49bf61860b'
ARCHIVE_BASE_HUMANOIDS_29_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_29_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_HUMANOIDS_28_NAME='stellaris_humanoids_species_pack_3_4_4_2_56721.sh'
ARCHIVE_BASE_HUMANOIDS_28_MD5='63bd99e5bc4ee6c342623b595ef6fc4f'
ARCHIVE_BASE_HUMANOIDS_28_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_28_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_HUMANOIDS_27_NAME='stellaris_humanoids_species_pack_3_4_3_55929.sh'
ARCHIVE_BASE_HUMANOIDS_27_MD5='d99b2124d636570dc96d76e40b303157'
ARCHIVE_BASE_HUMANOIDS_27_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_27_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_HUMANOIDS_26_NAME='stellaris_humanoids_species_pack_3_4_2_55720.sh'
ARCHIVE_BASE_HUMANOIDS_26_MD5='463f6357afedebccc0ca690901706183'
ARCHIVE_BASE_HUMANOIDS_26_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_26_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_HUMANOIDS_25_NAME='stellaris_humanoids_species_pack_3_3_4_54421.sh'
ARCHIVE_BASE_HUMANOIDS_25_MD5='b7ccaa9303516274f7945882bd6a2d2f'
ARCHIVE_BASE_HUMANOIDS_25_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_25_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_HUMANOIDS_24_NAME='stellaris_humanoids_species_pack_3_3_3_2_54375.sh'
ARCHIVE_BASE_HUMANOIDS_24_MD5='01b12b372b98c58826926f64e8f10b5c'
ARCHIVE_BASE_HUMANOIDS_24_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_24_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_HUMANOIDS_23_NAME='stellaris_humanoids_species_pack_3_3_2_53915.sh'
ARCHIVE_BASE_HUMANOIDS_23_MD5='e6717b8d05e933fe2e5aa0e295392b51'
ARCHIVE_BASE_HUMANOIDS_23_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_23_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_HUMANOIDS_22_NAME='stellaris_humanoids_species_pack_3_3_1_53890.sh'
ARCHIVE_BASE_HUMANOIDS_22_MD5='644daa3fe4bafa02abee661bc23ee118'
ARCHIVE_BASE_HUMANOIDS_22_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_22_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_HUMANOIDS_21_NAME='stellaris_humanoids_species_pack_3_2_1_1_51520.sh'
ARCHIVE_BASE_HUMANOIDS_21_MD5='d56625b5ce55405530929bea32852f54'
ARCHIVE_BASE_HUMANOIDS_21_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_21_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_HUMANOIDS_20_NAME='stellaris_humanoids_species_pack_3_1_1_50008.sh'
ARCHIVE_BASE_HUMANOIDS_20_MD5='974908ceeb80ade57dfa00c957604d06'
ARCHIVE_BASE_HUMANOIDS_20_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_20_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_HUMANOIDS_19_NAME='stellaris_humanoids_species_pack_3_0_3_47193.sh'
ARCHIVE_BASE_HUMANOIDS_19_MD5='9dc8511383a7c36c54660d6d77d61117'
ARCHIVE_BASE_HUMANOIDS_19_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_19_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_HUMANOIDS_18_NAME='stellaris_humanoids_species_pack_3_0_2_46477.sh'
ARCHIVE_BASE_HUMANOIDS_18_MD5='1610a1a417ccaa375ed512affeacd127'
ARCHIVE_BASE_HUMANOIDS_18_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_18_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_HUMANOIDS_17_NAME='stellaris_humanoids_species_pack_3_0_1_2_46213.sh'
ARCHIVE_BASE_HUMANOIDS_17_MD5='be59a55fecfc9206e761af6a27b5eef1'
ARCHIVE_BASE_HUMANOIDS_17_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_17_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_HUMANOIDS_16_NAME='stellaris_humanoids_species_pack_2_8_1_2_42827.sh'
ARCHIVE_BASE_HUMANOIDS_16_MD5='1aa665250b1d26f5529ee22c1ba36e8d'
ARCHIVE_BASE_HUMANOIDS_16_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_16_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_HUMANOIDS_15_NAME='stellaris_humanoids_species_pack_2_8_0_5_42441.sh'
ARCHIVE_BASE_HUMANOIDS_15_MD5='5ed4db9314d3679821e5f75c1687d2f7'
ARCHIVE_BASE_HUMANOIDS_15_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_15_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_HUMANOIDS_14_NAME='stellaris_humanoids_species_pack_2_8_0_3_42321.sh'
ARCHIVE_BASE_HUMANOIDS_14_MD5='cb509344d223f04b9c0edaaa13c298a6'
ARCHIVE_BASE_HUMANOIDS_14_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_14_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_HUMANOIDS_13_NAME='stellaris_humanoids_species_pack_2_7_2_38578.sh'
ARCHIVE_BASE_HUMANOIDS_13_MD5='066f60345e31ce921d3df602382ca02c'
ARCHIVE_BASE_HUMANOIDS_13_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_13_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_HUMANOIDS_12_NAME='stellaris_humanoids_species_pack_2_7_1_38218.sh'
ARCHIVE_BASE_HUMANOIDS_12_MD5='d6724e4dc260fdcea76f8be5427af850'
ARCHIVE_BASE_HUMANOIDS_12_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_12_VERSION='2.7.1-gog38218'

ARCHIVE_BASE_HUMANOIDS_11_NAME='stellaris_humanoids_species_pack_2_6_3_2_37617.sh'
ARCHIVE_BASE_HUMANOIDS_11_MD5='08365a3fcc021681c8d8c16f2a96020b'
ARCHIVE_BASE_HUMANOIDS_11_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_11_VERSION='2.6.3.2-gog37617'

ARCHIVE_BASE_HUMANOIDS_10_NAME='stellaris_humanoids_species_pack_2_6_2_37285.sh'
ARCHIVE_BASE_HUMANOIDS_10_MD5='016609e948a2cdff1e8d278892573159'
ARCHIVE_BASE_HUMANOIDS_10_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_10_VERSION='2.6.2-gog37285'

ARCHIVE_BASE_HUMANOIDS_9_NAME='stellaris_humanoids_species_pack_2_6_1_1_36932.sh'
ARCHIVE_BASE_HUMANOIDS_9_MD5='1a1c595117fb7cbb37c6e84b989112d3'
ARCHIVE_BASE_HUMANOIDS_9_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_9_VERSION='2.6.1.1-gog36932'

ARCHIVE_BASE_HUMANOIDS_8_NAME='stellaris_humanoids_species_pack_2_6_0_4_36778.sh'
ARCHIVE_BASE_HUMANOIDS_8_MD5='1319f37c51e676f40708c1a9657376b2'
ARCHIVE_BASE_HUMANOIDS_8_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_8_VERSION='2.6.0.4-gog36778'

ARCHIVE_BASE_HUMANOIDS_7_NAME='stellaris_humanoids_species_pack_2_5_1_33517.sh'
ARCHIVE_BASE_HUMANOIDS_7_MD5='0832471cf232a1a5d5567258c98fa99b'
ARCHIVE_BASE_HUMANOIDS_7_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_7_VERSION='2.5.1-gog33517'

ARCHIVE_BASE_HUMANOIDS_6_NAME='stellaris_humanoids_species_pack_2_5_0_5_33395.sh'
ARCHIVE_BASE_HUMANOIDS_6_MD5='3bfe1467c1d040625de13f72eb744ce5'
ARCHIVE_BASE_HUMANOIDS_6_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_6_VERSION='2.5.0.5-gog33395'

ARCHIVE_BASE_HUMANOIDS_5_NAME='stellaris_humanoids_species_pack_2_4_1_1_33112.sh'
ARCHIVE_BASE_HUMANOIDS_5_MD5='c4ca371cdb0695d2050d70ce52e60914'
ARCHIVE_BASE_HUMANOIDS_5_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_5_VERSION='2.4.1.1-gog33112'

ARCHIVE_BASE_HUMANOIDS_4_NAME='stellaris_humanoids_species_pack_2_4_1_33088.sh'
ARCHIVE_BASE_HUMANOIDS_4_MD5='12c9649abd6f1695e2e3ddcedd2d7afc'
ARCHIVE_BASE_HUMANOIDS_4_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_4_VERSION='2.4.1-gog33088'

ARCHIVE_BASE_HUMANOIDS_3_NAME='stellaris_humanoids_species_pack_2_4_0_7_33057.sh'
ARCHIVE_BASE_HUMANOIDS_3_MD5='c2b55b152e8225959e3c1b44fdd79c44'
ARCHIVE_BASE_HUMANOIDS_3_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_3_VERSION='2.4.0.7-gog33057'

ARCHIVE_BASE_HUMANOIDS_2_NAME='stellaris_humanoids_species_pack_2_3_3_1_30901.sh'
ARCHIVE_BASE_HUMANOIDS_2_MD5='0c12e80e91ea13dd94780ca462593ac0'
ARCHIVE_BASE_HUMANOIDS_2_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_2_VERSION='2.3.3.1-gog30901'

ARCHIVE_BASE_HUMANOIDS_1_NAME='stellaris_humanoids_species_pack_2_3_3_30733.sh'
ARCHIVE_BASE_HUMANOIDS_1_MD5='4dbdb3b43bfea5a54bb17a03caae8af1'
ARCHIVE_BASE_HUMANOIDS_1_SIZE='120000'
ARCHIVE_BASE_HUMANOIDS_1_VERSION='2.3.3-gog30733'

## Distant Stars Story Pack

ARCHIVE_BASE_DISTANTSTARS_41_NAME='stellaris_distant_stars_story_pack_3_9_2_67811.sh'
ARCHIVE_BASE_DISTANTSTARS_41_MD5='0c911794b48e0e2a3a4efce5aef4cdf5'
ARCHIVE_BASE_DISTANTSTARS_41_SIZE='21148'
ARCHIVE_BASE_DISTANTSTARS_41_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_DISTANTSTARS_41_URL='https://www.gog.com/game/stellaris_distant_stars_story_pack'

ARCHIVE_BASE_DISTANTSTARS_40_NAME='stellaris_distant_stars_story_pack_3_9_1_67473.sh'
ARCHIVE_BASE_DISTANTSTARS_40_MD5='c8c914c0820a1826c06df50aca98c13c'
ARCHIVE_BASE_DISTANTSTARS_40_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_40_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_DISTANTSTARS_39_NAME='stellaris_distant_stars_story_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_DISTANTSTARS_39_MD5='dcbb606208a16bc8f5f413239bfe69a4'
ARCHIVE_BASE_DISTANTSTARS_39_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_39_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_DISTANTSTARS_38_NAME='stellaris_distant_stars_story_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_DISTANTSTARS_38_MD5='eeefa93fd3dcfb6e84970fa33cffaff6'
ARCHIVE_BASE_DISTANTSTARS_38_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_38_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_DISTANTSTARS_37_NAME='stellaris_distant_stars_story_pack_3_8_2_64497.sh'
ARCHIVE_BASE_DISTANTSTARS_37_MD5='9e5826c37124c5110d22d6fdee5b9fa6'
ARCHIVE_BASE_DISTANTSTARS_37_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_37_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_DISTANTSTARS_36_NAME='stellaris_distant_stars_story_pack_3_8_1_64351.sh'
ARCHIVE_BASE_DISTANTSTARS_36_MD5='f1bf7966e87c3ede1e305bf0de345ece'
ARCHIVE_BASE_DISTANTSTARS_36_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_36_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_DISTANTSTARS_35_NAME='stellaris_distant_stars_story_pack_3_7_4_63489.sh'
ARCHIVE_BASE_DISTANTSTARS_35_MD5='d2989715cc656a73c1e2ca922bba10aa'
ARCHIVE_BASE_DISTANTSTARS_35_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_35_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_DISTANTSTARS_34_NAME='stellaris_distant_stars_story_pack_3_7_3_63274.sh'
ARCHIVE_BASE_DISTANTSTARS_34_MD5='8de6933d7cdb246e5001fa7a896fd020'
ARCHIVE_BASE_DISTANTSTARS_34_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_34_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_DISTANTSTARS_33_NAME='stellaris_distant_stars_story_pack_3_7_2_63014.sh'
ARCHIVE_BASE_DISTANTSTARS_33_MD5='8956c98c4c84052f2a88a80852b78a63'
ARCHIVE_BASE_DISTANTSTARS_33_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_33_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_DISTANTSTARS_32_NAME='stellaris_distant_stars_story_pack_3_6_1_60754.sh'
ARCHIVE_BASE_DISTANTSTARS_32_MD5='1581145f5d4f4dbb491f3d3e1624577d'
ARCHIVE_BASE_DISTANTSTARS_32_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_32_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_DISTANTSTARS_31_NAME='stellaris_distant_stars_story_pack_3_6_0_1_60618.sh'
ARCHIVE_BASE_DISTANTSTARS_31_MD5='09e8248cc6a3900d1f1cf0d17578865f'
ARCHIVE_BASE_DISTANTSTARS_31_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_31_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_DISTANTSTARS_30_NAME='stellaris_distant_stars_story_pack_3_5_3_59410.sh'
ARCHIVE_BASE_DISTANTSTARS_30_MD5='5ca6cc0d7554484af76e491211d75233'
ARCHIVE_BASE_DISTANTSTARS_30_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_30_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_DISTANTSTARS_29_NAME='stellaris_distant_stars_story_pack_3_5_1_58766.sh'
ARCHIVE_BASE_DISTANTSTARS_29_MD5='4b3b20fa29cb7b9f7d53af0a790c0606'
ARCHIVE_BASE_DISTANTSTARS_29_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_29_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_DISTANTSTARS_28_NAME='stellaris_distant_stars_story_pack_3_4_5_56913.sh'
ARCHIVE_BASE_DISTANTSTARS_28_MD5='b2e6d53683346c48d44a058abd18eff9'
ARCHIVE_BASE_DISTANTSTARS_28_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_28_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_DISTANTSTARS_27_NAME='stellaris_distant_stars_story_pack_3_4_4_2_56721.sh'
ARCHIVE_BASE_DISTANTSTARS_27_MD5='9598eeec1725c262a276399a14903fa3'
ARCHIVE_BASE_DISTANTSTARS_27_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_27_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_DISTANTSTARS_26_NAME='stellaris_distant_stars_story_pack_3_4_3_55929.sh'
ARCHIVE_BASE_DISTANTSTARS_26_MD5='c0c2c1eb90c99e412de662580b6b609a'
ARCHIVE_BASE_DISTANTSTARS_26_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_26_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_DISTANTSTARS_25_NAME='stellaris_distant_stars_story_pack_3_4_2_55720.sh'
ARCHIVE_BASE_DISTANTSTARS_25_MD5='eb1c3e1e1af158e937064febe27678dc'
ARCHIVE_BASE_DISTANTSTARS_25_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_25_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_DISTANTSTARS_24_NAME='stellaris_distant_stars_story_pack_3_3_4_54421.sh'
ARCHIVE_BASE_DISTANTSTARS_24_MD5='1ca0abfacce33943685ad442ebf9d81a'
ARCHIVE_BASE_DISTANTSTARS_24_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_24_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_DISTANTSTARS_23_NAME='stellaris_distant_stars_story_pack_3_3_3_2_54375.sh'
ARCHIVE_BASE_DISTANTSTARS_23_MD5='9e43b2b8e6b0129fd8a6d672d0a72bb0'
ARCHIVE_BASE_DISTANTSTARS_23_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_23_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_DISTANTSTARS_22_NAME='stellaris_distant_stars_story_pack_3_3_2_53915.sh'
ARCHIVE_BASE_DISTANTSTARS_22_MD5='21a6d8fa3cf86b9f009e42ccb8c76a89'
ARCHIVE_BASE_DISTANTSTARS_22_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_22_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_DISTANTSTARS_21_NAME='stellaris_distant_stars_story_pack_3_3_1_53890.sh'
ARCHIVE_BASE_DISTANTSTARS_21_MD5='18d53eeeb124f624c28a214e2545cd2a'
ARCHIVE_BASE_DISTANTSTARS_21_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_21_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_DISTANTSTARS_20_NAME='stellaris_distant_stars_story_pack_3_2_1_1_51520.sh'
ARCHIVE_BASE_DISTANTSTARS_20_MD5='a24264507765c470fa5d579b02fc8e32'
ARCHIVE_BASE_DISTANTSTARS_20_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_20_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_DISTANTSTARS_19_NAME='stellaris_distant_stars_story_pack_3_1_1_50008.sh'
ARCHIVE_BASE_DISTANTSTARS_19_MD5='31eeae1be998363fec20a8a09affd7b4'
ARCHIVE_BASE_DISTANTSTARS_19_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_19_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_DISTANTSTARS_18_NAME='stellaris_distant_stars_story_pack_3_0_3_47193.sh'
ARCHIVE_BASE_DISTANTSTARS_18_MD5='a19db33750977b3334a553f8c4259bf4'
ARCHIVE_BASE_DISTANTSTARS_18_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_18_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_DISTANTSTARS_17_NAME='stellaris_distant_stars_story_pack_3_0_2_46477.sh'
ARCHIVE_BASE_DISTANTSTARS_17_MD5='5c137a3103c6d504b3b1b41bb0646757'
ARCHIVE_BASE_DISTANTSTARS_17_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_17_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_DISTANTSTARS_16_NAME='stellaris_distant_stars_story_pack_3_0_1_2_46213.sh'
ARCHIVE_BASE_DISTANTSTARS_16_MD5='3537e49dc43b133386d69d64636993d7'
ARCHIVE_BASE_DISTANTSTARS_16_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_16_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_DISTANTSTARS_15_NAME='stellaris_distant_stars_story_pack_2_8_1_2_42827.sh'
ARCHIVE_BASE_DISTANTSTARS_15_MD5='8f108b37713fee10394e1d63b34da83e'
ARCHIVE_BASE_DISTANTSTARS_15_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_15_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_DISTANTSTARS_14_NAME='stellaris_distant_stars_story_pack_2_8_0_5_42441.sh'
ARCHIVE_BASE_DISTANTSTARS_14_MD5='a937eeedc9a8a8fb78d10edea0c4c406'
ARCHIVE_BASE_DISTANTSTARS_14_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_14_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_DISTANTSTARS_13_NAME='stellaris_distant_stars_story_pack_2_8_0_3_42321.sh'
ARCHIVE_BASE_DISTANTSTARS_13_MD5='e7389b1955112634095fd5ee587e6e1e'
ARCHIVE_BASE_DISTANTSTARS_13_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_13_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_DISTANTSTARS_12_NAME='stellaris_distant_stars_story_pack_2_7_2_38578.sh'
ARCHIVE_BASE_DISTANTSTARS_12_MD5='b13d46fe6a3ef257520aba8804395717'
ARCHIVE_BASE_DISTANTSTARS_12_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_12_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_DISTANTSTARS_11_NAME='stellaris_distant_stars_story_pack_2_7_1_38218.sh'
ARCHIVE_BASE_DISTANTSTARS_11_MD5='cc5709928e1ecaefa8876d942369b9fb'
ARCHIVE_BASE_DISTANTSTARS_11_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_11_VERSION='2.7.1-gog38218'

ARCHIVE_BASE_DISTANTSTARS_10_NAME='stellaris_distant_stars_story_pack_2_6_3_2_37617.sh'
ARCHIVE_BASE_DISTANTSTARS_10_MD5='bac93cb96d38a6c5dea49bd2e42eaa87'
ARCHIVE_BASE_DISTANTSTARS_10_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_10_VERSION='2.6.3.2-gog37617'

ARCHIVE_BASE_DISTANTSTARS_9_NAME='stellaris_distant_stars_story_pack_2_6_2_37285.sh'
ARCHIVE_BASE_DISTANTSTARS_9_MD5='69437917f67cdde8125a64de3627f439'
ARCHIVE_BASE_DISTANTSTARS_9_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_9_VERSION='2.6.2-gog37285'

ARCHIVE_BASE_DISTANTSTARS_8_NAME='stellaris_distant_stars_story_pack_2_6_1_1_36932.sh'
ARCHIVE_BASE_DISTANTSTARS_8_MD5='7cce4073c357a05f8be6e6444b1c7ae8'
ARCHIVE_BASE_DISTANTSTARS_8_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_8_VERSION='2.6.1.1-gog36932'

ARCHIVE_BASE_DISTANTSTARS_7_NAME='stellaris_distant_stars_story_pack_2_6_0_4_36778.sh'
ARCHIVE_BASE_DISTANTSTARS_7_MD5='19a959edefc55a03a0ed7e410fb1d4ec'
ARCHIVE_BASE_DISTANTSTARS_7_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_7_VERSION='2.6.0.4-gog36778'

ARCHIVE_BASE_DISTANTSTARS_6_NAME='stellaris_distant_stars_story_pack_2_5_1_33517.sh'
ARCHIVE_BASE_DISTANTSTARS_6_MD5='bb38b6691d39123d1503ea517b4896ea'
ARCHIVE_BASE_DISTANTSTARS_6_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_6_VERSION='2.5.1-gog33517'

ARCHIVE_BASE_DISTANTSTARS_5_NAME='stellaris_distant_stars_story_pack_2_5_0_5_33395.sh'
ARCHIVE_BASE_DISTANTSTARS_5_MD5='f7e4d861c265ee1aab8c505df415390a'
ARCHIVE_BASE_DISTANTSTARS_5_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_5_VERSION='2.5.0.5-gog33395'

ARCHIVE_BASE_DISTANTSTARS_4_NAME='stellaris_distant_stars_story_pack_2_4_1_1_33112.sh'
ARCHIVE_BASE_DISTANTSTARS_4_MD5='13a3c2f25da4e39be55b6d0b6cd40826'
ARCHIVE_BASE_DISTANTSTARS_4_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_4_VERSION='2.4.1.1-gog33112'

ARCHIVE_BASE_DISTANTSTARS_3_NAME='stellaris_distant_stars_story_pack_2_4_1_33088.sh'
ARCHIVE_BASE_DISTANTSTARS_3_MD5='17716ff7cf3fb83a418064a2505ad9d6'
ARCHIVE_BASE_DISTANTSTARS_3_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_3_VERSION='2.4.1-gog33088'

ARCHIVE_BASE_DISTANTSTARS_2_NAME='stellaris_distant_stars_story_pack_2_4_0_7_33057.sh'
ARCHIVE_BASE_DISTANTSTARS_2_MD5='1b6272a16391842d48906845435d03c5'
ARCHIVE_BASE_DISTANTSTARS_2_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_2_VERSION='2.4.0.7-gog33057'

ARCHIVE_BASE_DISTANTSTARS_1_NAME='stellaris_distant_stars_story_pack_2_3_3_1_30901.sh'
ARCHIVE_BASE_DISTANTSTARS_1_MD5='2cd17f30fd465528c4c45427b3ffc45a'
ARCHIVE_BASE_DISTANTSTARS_1_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_1_VERSION='2.3.3.1-gog30901'

ARCHIVE_BASE_DISTANTSTARS_0_NAME='stellaris_distant_stars_story_pack_2_3_3_30733.sh'
ARCHIVE_BASE_DISTANTSTARS_0_MD5='c66aa0592a5f188196cfd3ab8a75bd15'
ARCHIVE_BASE_DISTANTSTARS_0_SIZE='22000'
ARCHIVE_BASE_DISTANTSTARS_0_VERSION='2.3.3-gog30733'

## MegaCorp

ARCHIVE_BASE_MEGACORP_27_NAME='stellaris_megacorp_3_9_2_67811.sh'
ARCHIVE_BASE_MEGACORP_27_MD5='5bfa537245d3b57d2f8b61f5ccbfd8d2'
ARCHIVE_BASE_MEGACORP_27_SIZE='130940'
ARCHIVE_BASE_MEGACORP_27_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_MEGACORP_27_URL='https://www.gog.com/game/stellaris_megacorp'

ARCHIVE_BASE_MEGACORP_26_NAME='stellaris_megacorp_3_9_1_67473.sh'
ARCHIVE_BASE_MEGACORP_26_MD5='f76f396de5d2118ae9d8c33013f565fa'
ARCHIVE_BASE_MEGACORP_26_SIZE='140000'
ARCHIVE_BASE_MEGACORP_26_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_MEGACORP_25_NAME='stellaris_megacorp_3_8_4_1_65337.sh'
ARCHIVE_BASE_MEGACORP_25_MD5='3b00aacd428ef943bbbd7a4d0e6b50b2'
ARCHIVE_BASE_MEGACORP_25_SIZE='140000'
ARCHIVE_BASE_MEGACORP_25_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_MEGACORP_24_NAME='stellaris_megacorp_3_8_3_1_64953.sh'
ARCHIVE_BASE_MEGACORP_24_MD5='2058192212bbc2a72d5dc0470068cab4'
ARCHIVE_BASE_MEGACORP_24_SIZE='140000'
ARCHIVE_BASE_MEGACORP_24_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_MEGACORP_23_NAME='stellaris_megacorp_3_8_2_64497.sh'
ARCHIVE_BASE_MEGACORP_23_MD5='661e5d0da716b1acb151e04f21783fb9'
ARCHIVE_BASE_MEGACORP_23_SIZE='140000'
ARCHIVE_BASE_MEGACORP_23_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_MEGACORP_22_NAME='stellaris_megacorp_3_8_1_64351.sh'
ARCHIVE_BASE_MEGACORP_22_MD5='e5c3099cd780da463752303442fff397'
ARCHIVE_BASE_MEGACORP_22_SIZE='140000'
ARCHIVE_BASE_MEGACORP_22_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_MEGACORP_21_NAME='stellaris_megacorp_3_7_4_63489.sh'
ARCHIVE_BASE_MEGACORP_21_MD5='5b9573bb4261bd177dad3f4acc74a6a1'
ARCHIVE_BASE_MEGACORP_21_SIZE='140000'
ARCHIVE_BASE_MEGACORP_21_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_MEGACORP_20_NAME='stellaris_megacorp_3_7_3_63274.sh'
ARCHIVE_BASE_MEGACORP_20_MD5='b0b409f49b9a953f4127eb152ea20037'
ARCHIVE_BASE_MEGACORP_20_SIZE='140000'
ARCHIVE_BASE_MEGACORP_20_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_MEGACORP_19_NAME='stellaris_megacorp_3_7_2_63014.sh'
ARCHIVE_BASE_MEGACORP_19_MD5='73c614456ec465ea96f43b503ba8a46f'
ARCHIVE_BASE_MEGACORP_19_SIZE='140000'
ARCHIVE_BASE_MEGACORP_19_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_MEGACORP_18_NAME='stellaris_megacorp_3_6_1_60754.sh'
ARCHIVE_BASE_MEGACORP_18_MD5='af184beefdd7efc6f2d3973bf0d50c71'
ARCHIVE_BASE_MEGACORP_18_SIZE='140000'
ARCHIVE_BASE_MEGACORP_18_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_MEGACORP_17_NAME='stellaris_megacorp_3_6_0_1_60618.sh'
ARCHIVE_BASE_MEGACORP_17_MD5='5e59bebc2f3d25fd71cb4a6975e46b4d'
ARCHIVE_BASE_MEGACORP_17_SIZE='140000'
ARCHIVE_BASE_MEGACORP_17_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_MEGACORP_16_NAME='stellaris_megacorp_3_5_3_59410.sh'
ARCHIVE_BASE_MEGACORP_16_MD5='2a95d9ff26ed58860be33c860c41fd63'
ARCHIVE_BASE_MEGACORP_16_SIZE='140000'
ARCHIVE_BASE_MEGACORP_16_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_MEGACORP_15_NAME='stellaris_megacorp_3_5_1_58766.sh'
ARCHIVE_BASE_MEGACORP_15_MD5='9154e2c07e781cd5558e9ef25a8fd575'
ARCHIVE_BASE_MEGACORP_15_SIZE='140000'
ARCHIVE_BASE_MEGACORP_15_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_MEGACORP_14_NAME='stellaris_megacorp_3_4_5_56913.sh'
ARCHIVE_BASE_MEGACORP_14_MD5='893df0403e44e6e36060756740230147'
ARCHIVE_BASE_MEGACORP_14_SIZE='140000'
ARCHIVE_BASE_MEGACORP_14_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_MEGACORP_13_NAME='stellaris_megacorp_3_4_4_2_56721.sh'
ARCHIVE_BASE_MEGACORP_13_MD5='886741cb69cce671e568328edca0c06f'
ARCHIVE_BASE_MEGACORP_13_SIZE='140000'
ARCHIVE_BASE_MEGACORP_13_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_MEGACORP_12_NAME='stellaris_megacorp_3_4_3_55929.sh'
ARCHIVE_BASE_MEGACORP_12_MD5='cbb76691e18f6b293c7acc385e6578bf'
ARCHIVE_BASE_MEGACORP_12_SIZE='140000'
ARCHIVE_BASE_MEGACORP_12_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_MEGACORP_11_NAME='stellaris_megacorp_3_4_2_55720.sh'
ARCHIVE_BASE_MEGACORP_11_MD5='833ab5b603bc1853a82a7e86bdd40933'
ARCHIVE_BASE_MEGACORP_11_SIZE='140000'
ARCHIVE_BASE_MEGACORP_11_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_MEGACORP_10_NAME='stellaris_megacorp_3_3_4_54421.sh'
ARCHIVE_BASE_MEGACORP_10_MD5='44fb07a81f15d0954088f4bfd88fb933'
ARCHIVE_BASE_MEGACORP_10_SIZE='140000'
ARCHIVE_BASE_MEGACORP_10_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_MEGACORP_9_NAME='stellaris_megacorp_3_3_3_2_54375.sh'
ARCHIVE_BASE_MEGACORP_9_MD5='1df3c3b93b3d508d5b65aba3b0970b12'
ARCHIVE_BASE_MEGACORP_9_SIZE='140000'
ARCHIVE_BASE_MEGACORP_9_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_MEGACORP_8_NAME='stellaris_megacorp_3_3_2_53915.sh'
ARCHIVE_BASE_MEGACORP_8_MD5='d005c880a4313779a2e72119eb55eb8b'
ARCHIVE_BASE_MEGACORP_8_SIZE='140000'
ARCHIVE_BASE_MEGACORP_8_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_MEGACORP_7_NAME='stellaris_megacorp_3_3_1_53890.sh'
ARCHIVE_BASE_MEGACORP_7_MD5='a29bd338877bd0a8212218efb562f2f8'
ARCHIVE_BASE_MEGACORP_7_SIZE='140000'
ARCHIVE_BASE_MEGACORP_7_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_MEGACORP_6_NAME='stellaris_megacorp_3_2_1_1_51520.sh'
ARCHIVE_BASE_MEGACORP_6_MD5='5965b8b2b51ae9e3dca5726c5d466792'
ARCHIVE_BASE_MEGACORP_6_SIZE='140000'
ARCHIVE_BASE_MEGACORP_6_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_MEGACORP_5_NAME='stellaris_megacorp_3_1_1_50008.sh'
ARCHIVE_BASE_MEGACORP_5_MD5='fa01a1fb786ae3625437bd23275ac401'
ARCHIVE_BASE_MEGACORP_5_SIZE='140000'
ARCHIVE_BASE_MEGACORP_5_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_MEGACORP_4_NAME='stellaris_megacorp_3_0_3_47193.sh'
ARCHIVE_BASE_MEGACORP_4_MD5='8992c77ac7de034c7d3deceb656fb3f6'
ARCHIVE_BASE_MEGACORP_4_SIZE='140000'
ARCHIVE_BASE_MEGACORP_4_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_MEGACORP_3_NAME='stellaris_megacorp_3_0_2_46477.sh'
ARCHIVE_BASE_MEGACORP_3_MD5='47f1ac79a7ee08cf490860d6a5e3a52a'
ARCHIVE_BASE_MEGACORP_3_SIZE='140000'
ARCHIVE_BASE_MEGACORP_3_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_MEGACORP_2_NAME='stellaris_megacorp_3_0_1_2_46213.sh'
ARCHIVE_BASE_MEGACORP_2_MD5='dd0aa754af52d64546d2ad7423e03621'
ARCHIVE_BASE_MEGACORP_2_SIZE='140000'
ARCHIVE_BASE_MEGACORP_2_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_MEGACORP_1_NAME='stellaris_megacorp_2_8_1_2_42827.sh'
ARCHIVE_BASE_MEGACORP_1_MD5='2cd753517129dae46b0e92ca2d50dcb9'
ARCHIVE_BASE_MEGACORP_1_SIZE='140000'
ARCHIVE_BASE_MEGACORP_1_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_MEGACORP_0_NAME='stellaris_megacorp_2_7_1_38218.sh'
ARCHIVE_BASE_MEGACORP_0_MD5='d29d326e5923ead35e00c254293ab6fb'
ARCHIVE_BASE_MEGACORP_0_SIZE='140000'
ARCHIVE_BASE_MEGACORP_0_VERSION='2.7.1-gog38218'

## Ancient Relics Story Pack

ARCHIVE_BASE_ANCIENTRELICS_30_NAME='stellaris_ancient_relics_3_9_2_67811.sh'
ARCHIVE_BASE_ANCIENTRELICS_30_MD5='5eb02b6d3274794da525ec80dadd7dac'
ARCHIVE_BASE_ANCIENTRELICS_30_SIZE='33060'
ARCHIVE_BASE_ANCIENTRELICS_30_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_ANCIENTRELICS_30_URL='https://www.gog.com/game/stellaris_ancient_relics_story_pack'

ARCHIVE_BASE_ANCIENTRELICS_29_NAME='stellaris_ancient_relics_3_9_1_67473.sh'
ARCHIVE_BASE_ANCIENTRELICS_29_MD5='c92f15056fb97f2246ba02df0ab8b136'
ARCHIVE_BASE_ANCIENTRELICS_29_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_29_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_ANCIENTRELICS_28_NAME='stellaris_ancient_relics_3_8_4_1_65337.sh'
ARCHIVE_BASE_ANCIENTRELICS_28_MD5='491929cb272a6a866020c69a94f3e01b'
ARCHIVE_BASE_ANCIENTRELICS_28_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_28_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_ANCIENTRELICS_27_NAME='stellaris_ancient_relics_3_8_3_1_64953.sh'
ARCHIVE_BASE_ANCIENTRELICS_27_MD5='47b83b5d9f6d68fe0f1dd32edd0b8d89'
ARCHIVE_BASE_ANCIENTRELICS_27_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_27_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_ANCIENTRELICS_26_NAME='stellaris_ancient_relics_3_8_2_64497.sh'
ARCHIVE_BASE_ANCIENTRELICS_26_MD5='05804b3973fd538323170ad657b02fc2'
ARCHIVE_BASE_ANCIENTRELICS_26_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_26_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_ANCIENTRELICS_25_NAME='stellaris_ancient_relics_3_8_1_64351.sh'
ARCHIVE_BASE_ANCIENTRELICS_25_MD5='7bc950adbc185b7f47f12c167568fe97'
ARCHIVE_BASE_ANCIENTRELICS_25_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_25_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_ANCIENTRELICS_24_NAME='stellaris_ancient_relics_3_7_4_63489.sh'
ARCHIVE_BASE_ANCIENTRELICS_24_MD5='51f5bc20188137581737a446b1b7498b'
ARCHIVE_BASE_ANCIENTRELICS_24_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_24_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_ANCIENTRELICS_23_NAME='stellaris_ancient_relics_3_7_3_63274.sh'
ARCHIVE_BASE_ANCIENTRELICS_23_MD5='b18c0830f6d65db671e92ed4d39078aa'
ARCHIVE_BASE_ANCIENTRELICS_23_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_23_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_ANCIENTRELICS_22_NAME='stellaris_ancient_relics_3_7_2_63014.sh'
ARCHIVE_BASE_ANCIENTRELICS_22_MD5='c3a5098ca9288bf5c3ae9a396deca311'
ARCHIVE_BASE_ANCIENTRELICS_22_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_22_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_ANCIENTRELICS_21_NAME='stellaris_ancient_relics_3_6_1_60754.sh'
ARCHIVE_BASE_ANCIENTRELICS_21_MD5='40806c04f94d933aa555bc9d9605396c'
ARCHIVE_BASE_ANCIENTRELICS_21_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_21_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_ANCIENTRELICS_20_NAME='stellaris_ancient_relics_3_6_0_1_60618.sh'
ARCHIVE_BASE_ANCIENTRELICS_20_MD5='4a8b4a94dd157f713b765d0b0029d2d0'
ARCHIVE_BASE_ANCIENTRELICS_20_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_20_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_ANCIENTRELICS_19_NAME='stellaris_ancient_relics_3_5_3_59410.sh'
ARCHIVE_BASE_ANCIENTRELICS_19_MD5='1052a7d2b77ba0ebbd8af19767952b47'
ARCHIVE_BASE_ANCIENTRELICS_19_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_19_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_ANCIENTRELICS_18_NAME='stellaris_ancient_relics_3_5_1_58766.sh'
ARCHIVE_BASE_ANCIENTRELICS_18_MD5='2a754d8ad134a5fb8843864eebeb5f26'
ARCHIVE_BASE_ANCIENTRELICS_18_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_18_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_ANCIENTRELICS_17_NAME='stellaris_ancient_relics_3_4_5_56913.sh'
ARCHIVE_BASE_ANCIENTRELICS_17_MD5='b7536ac852bebe9b12a359c4c0a6ca5e'
ARCHIVE_BASE_ANCIENTRELICS_17_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_17_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_ANCIENTRELICS_16_NAME='stellaris_ancient_relics_3_4_4_2_56721.sh'
ARCHIVE_BASE_ANCIENTRELICS_16_MD5='41647081e4fc63c67b4794f2d1d27db7'
ARCHIVE_BASE_ANCIENTRELICS_16_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_16_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_ANCIENTRELICS_15_NAME='stellaris_ancient_relics_3_4_3_55929.sh'
ARCHIVE_BASE_ANCIENTRELICS_15_MD5='28fcb56ac56e5117088e41fff3e9b674'
ARCHIVE_BASE_ANCIENTRELICS_15_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_15_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_ANCIENTRELICS_14_NAME='stellaris_ancient_relics_3_4_2_55720.sh'
ARCHIVE_BASE_ANCIENTRELICS_14_MD5='3649777edb48dd4cb5e1bc85298eb477'
ARCHIVE_BASE_ANCIENTRELICS_14_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_14_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_ANCIENTRELICS_13_NAME='stellaris_ancient_relics_3_3_4_54421.sh'
ARCHIVE_BASE_ANCIENTRELICS_13_MD5='c09ef087df7e271758b4b8a47a1353bd'
ARCHIVE_BASE_ANCIENTRELICS_13_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_13_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_ANCIENTRELICS_12_NAME='stellaris_ancient_relics_3_3_3_2_54375.sh'
ARCHIVE_BASE_ANCIENTRELICS_12_MD5='515a755ba8c19a5a8a0b8f7730e7c006'
ARCHIVE_BASE_ANCIENTRELICS_12_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_12_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_ANCIENTRELICS_11_NAME='stellaris_ancient_relics_3_3_2_53915.sh'
ARCHIVE_BASE_ANCIENTRELICS_11_MD5='0886e9e9426d9658899fab723ef24468'
ARCHIVE_BASE_ANCIENTRELICS_11_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_11_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_ANCIENTRELICS_10_NAME='stellaris_ancient_relics_3_3_1_53890.sh'
ARCHIVE_BASE_ANCIENTRELICS_10_MD5='fa6128478da37e5f25b804829614ae35'
ARCHIVE_BASE_ANCIENTRELICS_10_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_10_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_ANCIENTRELICS_9_NAME='stellaris_ancient_relics_3_2_1_1_51520.sh'
ARCHIVE_BASE_ANCIENTRELICS_9_MD5='45de001d3d2b3999d6c4c8948fc22458'
ARCHIVE_BASE_ANCIENTRELICS_9_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_9_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_ANCIENTRELICS_8_NAME='stellaris_ancient_relics_3_1_1_50008.sh'
ARCHIVE_BASE_ANCIENTRELICS_8_MD5='ec441d202f321a3d8b23af35fed33531'
ARCHIVE_BASE_ANCIENTRELICS_8_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_8_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_ANCIENTRELICS_7_NAME='stellaris_ancient_relics_3_0_3_47193.sh'
ARCHIVE_BASE_ANCIENTRELICS_7_MD5='d98a169dca98257b3944517d98cd17a0'
ARCHIVE_BASE_ANCIENTRELICS_7_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_7_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_ANCIENTRELICS_6_NAME='stellaris_ancient_relics_3_0_2_46477.sh'
ARCHIVE_BASE_ANCIENTRELICS_6_MD5='affdeedf2e83d8a496195f055eb74676'
ARCHIVE_BASE_ANCIENTRELICS_6_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_6_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_ANCIENTRELICS_5_NAME='stellaris_ancient_relics_3_0_1_2_46213.sh'
ARCHIVE_BASE_ANCIENTRELICS_5_MD5='0de7b65612047036c679625a7d8d68af'
ARCHIVE_BASE_ANCIENTRELICS_5_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_5_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_ANCIENTRELICS_4_NAME='stellaris_ancient_relics_2_8_1_2_42827.sh'
ARCHIVE_BASE_ANCIENTRELICS_4_MD5='4d1fa824f08e2853bd7d81e5a5c57f3e'
ARCHIVE_BASE_ANCIENTRELICS_4_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_4_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_ANCIENTRELICS_3_NAME='stellaris_ancient_relics_2_8_0_5_42441.sh'
ARCHIVE_BASE_ANCIENTRELICS_3_MD5='bf137af989998a1020f73719b9de7306'
ARCHIVE_BASE_ANCIENTRELICS_3_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_3_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_ANCIENTRELICS_2_NAME='stellaris_ancient_relics_2_8_0_3_42321.sh'
ARCHIVE_BASE_ANCIENTRELICS_2_MD5='5e3509ccddcf8759773ce8161a081f36'
ARCHIVE_BASE_ANCIENTRELICS_2_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_2_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_ANCIENTRELICS_1_NAME='stellaris_ancient_relics_story_pack_2_7_2_38578.sh'
ARCHIVE_BASE_ANCIENTRELICS_1_MD5='a4b7251cd695846f650da58e58aea6bc'
ARCHIVE_BASE_ANCIENTRELICS_1_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_1_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_ANCIENTRELICS_0_NAME='stellaris_ancient_relics_story_pack_2_7_1_38218.sh'
ARCHIVE_BASE_ANCIENTRELICS_0_MD5='b69fc2a812c6eb817e866ec447e461ce'
ARCHIVE_BASE_ANCIENTRELICS_0_SIZE='34000'
ARCHIVE_BASE_ANCIENTRELICS_0_VERSION='2.7.1-gog38218'

## Lithoids Species Pack

ARCHIVE_BASE_LITHOIDS_30_NAME='stellaris_lithoids_species_pack_3_9_2_67811.sh'
ARCHIVE_BASE_LITHOIDS_30_MD5='d2dfc20f0fb42e884c9101023c340b6a'
ARCHIVE_BASE_LITHOIDS_30_SIZE='52928'
ARCHIVE_BASE_LITHOIDS_30_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_LITHOIDS_30_URL='https://www.gog.com/game/stellaris_lithoids_species_pack'

ARCHIVE_BASE_LITHOIDS_29_NAME='stellaris_lithoids_species_pack_3_9_1_67473.sh'
ARCHIVE_BASE_LITHOIDS_29_MD5='738354bc85f255a8b5b526ed662b93a5'
ARCHIVE_BASE_LITHOIDS_29_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_29_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_LITHOIDS_28_NAME='stellaris_lithoids_species_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_LITHOIDS_28_MD5='65723d6948a9380c1397b280f9bc20f4'
ARCHIVE_BASE_LITHOIDS_28_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_28_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_LITHOIDS_27_NAME='stellaris_lithoids_species_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_LITHOIDS_27_MD5='b6c835a92990a6a26050d1df95b2a784'
ARCHIVE_BASE_LITHOIDS_27_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_27_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_LITHOIDS_26_NAME='stellaris_lithoids_species_pack_3_8_2_64497.sh'
ARCHIVE_BASE_LITHOIDS_26_MD5='1ff0b0c98da662ac9ae2241040240379'
ARCHIVE_BASE_LITHOIDS_26_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_26_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_LITHOIDS_25_NAME='stellaris_lithoids_species_pack_3_8_1_64351.sh'
ARCHIVE_BASE_LITHOIDS_25_MD5='48750e670cacfd4e4c201ca2fd51a6d3'
ARCHIVE_BASE_LITHOIDS_25_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_25_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_LITHOIDS_24_NAME='stellaris_lithoids_species_pack_3_7_4_63489.sh'
ARCHIVE_BASE_LITHOIDS_24_MD5='bfc5632131852032fda229260aa179d6'
ARCHIVE_BASE_LITHOIDS_24_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_24_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_LITHOIDS_23_NAME='stellaris_lithoids_species_pack_3_7_3_63274.sh'
ARCHIVE_BASE_LITHOIDS_23_MD5='f2656c3862207e39b8c39fa0a22b5754'
ARCHIVE_BASE_LITHOIDS_23_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_23_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_LITHOIDS_22_NAME='stellaris_lithoids_species_pack_3_7_2_63014.sh'
ARCHIVE_BASE_LITHOIDS_22_MD5='e48a640e4ffcadbd7ce7021b9b7f13d7'
ARCHIVE_BASE_LITHOIDS_22_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_22_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_LITHOIDS_21_NAME='stellaris_lithoids_species_pack_3_6_1_60754.sh'
ARCHIVE_BASE_LITHOIDS_21_MD5='0adc3e342f420e26a04b256595eee248'
ARCHIVE_BASE_LITHOIDS_21_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_21_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_LITHOIDS_20_NAME='stellaris_lithoids_species_pack_3_6_0_1_60618.sh'
ARCHIVE_BASE_LITHOIDS_20_MD5='11972644a1309220aaa3c6aadf3db8e6'
ARCHIVE_BASE_LITHOIDS_20_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_20_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_LITHOIDS_19_NAME='stellaris_lithoids_species_pack_3_5_3_59410.sh'
ARCHIVE_BASE_LITHOIDS_19_MD5='30bac0aa5302f556fb13511df2e8194b'
ARCHIVE_BASE_LITHOIDS_19_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_19_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_LITHOIDS_18_NAME='stellaris_lithoids_species_pack_3_5_1_58766.sh'
ARCHIVE_BASE_LITHOIDS_18_MD5='e4552ede04555d102b6c4e7d675d5bbb'
ARCHIVE_BASE_LITHOIDS_18_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_18_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_LITHOIDS_17_NAME='stellaris_lithoids_species_pack_3_4_5_56913.sh'
ARCHIVE_BASE_LITHOIDS_17_MD5='54fb17af3ed8b442074c83cf2b818693'
ARCHIVE_BASE_LITHOIDS_17_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_17_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_LITHOIDS_16_NAME='stellaris_lithoids_species_pack_3_4_4_2_56721.sh'
ARCHIVE_BASE_LITHOIDS_16_MD5='3bd4863a5e4ee0b839f97ed44b2ea813'
ARCHIVE_BASE_LITHOIDS_16_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_16_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_LITHOIDS_15_NAME='stellaris_lithoids_species_pack_3_4_3_55929.sh'
ARCHIVE_BASE_LITHOIDS_15_MD5='074133e3f7df3c63e0e3197df77882ed'
ARCHIVE_BASE_LITHOIDS_15_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_15_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_LITHOIDS_14_NAME='stellaris_lithoids_species_pack_3_4_2_55720.sh'
ARCHIVE_BASE_LITHOIDS_14_MD5='236bd699f70d32a4df6ed9f693550234'
ARCHIVE_BASE_LITHOIDS_14_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_14_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_LITHOIDS_13_NAME='stellaris_lithoids_species_pack_3_3_4_54421.sh'
ARCHIVE_BASE_LITHOIDS_13_MD5='cde1e9ed0deaeff8850242e4157783be'
ARCHIVE_BASE_LITHOIDS_13_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_13_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_LITHOIDS_12_NAME='stellaris_lithoids_species_pack_3_3_3_2_54375.sh'
ARCHIVE_BASE_LITHOIDS_12_MD5='f5b35a432eecffc273fe3742665c8ad2'
ARCHIVE_BASE_LITHOIDS_12_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_12_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_LITHOIDS_11_NAME='stellaris_lithoids_species_pack_3_3_2_53915.sh'
ARCHIVE_BASE_LITHOIDS_11_MD5='6ce228daa70cf9165563bc73ec80cb89'
ARCHIVE_BASE_LITHOIDS_11_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_11_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_LITHOIDS_10_NAME='stellaris_lithoids_species_pack_3_3_1_53890.sh'
ARCHIVE_BASE_LITHOIDS_10_MD5='610fa27e58686e467b90312ca5c5f85e'
ARCHIVE_BASE_LITHOIDS_10_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_10_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_LITHOIDS_9_NAME='stellaris_lithoids_species_pack_3_2_1_1_51520.sh'
ARCHIVE_BASE_LITHOIDS_9_MD5='ed5aca5df6d72a84f0572200e1d432fe'
ARCHIVE_BASE_LITHOIDS_9_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_9_VERSION='3.2.1.1-gog51520'

ARCHIVE_BASE_LITHOIDS_8_NAME='stellaris_lithoids_species_pack_3_1_1_50008.sh'
ARCHIVE_BASE_LITHOIDS_8_MD5='c935a54a2e9ac78d195440d7ca1391f9'
ARCHIVE_BASE_LITHOIDS_8_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_8_VERSION='3.1.1-gog50008'

ARCHIVE_BASE_LITHOIDS_7_NAME='stellaris_lithoids_species_pack_3_0_3_47193.sh'
ARCHIVE_BASE_LITHOIDS_7_MD5='44a8e1008468825af82ec138be388fe9'
ARCHIVE_BASE_LITHOIDS_7_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_7_VERSION='3.0.3-gog47193'

ARCHIVE_BASE_LITHOIDS_6_NAME='stellaris_lithoids_species_pack_3_0_2_46477.sh'
ARCHIVE_BASE_LITHOIDS_6_MD5='724d3f8337c287b675d45a1d8a4c88fe'
ARCHIVE_BASE_LITHOIDS_6_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_6_VERSION='3.0.2-gog46477'

ARCHIVE_BASE_LITHOIDS_5_NAME='stellaris_lithoids_species_pack_3_0_1_2_46213.sh'
ARCHIVE_BASE_LITHOIDS_5_MD5='88113021c675f3d00d0da55800632385'
ARCHIVE_BASE_LITHOIDS_5_SIZE='53000'
ARCHIVE_BASE_LITHOIDS_5_VERSION='3.0.1.2-gog46213'

ARCHIVE_BASE_LITHOIDS_4_NAME='stellaris_lithoids_species_pack_2_8_1_2_42827.sh'
ARCHIVE_BASE_LITHOIDS_4_MD5='8939eff1f210fff7dddef479a7bac685'
ARCHIVE_BASE_LITHOIDS_4_SIZE='54000'
ARCHIVE_BASE_LITHOIDS_4_VERSION='2.8.1.2-gog42827'

ARCHIVE_BASE_LITHOIDS_3_NAME='stellaris_lithoids_species_pack_2_8_0_5_42441.sh'
ARCHIVE_BASE_LITHOIDS_3_MD5='84fee40e38754178efccf25846ce0c9e'
ARCHIVE_BASE_LITHOIDS_3_SIZE='54000'
ARCHIVE_BASE_LITHOIDS_3_VERSION='2.8.0.5-gog42441'

ARCHIVE_BASE_LITHOIDS_2_NAME='stellaris_lithoids_species_pack_2_8_0_3_42321.sh'
ARCHIVE_BASE_LITHOIDS_2_MD5='028022399713fd19f9325730c4410f50'
ARCHIVE_BASE_LITHOIDS_2_SIZE='54000'
ARCHIVE_BASE_LITHOIDS_2_VERSION='2.8.0.3-gog42321'

ARCHIVE_BASE_LITHOIDS_1_NAME='stellaris_lithoids_species_pack_2_7_2_38578.sh'
ARCHIVE_BASE_LITHOIDS_1_MD5='ee0f7877dcc846bb08991bc74ee882ef'
ARCHIVE_BASE_LITHOIDS_1_SIZE='54000'
ARCHIVE_BASE_LITHOIDS_1_VERSION='2.7.2-gog38578'

ARCHIVE_BASE_LITHOIDS_0_NAME='stellaris_lithoids_species_pack_2_7_1_38218.sh'
ARCHIVE_BASE_LITHOIDS_0_MD5='e3d43b3e1e6d2544291081c90b3da17e'
ARCHIVE_BASE_LITHOIDS_0_SIZE='54000'
ARCHIVE_BASE_LITHOIDS_0_VERSION='2.7.1-gog38218'

## Federations

ARCHIVE_BASE_FEDERATIONS_22_NAME='stellaris_federations_3_9_2_67811.sh'
ARCHIVE_BASE_FEDERATIONS_22_MD5='35443d2965d8725be28d8c053d87200b'
ARCHIVE_BASE_FEDERATIONS_22_SIZE='14752'
ARCHIVE_BASE_FEDERATIONS_22_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_FEDERATIONS_22_URL='https://www.gog.com/game/stellaris_federations'

ARCHIVE_BASE_FEDERATIONS_21_NAME='stellaris_federations_3_9_1_67473.sh'
ARCHIVE_BASE_FEDERATIONS_21_MD5='28308e9e01a9f118095a140a352d5bb7'
ARCHIVE_BASE_FEDERATIONS_21_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_21_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_FEDERATIONS_20_NAME='stellaris_federations_3_8_4_1_65337.sh'
ARCHIVE_BASE_FEDERATIONS_20_MD5='6fd1449caf09cfd06baff37237aff954'
ARCHIVE_BASE_FEDERATIONS_20_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_20_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_FEDERATIONS_19_NAME='stellaris_federations_3_8_3_1_64953.sh'
ARCHIVE_BASE_FEDERATIONS_19_MD5='8d5c58ecb18fce5eef6c03410b546f96'
ARCHIVE_BASE_FEDERATIONS_19_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_19_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_FEDERATIONS_18_NAME='stellaris_federations_3_8_2_64497.sh'
ARCHIVE_BASE_FEDERATIONS_18_MD5='5e906a9c4827874e9ccfaa21b778a9c3'
ARCHIVE_BASE_FEDERATIONS_18_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_18_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_FEDERATIONS_17_NAME='stellaris_federations_3_8_1_64351.sh'
ARCHIVE_BASE_FEDERATIONS_17_MD5='6891d639b6ed49dedc0595dfe178ef22'
ARCHIVE_BASE_FEDERATIONS_17_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_17_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_FEDERATIONS_16_NAME='stellaris_federations_3_7_4_63489.sh'
ARCHIVE_BASE_FEDERATIONS_16_MD5='df6d008a05e26559ba65d184e52d5926'
ARCHIVE_BASE_FEDERATIONS_16_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_16_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_FEDERATIONS_15_NAME='stellaris_federations_3_7_3_63274.sh'
ARCHIVE_BASE_FEDERATIONS_15_MD5='8dc5f34b380182c319c4a40945e87314'
ARCHIVE_BASE_FEDERATIONS_15_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_15_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_FEDERATIONS_14_NAME='stellaris_federations_3_7_2_63014.sh'
ARCHIVE_BASE_FEDERATIONS_14_MD5='986629cf65108f77c4d80ebd86af5c87'
ARCHIVE_BASE_FEDERATIONS_14_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_14_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_FEDERATIONS_13_NAME='stellaris_federations_3_6_1_60754.sh'
ARCHIVE_BASE_FEDERATIONS_13_MD5='7f86c6a7c6d13946528a58c90c7eebc8'
ARCHIVE_BASE_FEDERATIONS_13_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_13_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_FEDERATIONS_12_NAME='stellaris_federations_3_6_0_1_60618.sh'
ARCHIVE_BASE_FEDERATIONS_12_MD5='1ee33e3cc26e48b403441c887559898f'
ARCHIVE_BASE_FEDERATIONS_12_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_12_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_FEDERATIONS_11_NAME='stellaris_federations_3_5_3_59410.sh'
ARCHIVE_BASE_FEDERATIONS_11_MD5='02dee79bf1c26ba1b1cfca5103dccdca'
ARCHIVE_BASE_FEDERATIONS_11_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_11_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_FEDERATIONS_10_NAME='stellaris_federations_3_5_1_58766.sh'
ARCHIVE_BASE_FEDERATIONS_10_MD5='3ee2922294bc0e4bead15442633cc22f'
ARCHIVE_BASE_FEDERATIONS_10_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_10_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_FEDERATIONS_9_NAME='stellaris_federations_3_4_5_56913.sh'
ARCHIVE_BASE_FEDERATIONS_9_MD5='96170769d5fef74f2aedf9f3fd85f656'
ARCHIVE_BASE_FEDERATIONS_9_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_9_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_FEDERATIONS_8_NAME='stellaris_federations_3_4_4_2_56721.sh'
ARCHIVE_BASE_FEDERATIONS_8_MD5='9d0a49a02ff2f82ecdf3884a392673bc'
ARCHIVE_BASE_FEDERATIONS_8_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_8_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_FEDERATIONS_7_NAME='stellaris_federations_3_4_3_55929.sh'
ARCHIVE_BASE_FEDERATIONS_7_MD5='21e1e7342fb0802be1774dd316bbb93d'
ARCHIVE_BASE_FEDERATIONS_7_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_7_VERSION='3.4.3-gog55929'

ARCHIVE_BASE_FEDERATIONS_6_NAME='stellaris_federations_3_4_2_55720.sh'
ARCHIVE_BASE_FEDERATIONS_6_MD5='b9ab4e182d4ea9f388cfd02a3258da54'
ARCHIVE_BASE_FEDERATIONS_6_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_6_VERSION='3.4.2-gog55720'

ARCHIVE_BASE_FEDERATIONS_5_NAME='stellaris_federations_3_3_4_54421.sh'
ARCHIVE_BASE_FEDERATIONS_5_MD5='d0dcbaef570563bb87dd16e600e162bd'
ARCHIVE_BASE_FEDERATIONS_5_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_5_VERSION='3.3.4-gog54421'

ARCHIVE_BASE_FEDERATIONS_4_NAME='stellaris_federations_3_3_3_2_54375.sh'
ARCHIVE_BASE_FEDERATIONS_4_MD5='2862b7e00dd3d59abdbd5a0ff2bba637'
ARCHIVE_BASE_FEDERATIONS_4_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_4_VERSION='3.3.3.2-gog54375'

ARCHIVE_BASE_FEDERATIONS_3_NAME='stellaris_federations_3_3_2_53915.sh'
ARCHIVE_BASE_FEDERATIONS_3_MD5='1934336b7d68088388b827d3d051ebf0'
ARCHIVE_BASE_FEDERATIONS_3_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_3_VERSION='3.3.2-gog53915'

ARCHIVE_BASE_FEDERATIONS_2_NAME='stellaris_federations_3_3_1_53890.sh'
ARCHIVE_BASE_FEDERATIONS_2_MD5='d812ecf877bbe8bc44b4076d9add3305'
ARCHIVE_BASE_FEDERATIONS_2_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_2_VERSION='3.3.1-gog53890'

ARCHIVE_BASE_FEDERATIONS_1_NAME='stellaris_federations_3_2_2_51685.sh'
ARCHIVE_BASE_FEDERATIONS_1_MD5='df17fc878abd4eb957e147feb5b7e39b'
ARCHIVE_BASE_FEDERATIONS_1_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_1_VERSION='3.2.2-gog51685'

ARCHIVE_BASE_FEDERATIONS_0_NAME='stellaris_federations_2_7_1_38218.sh'
ARCHIVE_BASE_FEDERATIONS_0_MD5='371a88b8771ed4c58144a00494285c46'
ARCHIVE_BASE_FEDERATIONS_0_SIZE='15000'
ARCHIVE_BASE_FEDERATIONS_0_VERSION='2.7.1-gog38218'

## Nemesis

ARCHIVE_BASE_NEMESIS_9_NAME='stellaris_nemesis_3_9_2_67811.sh'
ARCHIVE_BASE_NEMESIS_9_MD5='2a71251901ff62a75a15e3610f873153'
ARCHIVE_BASE_NEMESIS_9_SIZE='38856'
ARCHIVE_BASE_NEMESIS_9_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_NEMESIS_9_URL='https://www.gog.com/game/stellaris_nemesis'

ARCHIVE_BASE_NEMESIS_8_NAME='stellaris_nemesis_3_9_1_67473.sh'
ARCHIVE_BASE_NEMESIS_8_MD5='8d3ec8cfd7033c4ddd64417ac712b69e'
ARCHIVE_BASE_NEMESIS_8_SIZE='40000'
ARCHIVE_BASE_NEMESIS_8_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_NEMESIS_7_NAME='stellaris_nemesis_3_8_4_1_65337.sh'
ARCHIVE_BASE_NEMESIS_7_MD5='ea624db6ea0f9f485cb194c1358dda62'
ARCHIVE_BASE_NEMESIS_7_SIZE='40000'
ARCHIVE_BASE_NEMESIS_7_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_NEMESIS_6_NAME='stellaris_nemesis_3_8_3_1_64953.sh'
ARCHIVE_BASE_NEMESIS_6_MD5='9a55c277f3ace6323606101f59281652'
ARCHIVE_BASE_NEMESIS_6_SIZE='40000'
ARCHIVE_BASE_NEMESIS_6_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_NEMESIS_5_NAME='stellaris_nemesis_3_8_2_64497.sh'
ARCHIVE_BASE_NEMESIS_5_MD5='1da58fc9012ea7db09bfc280ef46cc33'
ARCHIVE_BASE_NEMESIS_5_SIZE='40000'
ARCHIVE_BASE_NEMESIS_5_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_NEMESIS_4_NAME='stellaris_nemesis_3_8_1_64351.sh'
ARCHIVE_BASE_NEMESIS_4_MD5='840bdabc086479aed130ad40b9e210cb'
ARCHIVE_BASE_NEMESIS_4_SIZE='40000'
ARCHIVE_BASE_NEMESIS_4_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_NEMESIS_3_NAME='stellaris_nemesis_3_7_4_63489.sh'
ARCHIVE_BASE_NEMESIS_3_MD5='9fa7ca1ebe2ffb736787f18bf2611311'
ARCHIVE_BASE_NEMESIS_3_SIZE='40000'
ARCHIVE_BASE_NEMESIS_3_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_NEMESIS_2_NAME='stellaris_nemesis_3_7_3_63274.sh'
ARCHIVE_BASE_NEMESIS_2_MD5='e146af4b037354ac1f483ce563d65198'
ARCHIVE_BASE_NEMESIS_2_SIZE='40000'
ARCHIVE_BASE_NEMESIS_2_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_NEMESIS_1_NAME='stellaris_nemesis_3_7_2_63014.sh'
ARCHIVE_BASE_NEMESIS_1_MD5='b0be6605ecb000504c727c6053828a3f'
ARCHIVE_BASE_NEMESIS_1_SIZE='40000'
ARCHIVE_BASE_NEMESIS_1_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_NEMESIS_0_NAME='stellaris_nemesis_3_6_1_60754.sh'
ARCHIVE_BASE_NEMESIS_0_MD5='ec08053da0ef60ea42a974b26892031a'
ARCHIVE_BASE_NEMESIS_0_SIZE='40000'
ARCHIVE_BASE_NEMESIS_0_VERSION='3.6.1-gog60754'

## Necroids Species Pack

ARCHIVE_BASE_NECROIDS_15_NAME='stellaris_necroids_species_pack_3_9_2_67811.sh'
ARCHIVE_BASE_NECROIDS_15_MD5='97cb83fbf9e6708bf68f66d4d19ffd01'
ARCHIVE_BASE_NECROIDS_15_SIZE='49528'
ARCHIVE_BASE_NECROIDS_15_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_NECROIDS_15_URL='https://www.gog.com/game/stellaris_necroids_species_pack'

ARCHIVE_BASE_NECROIDS_14_NAME='stellaris_necroids_species_pack_3_9_1_67473.sh'
ARCHIVE_BASE_NECROIDS_14_MD5='bf8be0a8f2d0880aea435f34334fdc7d'
ARCHIVE_BASE_NECROIDS_14_SIZE='50000'
ARCHIVE_BASE_NECROIDS_14_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_NECROIDS_13_NAME='stellaris_necroids_species_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_NECROIDS_13_MD5='2614b147a120b97e0d5e4f0a24719f82'
ARCHIVE_BASE_NECROIDS_13_SIZE='50000'
ARCHIVE_BASE_NECROIDS_13_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_NECROIDS_12_NAME='stellaris_necroids_species_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_NECROIDS_12_MD5='aecb1cacb16166330fbf4ac6afe5b9fa'
ARCHIVE_BASE_NECROIDS_12_SIZE='50000'
ARCHIVE_BASE_NECROIDS_12_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_NECROIDS_11_NAME='stellaris_necroids_species_pack_3_8_2_64497.sh'
ARCHIVE_BASE_NECROIDS_11_MD5='ca36a1da5212ad546ba5ad16d09baf49'
ARCHIVE_BASE_NECROIDS_11_SIZE='50000'
ARCHIVE_BASE_NECROIDS_11_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_NECROIDS_10_NAME='stellaris_necroids_species_pack_3_8_1_64351.sh'
ARCHIVE_BASE_NECROIDS_10_MD5='7a14c637dd55349bbeed7f3024b3f145'
ARCHIVE_BASE_NECROIDS_10_SIZE='50000'
ARCHIVE_BASE_NECROIDS_10_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_NECROIDS_9_NAME='stellaris_necroids_species_pack_3_7_4_63489.sh'
ARCHIVE_BASE_NECROIDS_9_MD5='631269beefca458e901a727af53e09d0'
ARCHIVE_BASE_NECROIDS_9_SIZE='50000'
ARCHIVE_BASE_NECROIDS_9_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_NECROIDS_8_NAME='stellaris_necroids_species_pack_3_7_3_63274.sh'
ARCHIVE_BASE_NECROIDS_8_MD5='1313b991b07e690d1c90288fc3b44968'
ARCHIVE_BASE_NECROIDS_8_SIZE='50000'
ARCHIVE_BASE_NECROIDS_8_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_NECROIDS_7_NAME='stellaris_necroids_species_pack_3_7_2_63014.sh'
ARCHIVE_BASE_NECROIDS_7_MD5='afb5cceb55cc0e6377e7f5f7c8c72d34'
ARCHIVE_BASE_NECROIDS_7_SIZE='50000'
ARCHIVE_BASE_NECROIDS_7_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_NECROIDS_6_NAME='stellaris_necroids_species_pack_3_6_1_60754.sh'
ARCHIVE_BASE_NECROIDS_6_MD5='13605c18c7d483b3c8abeff2d60c65f7'
ARCHIVE_BASE_NECROIDS_6_SIZE='50000'
ARCHIVE_BASE_NECROIDS_6_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_NECROIDS_5_NAME='stellaris_necroids_species_pack_3_6_0_1_60618.sh'
ARCHIVE_BASE_NECROIDS_5_MD5='ad9e1de43f3789b597de3ecb8a91f739'
ARCHIVE_BASE_NECROIDS_5_SIZE='50000'
ARCHIVE_BASE_NECROIDS_5_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_NECROIDS_4_NAME='stellaris_necroids_species_pack_3_5_3_59410.sh'
ARCHIVE_BASE_NECROIDS_4_MD5='23faec896d52d6f2773e19838f365113'
ARCHIVE_BASE_NECROIDS_4_SIZE='50000'
ARCHIVE_BASE_NECROIDS_4_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_NECROIDS_3_NAME='stellaris_necroids_species_pack_3_5_1_58766.sh'
ARCHIVE_BASE_NECROIDS_3_MD5='828836a2798e764368f043a53e5ab4a1'
ARCHIVE_BASE_NECROIDS_3_SIZE='50000'
ARCHIVE_BASE_NECROIDS_3_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_NECROIDS_2_NAME='stellaris_necroids_species_pack_3_4_5_56913.sh'
ARCHIVE_BASE_NECROIDS_2_MD5='e64ecf03e49671cedf3e164709a5837a'
ARCHIVE_BASE_NECROIDS_2_SIZE='50000'
ARCHIVE_BASE_NECROIDS_2_VERSION='3.4.5-gog56913'

ARCHIVE_BASE_NECROIDS_1_NAME='stellaris_necroids_species_pack_3_4_4_2_56721.sh'
ARCHIVE_BASE_NECROIDS_1_MD5='8444ef867f8353b3f1878cf794735b3a'
ARCHIVE_BASE_NECROIDS_1_SIZE='50000'
ARCHIVE_BASE_NECROIDS_1_VERSION='3.4.4.2-gog56721'

ARCHIVE_BASE_NECROIDS_0_NAME='stellaris_necroids_species_pack_3_4_3_55929.sh'
ARCHIVE_BASE_NECROIDS_0_MD5='3aaec183da75218a4f557a19b4ddd73e'
ARCHIVE_BASE_NECROIDS_0_SIZE='50000'
ARCHIVE_BASE_NECROIDS_0_VERSION='3.4.3-gog55929'

## Aquatics Species Pack

ARCHIVE_BASE_AQUATICS_13_NAME='stellaris_aquatics_species_pack_3_9_2_67811.sh'
ARCHIVE_BASE_AQUATICS_13_MD5='ffa4f23519390df02470f75dcd9fc0b5'
ARCHIVE_BASE_AQUATICS_13_SIZE='121452'
ARCHIVE_BASE_AQUATICS_13_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_AQUATICS_13_URL='https://www.gog.com/game/stellaris_aquatics_species_pack'

ARCHIVE_BASE_AQUATICS_12_NAME='stellaris_aquatics_species_pack_3_9_1_67473.sh'
ARCHIVE_BASE_AQUATICS_12_MD5='3c674306628408e727cfe1158e3800a0'
ARCHIVE_BASE_AQUATICS_12_SIZE='130000'
ARCHIVE_BASE_AQUATICS_12_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_AQUATICS_11_NAME='stellaris_aquatics_species_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_AQUATICS_11_MD5='34a45daa4a4d1bf204dc9798917692b5'
ARCHIVE_BASE_AQUATICS_11_SIZE='130000'
ARCHIVE_BASE_AQUATICS_11_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_AQUATICS_10_NAME='stellaris_aquatics_species_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_AQUATICS_10_MD5='838e4d545b0d882e62d459ceb592500f'
ARCHIVE_BASE_AQUATICS_10_SIZE='130000'
ARCHIVE_BASE_AQUATICS_10_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_AQUATICS_9_NAME='stellaris_aquatics_species_pack_3_8_2_64497.sh'
ARCHIVE_BASE_AQUATICS_9_MD5='da76f158b61a954dbb0a572e5486fa5e'
ARCHIVE_BASE_AQUATICS_9_SIZE='130000'
ARCHIVE_BASE_AQUATICS_9_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_AQUATICS_8_NAME='stellaris_aquatics_species_pack_3_8_1_64351.sh'
ARCHIVE_BASE_AQUATICS_8_MD5='9b3c22c0f53ebc2a1c030d3005948206'
ARCHIVE_BASE_AQUATICS_8_SIZE='130000'
ARCHIVE_BASE_AQUATICS_8_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_AQUATICS_7_NAME='stellaris_aquatics_species_pack_3_7_4_63489.sh'
ARCHIVE_BASE_AQUATICS_7_MD5='f825b3f150a7d936b04b3f5bd35d9f5b'
ARCHIVE_BASE_AQUATICS_7_SIZE='130000'
ARCHIVE_BASE_AQUATICS_7_VERSION='3.7.4-gog63489'

ARCHIVE_BASE_AQUATICS_6_NAME='stellaris_aquatics_species_pack_3_7_3_63274.sh'
ARCHIVE_BASE_AQUATICS_6_MD5='17374628b0e6de1a4bee1164891b9f52'
ARCHIVE_BASE_AQUATICS_6_SIZE='130000'
ARCHIVE_BASE_AQUATICS_6_VERSION='3.7.3-gog63274'

ARCHIVE_BASE_AQUATICS_5_NAME='stellaris_aquatics_species_pack_3_7_2_63014.sh'
ARCHIVE_BASE_AQUATICS_5_MD5='bf1a671c37e54f156d2f194fd50ac4dc'
ARCHIVE_BASE_AQUATICS_5_SIZE='130000'
ARCHIVE_BASE_AQUATICS_5_VERSION='3.7.2-gog63014'

ARCHIVE_BASE_AQUATICS_4_NAME='stellaris_aquatics_species_pack_3_6_1_60754.sh'
ARCHIVE_BASE_AQUATICS_4_MD5='5cfdb2861b8c3de9c83798799b477ad6'
ARCHIVE_BASE_AQUATICS_4_SIZE='130000'
ARCHIVE_BASE_AQUATICS_4_VERSION='3.6.1-gog60754'

ARCHIVE_BASE_AQUATICS_3_NAME='stellaris_aquatics_species_pack_3_6_0_1_60618.sh'
ARCHIVE_BASE_AQUATICS_3_MD5='43b3acec185104e86423702ff49e2815'
ARCHIVE_BASE_AQUATICS_3_SIZE='130000'
ARCHIVE_BASE_AQUATICS_3_VERSION='3.6.0.1-gog60618'

ARCHIVE_BASE_AQUATICS_2_NAME='stellaris_aquatics_species_pack_3_5_3_59410.sh'
ARCHIVE_BASE_AQUATICS_2_MD5='7e3210b2d64b851907a97ed3455ad035'
ARCHIVE_BASE_AQUATICS_2_SIZE='130000'
ARCHIVE_BASE_AQUATICS_2_VERSION='3.5.3-gog59410'

ARCHIVE_BASE_AQUATICS_1_NAME='stellaris_aquatics_species_pack_3_5_1_58766.sh'
ARCHIVE_BASE_AQUATICS_1_MD5='8ad21e061af34ce3ae98beae15992715'
ARCHIVE_BASE_AQUATICS_1_SIZE='130000'
ARCHIVE_BASE_AQUATICS_1_VERSION='3.5.1-gog58766'

ARCHIVE_BASE_AQUATICS_0_NAME='stellaris_aquatics_species_pack_3_4_5_56913.sh'
ARCHIVE_BASE_AQUATICS_0_MD5='0d6fe86d3ec24b114742a333b8de4a3b'
ARCHIVE_BASE_AQUATICS_0_SIZE='130000'
ARCHIVE_BASE_AQUATICS_0_VERSION='3.4.5-gog56913'

## Overlord

ARCHIVE_BASE_OVERLORD_4_NAME='stellaris_overlord_3_9_2_67811.sh'
ARCHIVE_BASE_OVERLORD_4_MD5='f04bcab996f4d51b9d3652d4f4bcd2f7'
ARCHIVE_BASE_OVERLORD_4_SIZE='100184'
ARCHIVE_BASE_OVERLORD_4_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_OVERLORD_4_URL='https://www.gog.com/game/stellaris_overlord'

ARCHIVE_BASE_OVERLORD_3_NAME='stellaris_overlord_3_9_1_67473.sh'
ARCHIVE_BASE_OVERLORD_3_MD5='630d67ce13ed518a6538522f9e8cb939'
ARCHIVE_BASE_OVERLORD_3_SIZE='110000'
ARCHIVE_BASE_OVERLORD_3_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_OVERLORD_2_NAME='stellaris_overlord_3_8_4_1_65337.sh'
ARCHIVE_BASE_OVERLORD_2_MD5='e1c1700fa00f2c2d0c86ec4d7d1d63ea'
ARCHIVE_BASE_OVERLORD_2_SIZE='110000'
ARCHIVE_BASE_OVERLORD_2_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_OVERLORD_1_NAME='stellaris_overlord_3_8_3_1_64953.sh'
ARCHIVE_BASE_OVERLORD_1_MD5='ed1618e50720872bac297f8a65dc6260'
ARCHIVE_BASE_OVERLORD_1_SIZE='110000'
ARCHIVE_BASE_OVERLORD_1_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_OVERLORD_0_NAME='stellaris_overlord_3_8_2_64497.sh'
ARCHIVE_BASE_OVERLORD_0_MD5='505dae9ad6afd68828055d2541be89c2'
ARCHIVE_BASE_OVERLORD_0_SIZE='110000'
ARCHIVE_BASE_OVERLORD_0_VERSION='3.8.2-gog64497'

## Toxoids Species Pack

ARCHIVE_BASE_TOXOIDS_6_NAME='stellaris_toxoids_species_pack_3_9_2_67811.sh'
ARCHIVE_BASE_TOXOIDS_6_MD5='f9821f578536f93bced6816d60668b97'
ARCHIVE_BASE_TOXOIDS_6_SIZE='41812'
ARCHIVE_BASE_TOXOIDS_6_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_TOXOIDS_6_URL='https://www.gog.com/game/stellaris_toxoids_species_pack'

ARCHIVE_BASE_TOXOIDS_5_NAME='stellaris_toxoids_species_pack_3_9_1_67473.sh'
ARCHIVE_BASE_TOXOIDS_5_MD5='02ecc503afccec24231c5d06c46ace87'
ARCHIVE_BASE_TOXOIDS_5_SIZE='42000'
ARCHIVE_BASE_TOXOIDS_5_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_TOXOIDS_4_NAME='stellaris_toxoids_species_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_TOXOIDS_4_MD5='90926bd74621bf180a074d4721b594f9'
ARCHIVE_BASE_TOXOIDS_4_SIZE='42000'
ARCHIVE_BASE_TOXOIDS_4_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_TOXOIDS_3_NAME='stellaris_toxoids_species_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_TOXOIDS_3_MD5='c9a51a893665c98b132b7e5df975606c'
ARCHIVE_BASE_TOXOIDS_3_SIZE='42000'
ARCHIVE_BASE_TOXOIDS_3_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_TOXOIDS_2_NAME='stellaris_toxoids_species_pack_3_8_2_64497.sh'
ARCHIVE_BASE_TOXOIDS_2_MD5='1a416134fd2acb9bdda9dee8a24b7917'
ARCHIVE_BASE_TOXOIDS_2_SIZE='42000'
ARCHIVE_BASE_TOXOIDS_2_VERSION='3.8.2-gog64497'

ARCHIVE_BASE_TOXOIDS_1_NAME='stellaris_toxoids_species_pack_3_8_1_64351.sh'
ARCHIVE_BASE_TOXOIDS_1_MD5='799e0857e4b9dc03232c7680cdf77c4f'
ARCHIVE_BASE_TOXOIDS_1_SIZE='42000'
ARCHIVE_BASE_TOXOIDS_1_VERSION='3.8.1-gog64351'

ARCHIVE_BASE_TOXOIDS_0_NAME='stellaris_toxoids_species_pack_3_7_4_63489.sh'
ARCHIVE_BASE_TOXOIDS_0_MD5='e6af2b93063b67bc78d6a44c70caee1c'
ARCHIVE_BASE_TOXOIDS_0_SIZE='42000'
ARCHIVE_BASE_TOXOIDS_0_VERSION='3.7.4-gog63489'

## First Contact Story Pack

ARCHIVE_BASE_FIRSTCONTACT_4_NAME='stellaris_first_contact_story_pack_3_9_2_67811.sh'
ARCHIVE_BASE_FIRSTCONTACT_4_MD5='87dbeda1079245a990edaa04d81ee938'
ARCHIVE_BASE_FIRSTCONTACT_4_SIZE='1152'
ARCHIVE_BASE_FIRSTCONTACT_4_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_FIRSTCONTACT_4_URL='https://www.gog.com/game/stellaris_first_contact_story_pack'

ARCHIVE_BASE_FIRSTCONTACT_3_NAME='stellaris_first_contact_story_pack_3_9_1_67473.sh'
ARCHIVE_BASE_FIRSTCONTACT_3_MD5='08772b65b32fc42be270eb17c4fbd707'
ARCHIVE_BASE_FIRSTCONTACT_3_SIZE='1200'
ARCHIVE_BASE_FIRSTCONTACT_3_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_FIRSTCONTACT_2_NAME='stellaris_first_contact_story_pack_3_8_4_1_65337.sh'
ARCHIVE_BASE_FIRSTCONTACT_2_MD5='dd862bf0d12f5bf0a7a7c116a57f2bbb'
ARCHIVE_BASE_FIRSTCONTACT_2_SIZE='1200'
ARCHIVE_BASE_FIRSTCONTACT_2_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_FIRSTCONTACT_1_NAME='stellaris_first_contact_story_pack_3_8_3_1_64953.sh'
ARCHIVE_BASE_FIRSTCONTACT_1_MD5='2103afbba744f682ef3ec98404c97a22'
ARCHIVE_BASE_FIRSTCONTACT_1_SIZE='1200'
ARCHIVE_BASE_FIRSTCONTACT_1_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_FIRSTCONTACT_0_NAME='stellaris_first_contact_story_pack_3_8_2_64497.sh'
ARCHIVE_BASE_FIRSTCONTACT_0_MD5='ffda225324a335529b99ae0ae8dcf22d'
ARCHIVE_BASE_FIRSTCONTACT_0_SIZE='1200'
ARCHIVE_BASE_FIRSTCONTACT_0_VERSION='3.8.2-gog64497'

## Galactic Paragons

ARCHIVE_BASE_PARAGONS_4_NAME='stellaris_galactic_paragons_3_9_2_67811.sh'
ARCHIVE_BASE_PARAGONS_4_MD5='39c32419cf51d05adc201b9bf0391300'
ARCHIVE_BASE_PARAGONS_4_SIZE='1152'
ARCHIVE_BASE_PARAGONS_4_VERSION='3.9.2-gog67811'
ARCHIVE_BASE_PARAGONS_4_URL='https://www.gog.com/game/stellaris_galactic_paragons'

ARCHIVE_BASE_PARAGONS_3_NAME='stellaris_galactic_paragons_3_9_1_67473.sh'
ARCHIVE_BASE_PARAGONS_3_MD5='8aa33b23967add0ac50bd3c2d6198946'
ARCHIVE_BASE_PARAGONS_3_SIZE='1200'
ARCHIVE_BASE_PARAGONS_3_VERSION='3.9.1-gog67473'

ARCHIVE_BASE_PARAGONS_2_NAME='stellaris_galactic_paragons_3_8_4_1_65337.sh'
ARCHIVE_BASE_PARAGONS_2_MD5='e47a7ab7c264021f49b8419e1aedc580'
ARCHIVE_BASE_PARAGONS_2_SIZE='1200'
ARCHIVE_BASE_PARAGONS_2_VERSION='3.8.4.1-gog65337'

ARCHIVE_BASE_PARAGONS_1_NAME='stellaris_galactic_paragons_3_8_3_1_64953.sh'
ARCHIVE_BASE_PARAGONS_1_MD5='8352492cf29af919d2407158cddfe86d'
ARCHIVE_BASE_PARAGONS_1_SIZE='1200'
ARCHIVE_BASE_PARAGONS_1_VERSION='3.8.3.1-gog64953'

ARCHIVE_BASE_PARAGONS_0_NAME='stellaris_galactic_paragons_3_8_2_64497.sh'
ARCHIVE_BASE_PARAGONS_0_MD5='97c7a51599c81ffd69b04ec12df56f95'
ARCHIVE_BASE_PARAGONS_0_SIZE='1200'
ARCHIVE_BASE_PARAGONS_0_VERSION='3.8.2-gog64497'


CONTENT_PATH_DEFAULT='data/noarch/game'
CONTENT_GAME_MAIN_FILES='
dlc'

PKG_MAIN_DEPS="$GAME_ID"

# Load common functions

PLAYIT_LIB_PATHS="
$PWD
${XDG_DATA_HOME:="${HOME}/.local/share"}/play.it
/usr/local/share/games/play.it
/usr/local/share/play.it
/usr/share/games/play.it
/usr/share/play.it"

if [ -z "$PLAYIT_LIB2" ]; then
	for playit_lib_path in $PLAYIT_LIB_PATHS; do
		if [ -e "${playit_lib_path}/libplayit2.sh" ]; then
			PLAYIT_LIB2="${playit_lib_path}/libplayit2.sh"
			break
		fi
	done
fi
if [ -z "$PLAYIT_LIB2" ]; then
	printf '\n\033[1;31mError:\033[0m\n'
	printf 'libplayit2.sh not found.\n'
	exit 1
fi
. "$PLAYIT_LIB2"

# Work around music-related stuttering issues
# cf. https://forum.paradoxplaza.com/forum/threads/1440701/

if ! version_is_at_least '3.7.2' "$(package_version)"; then
	case "$(context_archive)" in
		( \
			'ARCHIVE_BASE_LEVIATHANS_'* | \
			'ARCHIVE_BASE_UTOPIA_'* | \
			'ARCHIVE_BASE_SYNTHETICDAWN_'* | \
			'ARCHIVE_BASE_APOCALYPSE_'* | \
			'ARCHIVE_BASE_HUMANOIDS_'* | \
			'ARCHIVE_BASE_DISTANTSTARS_'* | \
			'ARCHIVE_BASE_MEGACORP_'*_ | \
			'ARCHIVE_BASE_ANCIENTRELICS_'* | \
			'ARCHIVE_BASE_FEDERATIONS_'* | \
			'ARCHIVE_BASE_NEMESIS_'* \
		)
			CONTENT_GAME_MAIN_FILES="$(content_files 'GAME_MAIN')
			music"
			SCRIPT_DEPS="${SCRIPT_DEPS:-} unzip zip"
			check_deps
		;;
	esac
fi

# Extract game data

archive_extraction_default
(
	cd "${PLAYIT_WORKDIR}/gamedata/$(content_path_default)"

	# Work around music-related stuttering issues
	# cf. https://forum.paradoxplaza.com/forum/threads/1440701/
	if ! version_is_at_least '3.7.2' "$(package_version)"; then
		case "$(context_archive)" in
			( \
				'ARCHIVE_BASE_LEVIATHANS_'* | \
				'ARCHIVE_BASE_UTOPIA_'* | \
				'ARCHIVE_BASE_SYNTHETICDAWN_'* | \
				'ARCHIVE_BASE_APOCALYPSE_'* | \
				'ARCHIVE_BASE_HUMANOIDS_'* | \
				'ARCHIVE_BASE_DISTANTSTARS_'* | \
				'ARCHIVE_BASE_MEGACORP_'*_ | \
				'ARCHIVE_BASE_ANCIENTRELICS_'* | \
				'ARCHIVE_BASE_FEDERATIONS_'* | \
				'ARCHIVE_BASE_NEMESIS_'* \
			)
				dlc_zip_archive=$(find . -path './dlc/*/*.zip')
				dlc_zip_content_path="${PLAYIT_WORKDIR}/dlc_zip_content"
				mkdir "$dlc_zip_content_path"
				unzip -qq "$dlc_zip_archive" 'music/*' -d "$dlc_zip_content_path"
				mv "${dlc_zip_content_path}/music" .
				rmdir "$dlc_zip_content_path"
				zip --delete --quiet "$dlc_zip_archive" 'music/*'
			;;
		esac
	fi
)

# Include game data

content_inclusion_default

# Build packages

packages_generation

# Print instructions

print_instructions

# Clean up

rm --recursive "$PLAYIT_WORKDIR"

exit 0
